ngcp-panel (13.5.1.41+0~mr13.5.1.41) unstable; urgency=medium

  [ Rene Krenn ]
  * [3190db4] MT#65579 do not set primary_number undef in shared resource_from_item

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 31 Jul 2026 16:28:39 +0200

ngcp-panel (13.5.1.40+0~mr13.5.1.40) unstable; urgency=medium

  [ Rene Krenn ]
  * [9dc03c9] MT#65218 prov templates: improve contract and subscriber lookup
  * [f1d8ae6] MT#65579 support updating existing subscribers via prov templates
  * [43c835d] MT#65579 fix is_devid boolean conversion in resource_from_item
  * [c59fc02] MT#65579 use JSON::Types::bool for is_devid in resource_from_item

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 30 Jul 2026 10:03:47 +0200

ngcp-panel (13.5.1.39+0~mr13.5.1.39) unstable; urgency=medium

  [ Rene Krenn ]
  * [f1dfa01] MT#65464 Fix LDAP OTP registration crash on /api/otpsecret

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 16 Jul 2026 17:08:20 +0200

ngcp-panel (13.5.1.38+0~mr13.5.1.38) unstable; urgency=medium

  [ Rene Krenn ]
  * [f6642e6] MT#65464 fix LDAP login 500 when user lookup fails

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 13 Jul 2026 16:36:32 +0200

ngcp-panel (13.5.1.37+0~mr13.5.1.37) unstable; urgency=medium

  [ Kirill Solomko ]
  * [38dfa27] MT#65092 fix /api/voicemails $q variable typo

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jun 2026 19:25:05 +0200

ngcp-panel (13.5.1.36+0~mr13.5.1.36) unstable; urgency=medium

  [ Kirill Solomko ]
  * [b94890a] MT#65092 address query param string pattern match in certain endpoints

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 26 Jun 2026 19:30:55 +0200

ngcp-panel (13.5.1.35+0~mr13.5.1.35) unstable; urgency=medium

  [ Kirill Solomko ]
  * [9f27df0] MT#65368 fix UI /logout link

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 23 Jun 2026 15:17:00 +0200

ngcp-panel (13.5.1.34+0~mr13.5.1.34) unstable; urgency=medium

  [ Kirill Solomko ]
  * [a0974c6] MT#65048 check subscriber profile preferences on update

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 10 Jun 2026 14:45:02 +0200

ngcp-panel (13.5.1.33+0~mr13.5.1.33) unstable; urgency=medium

  [ Kirill Solomko ]
  * [d1ef649] MT#65243 Plugin::NGCP::Redis handle 'active-replica' state

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 03 Jun 2026 18:27:43 +0200

ngcp-panel (13.5.1.32+0~mr13.5.1.32) unstable; urgency=medium

  [ Kirill Solomko ]
  * [64772bd] MT#64972 /api/customers email_template auto assign change

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 23 Apr 2026 19:03:30 +0200

ngcp-panel (13.5.1.31+0~mr13.5.1.31) unstable; urgency=medium

  [ Rene Krenn ]
  * [476abe0] MT#64788 mitigate CVE-2024-28344

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 20 Apr 2026 11:58:49 +0200

ngcp-panel (13.5.1.30+0~mr13.5.1.30) unstable; urgency=medium

  [ Rene Krenn ]
  * [4b8269e] MT#62342 encode XMLRPC request body, decode XMLRPC response body

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 16 Apr 2026 18:02:56 +0200

ngcp-panel (13.5.1.29+0~mr13.5.1.29) unstable; urgency=medium

  [ Kirill Solomko ]
  * [fb83ee2] MT#64891 enhance Redis connection handling

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 14 Apr 2026 18:14:51 +0200

ngcp-panel (13.5.1.28+0~mr13.5.1.28) unstable; urgency=medium

  [ Marco Capetta ]
  * [5760e35] MT#64627 Call sip_dispatcher_reload when peer transport is updated

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 14 Apr 2026 11:54:43 +0200

ngcp-panel (13.5.1.27+0~mr13.5.1.27) unstable; urgency=medium

  [ Kirill Solomko ]
  * [2acba0c] MT#62339 /api/subscriberregistrations add total_count support
  * [659b322] MT#62339 RedisLocationResultSet fix $filter assignment typo

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Mar 2026 16:44:47 +0100

ngcp-panel (13.5.1.26+0~mr13.5.1.26) unstable; urgency=medium

  [ Rene Krenn ]
  * [6f680ed] MT#64142 do not translate CF dropdown items
  * [b35742b] MT#63401 upgrade to jquery 3.6.4 and jquery-ui 1.13.2
  * [3833978] MT#64584 prov templates: contract_balance support
  * [4fe13cb] MT#63401 jquery upgrade: restore .attr( behaviour
  * [02be97f] MT#64594 prov templates: fraud preferences support
  * [14ccb0c] MT#64761 prov templates: support contract-only mode

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Mar 2026 19:32:36 +0100

ngcp-panel (13.5.1.25+0~mr13.5.1.25) unstable; urgency=medium

  [ Rene Krenn ]
  * [c62a3e4] MT#63759 prov templates:  parse .csv header

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 17 Mar 2026 12:21:53 +0100

ngcp-panel (13.5.1.24+0~mr13.5.1.24) unstable; urgency=medium

  [ Rene Krenn ]
  * [9992a03] MT#61442 allow utf8 for creating data::hal links

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 10 Feb 2026 18:17:04 +0100

ngcp-panel (13.5.1.23+0~mr13.5.1.23) unstable; urgency=medium

  [ Kirill Solomko ]
  * [5822b4e] MT#64346 skip email dispatch without a dest email

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 30 Jan 2026 14:55:29 +0100

ngcp-panel (13.5.1.22+0~mr13.5.1.22) unstable; urgency=medium

  [ Kirill Solomko ]
  * [ec585b5] MT#64232 improve check_subscriberadmin_write_access

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 28 Jan 2026 19:57:24 +0100

ngcp-panel (13.5.1.21+0~mr13.5.1.21) unstable; urgency=medium

  [ Kirill Solomko ]
  * [4d82d63] MT#64295 better handling of via_route empty string

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 23 Jan 2026 11:26:20 +0100

ngcp-panel (13.5.1.20+0~mr13.5.1.20) unstable; urgency=medium

  [ Kirill Solomko ]
  * [8595ce6] MT#64295 fix /api/peeringservers via_route validation
  * [16616e9] MT#64297 /api/platforminfo expose sip.external_sbc config

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 22 Jan 2026 16:07:59 +0100

ngcp-panel (13.5.1.19+0~mr13.5.1.19) unstable; urgency=medium

  [ Kirill Solomko ]
  * [0020ec8] MT#64282 add redirect=0 option to /ajax_logout
  * [8db4d74] MT#64282 replace redirect with ajax_logout separation

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 19 Jan 2026 18:52:03 +0100

ngcp-panel (13.5.1.18+0~mr13.5.1.18) unstable; urgency=medium

  [ Kirill Solomko ]
  * [15b4b05] MT#64280 add ngcp_admin_ui_jwt realm and X-NGCP-Admin-UI header

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 19 Jan 2026 15:22:47 +0100

ngcp-panel (13.5.1.17+0~mr13.5.1.17) unstable; urgency=medium

  [ Rene Krenn ]
  * [56866b0] MT#63980 fix Javascript prov templates raising errors

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 15 Jan 2026 12:59:48 +0100

ngcp-panel (13.5.1.16+0~mr13.5.1.16) unstable; urgency=medium

  [ Kirill Solomko ]
  * [000e48b] MT#64172 admin_jwt restore use_session = 1

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 13 Jan 2026 16:18:17 +0100

ngcp-panel (13.5.1.15+0~mr13.5.1.15) unstable; urgency=medium

  [ Kirill Solomko ]
  * [8335b5c] MT#64172 enable use_session = 0 for all API and JWT realms

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 07 Jan 2026 15:53:53 +0100

ngcp-panel (13.5.1.14+0~mr13.5.1.14) unstable; urgency=medium

  [ Rene Krenn ]
  * [03a53ff] MT#63818 ldap auth: support dn lookup

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 07 Jan 2026 14:25:59 +0100

ngcp-panel (13.5.1.13+0~mr13.5.1.13) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 19 Dec 2025 10:03:33 +0100

ngcp-panel (13.5.1.12+0~mr13.5.1.12) unstable; urgency=medium

  [ Kirill Solomko ]
  * [09062b9] MT#64131 fix non-default NULL preference render

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 16 Dec 2025 10:44:37 +0100

ngcp-panel (13.5.1.11+0~mr13.5.1.11) unstable; urgency=medium

  [ Kirill Solomko ]
  * [c3c2d80] MT#64121 fix $c->error $c->error handling

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 12 Dec 2025 18:55:04 +0100

ngcp-panel (13.5.1.10+0~mr13.5.1.10) unstable; urgency=medium

  [ Kirill Solomko ]
  * [6d21639] MT#64067 fix subscriberpreferences PUT update_item

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 11 Dec 2025 10:03:03 +0100

ngcp-panel (13.5.1.9+0~mr13.5.1.9) unstable; urgency=medium

  [ Kirill Solomko ]
  * [60203fa] MT#64067 address deadlock detection for preferences
  * [bad8d58] MT#64098 enable logger autoflush

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 10 Dec 2025 17:25:31 +0100

ngcp-panel (13.5.1.8+0~mr13.5.1.8) unstable; urgency=medium

  [ Rene Krenn ]
  * [aeaea00] MT#63706 skip_locked for DELETE /api/subscriber/id
  * [bfce263] MT#63706 skip_locked for DELETE /api/subscriber/id #1
  * [6683cef] MT#63706 skip_locked for POST /api/subscriber/

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 21 Nov 2025 11:09:31 +0100

ngcp-panel (13.5.1.7+0~mr13.5.1.7) unstable; urgency=medium

  [ Kirill Solomko ]
  * [49997b1] MT#63859 add expand by carrier_id

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 13 Nov 2025 10:41:57 +0100

ngcp-panel (13.5.1.6+0~mr13.5.1.6) unstable; urgency=medium

  [ Kirill Solomko ]
  * [de1ce24] MT#63839 add expand by subscriber_email_template_id

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 13 Nov 2025 10:20:12 +0100

ngcp-panel (13.5.1.5+0~mr13.5.1.5) unstable; urgency=medium

  [ Marco Capetta ]
  * [bbdbc65] MT#63893 Call 'sip_dispatcher_reload' while changing peerings via API
  * [eb6c92a] MT#63893 Fix typo in commit 3b17ab6c54c7ca

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 12 Nov 2025 12:22:34 +0100

ngcp-panel (13.5.1.4+0~mr13.5.1.4) unstable; urgency=medium

  [ Kirill Solomko ]
  * [19d3663] MT#63050 /api/customers email_template auto assign

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 15 Oct 2025 16:11:20 +0200

ngcp-panel (13.5.1.3+0~mr13.5.1.3) unstable; urgency=medium

  [ Rene Krenn ]
  * [3bd7a96] MT#63724 reduce contract_cnt limit to 10

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 09 Oct 2025 16:18:02 +0200

ngcp-panel (13.5.1.2+0~mr13.5.1.2) unstable; urgency=medium

  [ Rene Krenn ]
  * [ec1513f] MT#63706 skip_locked for GET /api/subscriber/id

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 09 Oct 2025 08:55:44 +0200

ngcp-panel (13.5.1.1+0~mr13.5.1.1) unstable; urgency=medium

  [ Kirill Solomko ]
  * [0527c0f] MT#63605 fix GET invoicetemplates without reseller_id
  * [d49888d] MT#63597 fix /api/callists GET by id

  [ Rene Krenn ]
  * [b71201a] MT#63617 reset admin OTP instead of clearing

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 02 Oct 2025 10:54:23 +0200

ngcp-panel (13.5.1.0+0~mr13.5.1.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [b952dda] MT#62763 Set vim file type to bash for shell scripts not being detected

  [ Kirill Solomko ]
  * [f7a3b1e] MT#63062 fix /api/customercontacts for reseller roles
  * [aeea350] MT#60845 /api/calllists add filter by duration
  * [a38cd24] MT#63066 /api/subscriberphonebook add filter by customer_id
  * [f44b43e] MT#63047 API add 'own' field to subscriber and customer phonebook
  * [b8cd29c] MT#63062 /api/customercontacts fix PUT/PATCH reseller_id validation
  * [3bb3d9e] MT#63182 /api/subscribers add lockwait and deadlock detection
  * [9ee7177] MT#63199 /api/subscriberpreferences add lockwait and deadlock detection
  * [4a38eac] MT#61804 /api/conversations add csv download support
  * [4c28a0d] MT#63320 /api/vouchers add search by code
  * [6d25bfa] MT#63324 fix Auth::is_user_banned error
  * [927be2a] MT#63320 fix /api/vouchers search by code
  * [aff1517] MT#63182 add deadlock detection for DELETE /api/subscribers
  * [b74fbab] MT#63320 /api/vouchers rename to search by base64_code
  * [c5e6d15] MT#63090 /api/calllists add phonebook entries support
  * [88a11e0] Revert "MT#63090 /api/calllists add phonebook entries support"
  * [67091cf] MT#63090 /api/conversations add phonebook entries support

  [ Sipwise Jenkins Builder ]
  * [6363e1e] TT#4166 I18N dump: snapshot 2025.06.27-22.20.14
  * [e40eb8a] TT#4166 I18N dump: snapshot 2025.07.10-22.20.00
  * [5a28253] TT#4166 I18N dump: snapshot 2025.07.14-22.19.49
  * [e794e62] TT#4166 I18N dump: snapshot 2025.08.18-22.19.53
  * [dabaf2e] TT#4166 I18N dump: snapshot 2025.08.22-22.20.04
  * [19c7da5] TT#4166 I18N dump: snapshot 2025.08.26-22.19.54
  * [47da425] TT#4166 I18N dump: snapshot 2025.08.28-22.19.56
  * [097d429] TT#4166 I18N dump: snapshot 2025.09.01-22.19.51

  [ Rene Krenn ]
  * [eb6f749] MT#62987 transcript info - api
  * [4c7b789] MT#63358 readonly prodile_id for GET /api/subscribers
  * [da9ad91] MT#62569 reset admin/subscriber OTP secret - restapi

  [ Fabricio Santolin da Silva ]
  * [0850b11] MT#63070 Add request for sems to clear its audio cache

  [ Marco Capetta ]
  * [d9497ff] MT#60563 add /api/pbxdevices label support
  * [1c9e706] MT#63454 Add new time_set_invert field in NCOS Levels

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:44:58 +0200

ngcp-panel (13.5.0.0+0~mr13.5.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [1be3f5a] MT#62546 Fix permanent registration nat flags
  * [c4542d0] MT#61427 Remove quick access to the OLD CSC panel

  [ Rene Krenn ]
  * [8a11b8e] MT#61646 fix phoenbook .csv encoding
  * [00a007d] MT#62568 subscriber 2FA impl

  [ Kirill Solomko ]
  * [7a7c5cd] MT#62600 fix UI invoice create/edit
  * [942cd4c] MT#62304 add Websocket Statistics to the monitoring page
  * [4d26ca5] MT#62705 improve peer_auth registrations support
  * [8037316] MT#62705 fix get_peer_auth_params() $rs
  * [0ce3658] MT#62890 fix and improve voicemailgreetings upload
  * [e3db35d] MT#62568 fix get_subscriber_enable_2fa() and get_chained_preference_rs()

  [ Sipwise Jenkins Builder ]
  * [7f8d6ea] TT#4166 I18N dump: snapshot 2025.04.24-22.20.20
  * [b67dc2c] TT#4166 I18N dump: snapshot 2025.06.06-22.20.33

  [ Guillem Jover ]
  * [32b0cb1] MT#62763 Suppress perlcritic false positives or intentional violations
  * [a7a3ac2] MT#62763 Add a shebang to treat file as a program
  * [4b00805] MT#62763 Use perl strictures
  * [b49f926] MT#62763 Replace code being tested from test description string with "creating"
  * [d8ddcc7] MT#62763 Do not modify topic variable in list functions
  * [56c23ce] MT#62763 Do not declare variable in conditional statement
  * [57896f8] MT#62763 Use «return» instead of «return undef»
  * [328bce8] MT#62763 Use a block in grep expression
  * [8fe6530] MT#62763 Use a scoped variable instead of a local bareword
  * [d9a53a3] MT#62763 Do not use two-argument open
  * [aa526ae] MT#62763 Localize $/ variable on assignment instead of using an intermediate variable
  * [cd904af] MT#62763 Rename PHP test script to use .php extension
  * [3f75e81] MT#62763 Fix shellcheck issues

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:44:01 +0200

ngcp-panel (13.4.0.0+0~mr13.4.0.0) unstable; urgency=medium

  [ Nico Schedel ]
  * [aaa834d] MT#55677 fix contact and customer selenium tests
  * [72f483a] MT#55677 fix contact and customer tests

  [ Kirill Solomko ]
  * [9960cd1] MT#62093 extend user ban keys in Redis
  * [d5fd867] MT#62093 return 403 Banned for banned users
  * [4eace82] MT#62180 /api/subscribers prevent subscribers from POST/DELETE
  * [e66c568] MT#61803 add /api/pbxusers endpoint
  * [ef4442f] MT#61805 add API phonebook support for top level inclusion
  * [97e457c] MT#62178 fix external_id, profile auto removal for subscriber roles
  * [cbc4e57] MT#62223 API unhandled internal errors cause 500 error
  * [e8f41ab] MT#62223 improve error response handling when log_response is off
  * [989e7b5] MT#61572 allow subscriber to GET resellerbrandinglogos
  * [5a7522e] MT#61803 add /api/pbxusers to api-root.t
  * [24d2867] MT#62289 /api/pbxusers add username and domain fields

  [ Rene Krenn ]
  * [60b3917] MT#62066 fix underrun_profile_threshold
  * [143bd0d] MT#62084 contract_id field for /api/topupcash and /api/topupvoucher
  * [82af5cf] MT#62283 "for update no lock" logic for GET /subscribers and /contracts
  * [764ab7d] MT#62283 exclude "for update no lock" in tests
  * [3c497cb] MT#62283 fix dbix "for update no lock" patch
  * [c0249ea] MT#53706 OTP generate_secret, verify_secret
  * [6c68438] MT#59447 admin ldap authentication for JWT
  * [b0b646d] MT#53706 wire OTP secret validation - api, jwt
  * [4bb352e] MT#53706 rail for generating OTP secret QR code png
  * [0bd2c64] MT#53706 OTP: login, show registration info
  * [164a246] MT#53706 update OTP registration info
  * [8820b45] MT#53706 exclude /api/otpsecret from apidocs
  * [816f777] MT#53706 OTP: fix restapi tests
  * [ded0cf5] MT#53706 OTP: fix restapi tests #1
  * [f167a55] MT#53706 OTP: reset show_info with jwt login
  * [6600d7c] MT#53706 enable_2fa option for /api/admins

  [ Sipwise Jenkins Builder ]
  * [60f8c73] TT#4166 I18N dump: snapshot 2025.02.13-23.23.38
  * [70ec201] TT#4166 I18N dump: snapshot 2025.02.18-23.28.14
  * [3bd8580] TT#4166 I18N dump: snapshot 2025.03.06-23.23.13
  * [ac05f1e] TT#4166 I18N dump: snapshot 2025.03.16-23.30.53

  [ Richard Fuchs ]
  * [015ee89] MT#59979 defuse license logs

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:28:16 +0200

ngcp-panel (13.3.0.0+0~mr13.3.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [fc42ca7] MT#59447 fix admin LDAP uri
  * [9f4c50c] MT#61558 fix reseller (branding) license restriction

  [ Richard Fuchs ]
  * [1bcc643] MT#61630 turn XMLDispatch into HTTPDispatcher
  * [b2b5600] MT#61630 invalidate rtpengine cached files

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:15:08 +0100

ngcp-panel (13.2.0.0+0~mr13.2.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [e835888] MT#60553 handle API subscriber timezone field separately
  * [1873193] MT#61673 /api/calllists fix missing type response field

  [ Marco Capetta ]
  * [97adbaf] MT#60864 Fix Sync Email Templates button behavior

  [ Rene Krenn ]
  * [1c09e27] MT#60197 support deleting call recordings per subscriber
  * [598f7db] MT#61513 prevent duplicates in GET /api/callrecordings
  * [358139e] MT#59447 admin user LDAP authentication
  * [de0595c] MT#59447 admin user LDAP authentication #1

  [ Guillem Jover ]
  * [bdbd126] MT#61459 Do not use Perl indirect object syntax

  [ Mykola Malkov ]
  * [a8476ad] MT#58444 Set correct permissions/ownership for ssl files

  [ Sipwise Jenkins Builder ]
  * [019f8e8] TT#4166 I18N dump: snapshot 2024.11.29-23.29.15
  * [b64fbbe] TT#4166 I18N dump: snapshot 2024.12.04-23.23.17

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Dec 2024 11:27:19 +0100

ngcp-panel (13.1.0.0+0~mr13.1.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [e6b29d3] MT#59449 fix password validation enabled/disabled, admins
  * [f383837] MT#60595 add expand by package_id
  * [2972d3b] MT#59449 add progressive user bans support
  * [4a9a632] MT#59449 sub auth fix possible username without undef domain
  * [65ae07a] MT#60601 obfuscate password/webpassword in API valdiation errors
  * [e2e1776] MT#60558 move max license checks for POST /api/subscribers
  * [c4c710e] MT#60558 fix max_pbx_groups $c argument typo
  * [0a9fb5d] MT#59449 fix subscriber auth attempts without username
  * [c7ae8c1] MT#60300 fix sound sets list rendering for reseller
  * [b041888] MT#60656 add max_age password validation support
  * [78dfb7f] MT#60656 do not check max_age if user does not exist
  * [b97be45] MT#60709 add PBX expand by device_id,profile_id,config_id
  * [f3bc809] MT#60710 add missing DELETE method for pbx endpoints
  * [4b00a59] MT#60710 fix pbxdeviceprofiles allowed_roles typo
  * [46d297d] MT#60656 improve 403 Password Expired for expired passwords
  * [f4c5f22] MT#60710 add DELETE to pbxdevicemodels api-test allowed methods
  * [e09de1e] MT#60558 invoke max subscribers/group license check only on POST
  * [bbd44f1] MT#60858 add /api/passwordchange endpoint
  * [a394526] MT#59449 fix perform_auth to send correct realm to ban check
  * [558fbcb] MT#60858 add /api/passwordchange endpoint to api-test root links
  * [a7589ae] MT#60877 /api/preferencemetaentries accept default_val as boolean
  * [13f9cd1] MT#60858 add passwordchange to test links valid syntax checks
  * [55b27b3] MT#61100 add pbx device/firmware search by type/tag

  [ Marco Capetta ]
  * [a2a01d4] MT#59979 permit GET on resellers and billing profiles items even without license
  * [463969b] MT#59449 Fix selenium tests after password enforcements
  * [43a1be5] MT#60860 Update new sipwise logo
  * [a02cac3] MT#60860 Update new favicon in png format
  * [d40126e] MT#60756 Fix subscriberprofiles POST api call as reseller
  * [f9a328f] MT#61065 Fix 'cli' preference removal

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 10:00:26 +0200

ngcp-panel (13.0.0.0+0~mr13.0.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [a46ef5b] MT#60160 improve same primary number detection
  * [6926930] MT#60227 handle Accept: application/json header
  * [0d8d68d] MT#60236 /api/mailtofaxsettings allow subscriber roles
  * [f81481e] MT#60236 disable mailtofaxsettings active state checks
  * [9a2d66a] MT#60238 /api/customerpreferences allow subscriberadmin
  * [6543743] MT#60162 improve expand functionality for collections
  * [18597ef] MT#60378 accept null same way as NULL for search
  * [775ec90] MT#60392 /api/lnpcarriers allow reseller GET
  * [f72f829] MT#60393 /api/timesets fix reseller_id validation
  * [244b4f7] MT#60392 /api/ncoslnpcarriers allow reseller
  * [5d26436] MT#60392 /api/ncoslnpcarriers fix reseller role typo
  * [ca908bf] MT#60400 /api/soundsets remove null search detection
  * [522fd97] MT#58964 /api/platforminfo add licenses info
  * [6cb38f0] MT#58964 do not render licenses for public platforminfo
  * [524a264] MT#60498 add search by not_null, change null param
  * [10a88cf] MT#58964 /api/platforminfo add license_meta
  * [9d021be] MT#59979 add license control
  * [43d112b] MT#60558 add max subscribers/groups license checks
  * [d9f283c] MT#59449 enhance password validation and handling
  * [60fa23c] MT#60585 add user ban support
  * [cfe0a44] MT#60585 add user ban by IP address, ban JWT invalid attempts

  [ Marco Capetta ]
  * [fefa5ea] MT#60511 Form/Header/Rule add direction "b_outbound"
  * [551cc2f] MT#60515 rename hm inbound/outbound directions to a_inbound/a_outbound

  [ Rene Krenn ]
  * [0fd36ac] MT#60520 prov templates: fix lookup of items
  * [9c10330] MT#60575 dynamically load provisioning templates module

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:03:13 +0200

ngcp-panel (12.5.0.0+0~mr12.5.0.0) unstable; urgency=medium

  [ Nico Schedel ]
  * [b22d2d8] MT#59624 update firefox in docker to fix segfaults
  * [1fdaa6b] MT#55677 fix all ngcp-panel-selenium tests

  [ Kirill Solomko ]
  * [205b27a] MT#59478 API better transaction and error handling
  * [9dbd6b0] MT#59478 /api/contracts address $now and hal_from_contract
  * [9d598d4] MT#59478 improve MSG, LOG log string data storing
  * [bf249f9] MT#59797 /api/headerruleconditions (actions) fix reseller role
  * [4e2e141] MT#59478 Entities fix non-existing $item handling in put/patch/delete
  * [91f1dcf] MT#59478 /api/ root error handling
  * [9e36533] MT#59478 adapt /api/cftimesets to global transactions, more fixes
  * [1872f34] MT#59478 Entities/EntitiesItem more $c->has_errors checks
  * [b2a1bc0] MT#59806 adapt /api/cfdestinationsets to Entities
  * [c006e9e] MT#59806 add missing cfdestinationsets HAL link type
  * [e4cda08] MT#59835 /api/billingzones fix HAL ngcp:billingfees relation
  * [c6aaadd] MT#56301 move lock_provisioning_voip_subscriber before underrun_lock
  * [f247817] MT#60119 allow pbxfielddeveicepreferences to subscriberadmin role

  [ Rene Krenn ]
  * [14e5b91] MT#59748 drop ngcp-provisioning-template test dbhost
  * [df670f5] MT#56301 set locklevel of created subscribers only if specified
  * [941c75e] MT#59078 ?create_primary_acli= query param

  [ Marco Capetta ]
  * [8945b8a] MT#56301 Fix API creation of an active subscriber with lock
  * [42f8747] MT#59749 Add use_redirection flag to Call Forwards configuration

  [ Michael Prokop ]
  * [c8766cd] MT#48844 Minor typo fixes

  [ Donat Zenichev ]
  * [844a9e5] MT#59011 Cleanup panel from the reference to "sip:localuser"

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:32:02 +0200

ngcp-panel (12.4.0.0+0~mr12.4.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [a87bf2b] MT#59163 Stop using deprecated given/when perl construct

  [ Kirill Solomko ]
  * [a4d54b1] MT#58709 rework NGCP::Utils::Sound::get_handlers_rs
  * [80f8b1d] MT#59238 fix rewrite rules transaction control for PATCH,DELETE
  * [0202996] MT#59537 create_invoice() add existing balance check
  * [7aeaf0f] MT#59363 /api/subscriberregistrations change socket field to Text
  * [1fb8d04] MT#59615 /api/subscribers skip primary number processing if unchanged
  * [aef4c89] MT#59662 enhance subscriber assigned header rules/sets handling

  [ Rene Krenn ]
  * [a15d008] MT#56817 MT#56362 fix errors from nondetermistic query param ordering
  * [672a311] MT#59216 restore appending wildcard behaviour
  * [aae0b7e] MT#56817 MT#56362 fix query param sorting for rs chained the regular way
  * [c837dc1] MT#56817 MT#56362 fix query param sorting for regulary chained rs
  * [740bb76] MT#59434 always take aliases from voip_numbers
  * [48b71e6] MT#59363 fix /api/domains/?domain= filter pattern behaviour
  * [aa67602] MT#59363 retain trailing+leading wildcard for legacy panel only
  * [9ba93e6] MT#59597 remove trailing+leading % entirely for "wildcard" param types
  * [868e265] MT#59597 fix remove trailing+leading % entirely for "wildcard" params

  [ Sipwise Jenkins Builder ]
  * [56c0d86] TT#4166 I18N dump: snapshot 2024.03.01-23.20.50

  [ Michael Prokop ]
  * [3ccdaaa] MT#59492 Use reserved IPs following RFC5737

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Mar 2024 08:48:41 +0100

ngcp-panel (12.3.0.0+0~mr12.3.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [1474584] MT#58762 Fix typo in swagger documentation

  [ Kirill Solomko ]
  * [f399f3c] MT#58826 enable expand by rwr_set_id
  * [8985839] MT#58834 fix headerrule conditions/actions dp_id check
  * [462bfed] MT#58861 /api/headerruleconditions accept values as a list of strings
  * [1dabb60] MT#58989 /api/customers add type query param
  * [b6b453d] MT#59001 improve phonebook csv upload

  [ Rene Krenn ]
  * [853bc9f] MT#58936 direction filter param for /api/customerzonecosts
  * [bad2e32] MT#58762 adjust restpi tests v2 to harmonized wildcard filters
  * [73a967b] MT#58762 adjust restpi tests v2 to harmonized wildcard filters #1
  * [2101e22] MT#58936 fix customerzonecosts resourcename
  * [cc8fd89] MT#58890 force cft_ringtimeout as number
  * [1e9f223] MT#59025 fix peering groups name filter

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jan 2024 14:47:34 +0100

ngcp-panel (12.2.0.0+0~mr12.2.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [a7f82c2] MT#57129 Anonymize caller in conversation list when clir is equal to 1
  * [958e40e] MT#54356 Fix swagger documentation for 'calllist' api
  * [f8fd17b] MT#58596 Enable api soundgroups and soundhandles for subscriber
  * [a0b7867] MT#56895 Deprecate 'api_embedded_forcearray' and 'api_links_forcearray' params

  [ Rene Krenn ]
  * [0bdd78e] MT#58422 fix persisting "don't change" topup lock level
  * [f6b934b] MT#58485 invoice: use UTC tz when filtering for start_time
  * [ae612eb] MT#58346 caller/callee filters for conversations
  * [d546387] MT#58346 fix panel datatable filtering
  * [5eff060] MT#58346 fix conversations voicemail timestamp filter
  * [9c3a549] MT#56239 api general caller/callee wildcard search support
  * [7370f0e] MT#58675 add /api/billingfees missing fields
  * [8e82715] MT#56239 api/callrecordings support filtering multiple metakeys
  * [71480ac] MT#56239 avoid ambersand symbol in apidoc descriptions
  * [308a974] MT#58762 harmonize restapi wildcard filters
  * [bbb964f] MT#58765 expand zones in billing fees response
  * [aa2d07e] MT#58762 adjust restpi tests to harmonized wildcard filters

  [ Kirill Solomko ]
  * [1aef2d5] MT#58581 /api/customers fix filter by profile_package_id
  * [1231cae] MT#58746 /api/phonebookentries fix duplicate check
  * [08fb96c] MT#58813 adjust header rule conditions/actions filters

  [ Sipwise Jenkins Builder ]
  * [0430303] TT#4166 I18N dump: snapshot 2023.11.15-23.20.49
  * [ec9b58a] TT#4166 I18N dump: snapshot 2023.11.16-23.20.45

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 29 Nov 2023 13:37:17 +0100

ngcp-panel (12.1.0.0+0~mr12.1.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [c826fcc] MT#58157 escape uri refs in body.tt
  * [0c4800f] MT#58409 /api/profilepreferences fix filtering for admins
  * [706b472] MT#58430 fix allowed_ngcp_types in API GET
  * [cec12f7] MT#58333 rework /api/phonebookentries
  * [75a6a97] MT#58333 add api-rest phonebookentries links, remove tests

  [ Rene Krenn ]
  * [9d8ac17] MT#58337 show destination call costs/zones in invoice callist
  * [c73b4e3] MT#58422 fix persisting "don't change" underrun lock level

  [ Sipwise Jenkins Builder ]
  * [bc62644] TT#4166 I18N dump: snapshot 2023.10.02-22.29.20
  * [098cd27] TT#4166 I18N dump: snapshot 2023.10.03-22.21.07

  [ Guillem Jover ]
  * [329b08f] MT#58356 Update packaging for bookworm

  [ Fabricio Santolin da Silva ]
  * [3c5cf0b] MT#58468 Fix special characters incorrectly interpreted by paps

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 15 Oct 2023 08:24:12 +0200

ngcp-panel (12.0.1.0+0~mr12.0.1.0) unstable; urgency=medium

  [ Sipwise Jenkins Builder ]
  * [faf5846] TT#4166 I18N dump: snapshot 2023.06.27-00.20.52
  * [d41dfe0] TT#4166 I18N dump: snapshot 2023.07.15-00.21.03
  * [ae99153] TT#4166 I18N dump: snapshot 2023.08.11-00.26.05
  * [2894409] TT#4166 I18N dump: snapshot 2023.08.30-00.21.05

  [ Mykola Malkov ]
  * [94c1e03] MT#57453 Switch docker image to bookworm

  [ Kirill Solomko ]
  * [c2fe092] MT#57801 /api/phonebookentries fix get_form()
  * [22a8e95] MT#57708 sound set/file use READ COMMITTED
  * [ba78e19] MT#57753 fix /api/mailtofaxsettings secret_key change
  * [6953de9] MT#33041 add reseller max subscribers support
  * [b7c2261] MT#57987 /api/rewriterules calculate priority on create

  [ Nico Schedel ]
  * [a2270e1] MT#57776 update dockerfile to make python tests work on debian 12

  [ Donat Zenichev ]
  * [fd796a9] MT#56845 HG: introduce new field `Cancel Mode`

  [ Rene Krenn ]
  * [cde01e7] MT#53849 peer/reseller invoicing
  * [8fbd46e] MT#57382 DELETE /api/faxes/id

  [ Marco Capetta ]
  * [967bc58] TT#179901 Discontinue iNew dedicated features and code (part 2)
  * [837d7ce] MT#56422 Hook new KeyDB statistics dashboard

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Aug 2023 18:04:44 +0200

ngcp-panel (11.5.0.0+0~mr11.5.0.0) unstable; urgency=medium

  [ Sipwise Jenkins Builder ]
  * [fd9c003] TT#4166 I18N dump: snapshot 2023.03.23-00.18.21
  * [c9c2b8b] TT#4166 I18N dump: snapshot 2023.04.04-00.27.21
  * [479d3cf] TT#4166 I18N dump: snapshot 2023.05.03-00.20.05
  * [54bc7cc] TT#4166 I18N dump: snapshot 2023.05.11-00.19.16
  * [0b8979f] TT#4166 I18N dump: snapshot 2023.06.16-00.21.21
  * [f79c7a5] TT#4166 I18N dump: snapshot 2023.06.23-00.22.39

  [ Kirill Solomko ]
  * [6a922c5] MT#56693 parent_name, allow empty sound files, sems audio cache
  * [8ebe7f7] MT#56693 sound files loopplay change to optional
  * [c5b288a] MT#57085 fix /api/peeringroups form operations
  * [158def3] MT#56735 /api/billingprofiles fix reseller_id on update
  * [c58a8b9] MT#57100 avoid where ambiguity for query_types search_eq,search_like
  * [407d6f3] MT#56693 /api/soundets fix DELETE subscriberadmin access
  * [eafdd43] MT#56693 fix soundset parent_name related api-journal.t
  * [8793db1] MT#56693 fix soundset parent_name related api-soundsets.t
  * [0370507] MT#57155 /api/rewriterules add filter by direction,field
  * [7bc5ec0] MT#57216 fix advanced cf sets selection for admins
  * [b566c28] MT#57347 send_email now use try/catch and error message
  * [8917344] MT#57223 improve sems audio cache invalidation
  * [391aa3f] MT#57564 convert deprecated timezone names
  * [19f5c68] MT#56693 fix /api/soundfiles without Content-Type
  * [9d9c0d0] MT#57580 add expose_to_customer support for NCOS

  [ Rene Krenn ]
  * [dd9d57c] MT#57070 ignore undef enum.default_val
  * [70fc4c2] MT#56689 fix provisisoning templates contract creation
  * [5e2f599] MT#57171 speedup DELETE /api/lnpnumbers/id
  * [ccec3ef] MT#57186 expose variables to new_subscriber email
  * [7ad8d0a] MT#57667 fix registration collection failing with terminated subs

  [ Marco Capetta ]
  * [b013f35] MT#57240 Allow '+' char in device line number definition
  * [ce6884e] MT#57342 /api/subscribers fix field role inconsistency
  * [be7193e] MT#57469 Fix kamailio lcr reload on PATCH/PUT APIs
  * [28340ce] MT#56181 Fix link of AutoAttendant edit slots
  * [e88d03f] MT#57606 subscriberadmin can manage other subscribers' registrations
  * [e432dfa] MT#56865 Fix cid/key usage in grandstream provisioning
  * [7853ae1] MT#57668 Add support for implicit reseller_id on phonebookentries api

  [ Guillem Jover ]
  * [6a5fb16] MT#57326 Hook new Kamailio statistics dashboard

  [ Donat Zenichev ]
  * [565c254] MT#57376 Add support of 'peer_auth_registrar_server' preference

  [ Alessio Garzi ]
  * [c45639a] MT#57447 Set reseller_id preference automatically when an account is created

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 Jun 2023 14:11:01 +0200

ngcp-panel (11.4.0.0+0~mr11.4.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [2a0b8dc] MT#56432 add time set support to ncos levels
  * [d7d9416] MT#55931 PbxFieldDevicesAPI form target_number is now optional
  * [ba2894d] MT#56432 add timeset field to Form/NCOS/AdminLevel
  * [b850771] MT#56432 UI prevent ncos level timeset to have different reseller_id
  * [fa82bac] MT#56455 fix peering groups timeset relation
  * [f883192] MT#56744 audio transcoding fixes
  * [3c1842c] MT#56802 fix preferences default values selection
  * [44ec794] MT#56693 add parent sound set support
  * [0a4d5e4] MT#56693 fix parent sound sets list for sound set creation

  [ Rene Krenn ]
  * [7cbf2f6] MT#56417 make Provisioning Templates "contract_contact" and "contract" sections optional
  * [a9b1ba8] MT#56917 fix rwr 'description' filter

  [ Marco Capetta ]
  * [35949e9] MT#56526 Discontinue dialogic setting/provisioning
  * [549861e] MT#56739 Remove already deprecated preference 'enable_t38'
  * [257364e] MT#56740 Discontinue jitsi autoprovisioning
  * [26b63e8] MT#56835 Fix device provisioning when external_number is in use
  * [0274ab0] MT#56776 Fix peer deletion when not enabled
  * [16a82cb] MT#56403 Add new internal preferences to show/hide CSC menus
  * [da628f6] MT#56691 Extend Contract Soundsets with all the announcements

  [ Sipwise Jenkins Builder ]
  * [241f30e] TT#4166 I18N dump: snapshot 2022.09.28-00.25.51

  [ Guillem Jover ]
  * [ea51ea0] MT#55124 Hook new VictoriaMetrics statistics dashboard

  [ Alessio Garzi ]
  * [e1c66a1] MT#56490 Reload lct gw table also on LB

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 24 Mar 2023 13:04:20 +0100

ngcp-panel (11.3.0.0+0~mr11.3.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [a86e868] MT#55538 /api/soundsets allow filtering by customer_id=null
  * [826d3f1] MT#55618 /api/subscribers fix default contract_sound_set assignment
  * [507d088] MT#55864 /api/subscribers correctly process administrative flag
  * [0c4deaa] MT#55871 /api/subscribers optimise GET alias_numbers
  * [33096f1] MT#55976 /api add link to /api/v2 documentation
  * [64b71cd] MT#32999 /api/cfmappings subscriberadmin scope of view change
  * [4c1a9d9] MT#56029 /api/cfbnumbersets subscriberadmin role change
  * [018dc08] MT#56026 /api/cfsourcesets subscriberadmin role change
  * [ae32c62] MT#56027 /api/cfdestinationsets subscriberadmin role change
  * [2904de6] MT#56028 /api/cftimesets subscriberadmin role change
  * [f942b07] MT#32992 fix /api/resellerbrandnglogos
  * [4f8603d] MT#56068 /api/resellerbrandings/:id change
  * [e2afe2e] MT#56087 fix /api/callforwards sets auto creation
  * [34eeac7] MT#56068 fix /api/resellerbrandings reseller_id field
  * [f1cc84c] MT#56234 add voip_preferences.expose_to_subscriber support
  * [b51c0c9] MT#56234 restrict cli preference allowed numbers for subscriberadmin
  * [8459e03] MT#56234 update_voicemail_number update all use cases
  * [81d50cd] MT#56234 get_usr_preference_rs changes
  * [6d48745] MT#56234 susbcriber preferences related changes
  * [6c179dd] MT#56234 get_usr_preference changes
  * [8288a30] MT#56234 cli preference edit filter for subscriberadmin
  * [45d9fb3] MT#56286 fix subscriber profiles form and api update
  * [b838c5d] MT#56286 render all subscriber profiles with prof_pref = 1
  * [673ac66] MT#56234 fix cli check for subscriber roles
  * [766cab0] MT#56286 fix subscriberprofile api attribute field
  * [9254092] MT#56234 get_usr_preference_rs and prov_subscriber
  * [80bf560] MT#55687 add ncos_set preferences support
  * [009b581] MT#55687 api-preferences.t ignore ncos_set preferences
  * [e90ba9d] MT#56208 allow subscriber role access to cf sets
  * [519de11] MT#55931 add autoprov field device target_number support
  * [36974ef] MT#55931 add /api/pbxdevices target_number support
  * [dee6b60] MT#56208 additional inherited cfs improvements for subscribers

  [ Michael Prokop ]
  * [3142931] TT#76552 systemd: reduce hardening for sendmail(1) usage.
    Thanks to Thomas Georg on spce-user ml for the bug report, and Victor Seva, Richard Fuchs + Rene Krenn for assistance in tracking this down
  * [2b3a18b] TT#76552 send_template: log mail sending actions
  * [9c58e1c] TT#76552 systemd: allow r/w access to /var/mail
  * [e8f901a] MT#55524 Update lintian overrides for new lintian behavior
  * [846b60a] MT#55886 Add dependencies on libdata-page-perl + libio-string-perl

  [ Rene Krenn ]
  * [67f6063] MT#55551 add ccare roles to /api/callforwards
  * [ff198ce] MT#55694 MT#55419 provide generated datatable search tooltips
  * [d6c3ae4] MT#55957 interceptions: consider active subscribers only
  * [e9367e0] MT#55972 support wildcard search for customer external_id

  [ Nico Schedel ]
  * [5320543] MT#55677 fix for "Unstable ngcp-panel-test-selenium-docker runs with failing tests"

  [ Marco Capetta ]
  * [36ae8ce] MT#55931 Add new speeddial, forward, transfer device buttons

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 17 Jan 2023 17:43:37 +0100

ngcp-panel (11.2.0.0+0~mr11.2.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [b3cb8b5] TT#185000 Wrong sample rate for asterisk greating messages

  [ Rene Krenn ]
  * [65b5c62] TT#188950 ignore domain for subscriber authentication
  * [1717064] TT#180400 use v2 subscriber passreset url in emails
  * [7caf33a] MT#55419 enable wildcard search for customer.external_id
  * [f75fdcd] MT#33062 prevent error 500 when deleting registrations
  * [afe80f0] MT#55421 fix deleting domains
  * [a9f53cd] MT#55418 hide billing mappings with terminated profiles in AUI
  * [d4d924e] MT#55436 mark concurrent_* fraudpref fields as readonly

  [ Daniel Grotti ]
  * [878f48a] TT#151207 Save CF destinations to fax2mail with new prefix 'fax='

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 04 Oct 2022 13:51:14 +0200

ngcp-panel (11.1.0.0+0~mr11.1.0.0) unstable; urgency=medium

  [ Sipwise Jenkins Builder ]
  * [e4803b5] TT#4166 I18N dump: snapshot 2022.06.08-01.20.26
  * [4e1bafe] TT#4166 I18N dump: snapshot 2022.06.14-01.17.39
  * [9844de9] TT#4166 I18N dump: snapshot 2022.07.09-00.21.37
  * [4653423] TT#4166 I18N dump: snapshot 2022.07.21-00.26.27
  * [63b04d7] TT#4166 I18N dump: snapshot 2022.08.06-00.40.49
  * [90e65a0] TT#4166 I18N dump: snapshot 2022.08.13-00.21.34

  [ Kirill Solomko ]
  * [22eb317] TT#180551 /api/topuplogs add filter by customer_id
  * [d6463ff] TT#182102 fix subcriber primary number and cli comparsion
  * [eeeab1a] TT#179901 api SMS remove obsolete rpc part from session
  * [a614972] TT#174451 fix SubscriberProfile form attribute field list
  * [09b5897] TT#182101 Phonebook feature is hidden for CE
  * [a8bc494] TT#182053 Header Manipulations feature is hidden for CE
  * [f311177] TT#182101 Fix check_allowed_ngcp_types detection
  * [514989c] TT#184300 journals alawys write reseller_id
  * [b81c66f] TT#182101 add api-rest/testrunner CE support
  * [01cb547] TT#182101 api-rest/testrunner add stable-pro stable-carrier aliases
  * [84910ef] TT#182053 hide UI /header page access on CE
  * [60a3988] TT#182101 hide UI /phonebook page access on CE
  * [938f6ba] TT#176050 add expand support on array of ids
  * [84e698e] TT#176050 adjust subfield expands
  * [d6c928f] TT#182101 ngcp type related api-rest test fixups
  * [a60a62c] TT#182101 api-preferences fix headerrulesets for CE
  * [27c3b7d] TT#182101 api-preferences.t fix header_rule_set preference processing
  * [f3eafcc] TT#182101 t/api-rest2 remove HeaderRuleSets from testing
  * [be402b1] TT#182101 t/api-rest2 remove headerrules from AllLinks
  * [7f59aed] TT#185000 increase sound/voicemails sample rate to 16k
  * [e1bab24] TT#182101 t/api-rest2 remove phonebookentries from AllLinks
  * [7e37f4b] TT#186501 fix /api/capabilities for ccare roles
  * [486b0a1] TT#186503 fix /api/billingprofiles for ccare roles
  * [5a104c3] TT#186506 ccare roles can expand billing_profile_id
  * [57a8cef] TT#65101 enhance ccare roles support
  * [5a18d5f] TT#65101 improve expand=all, /api/domains care roles support
  * [6b94514] TT#151504 subscriberadmin can now manage customer phonebook
  * [6e5721c] TT#186950 check db connection
  * [0555f32] TT#65101 expand now fills the same key only once

  [ Rene Krenn ]
  * [8ae81b4] TT#180400 redirect password recovery to JS CSC in case of mixed/yes
  * [d7367fe] TT#174407 support renaming in preference transformations

  [ Marco Capetta ]
  * [5f316b8] TT#179901 Discontinue iNew dedicated features and code

  [ Antoine Lingat ]
  * [e3372c9] TT#180900 Update label/desc of pref 'cloud_pbx_hunt_timeout'

  [ Nico Schedel ]
  * [cd4fb65] TT#122872 selenium: fix admin and customer tests for master

  [ Fabricio Santolin da Silva ]
  * [adbd256] TT#96652 Add suffix for emergency number.

  [ Victor Seva ]
  * [78a447f] TT#185701 fix deactivate_domain

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 22 Aug 2022 20:02:02 +0200

ngcp-panel (11.0.0.0+0~mr11.0.0.0) unstable; urgency=medium

  [ Oleksandr Duts ]
  * [afa9289] TT#167900 /api/subscribers improve number duplicate checks
  * [a2dfbe8] TT#158900 API DELETE admincerts/:id - master-admin for other admins
  * [752d81d] TT#146103 API POST resetpassword - subscriber search fix
  * [ad6a05e] TT#172352 UI fix failed create reseller with default values
  * [f7d57da] TT#134050 API POST subscribers - doc customer_id field

  [ Kirill Solomko ]
  * [23796e0] TT#158252 GET /api/subscriberpreferences fix ambiguous id
  * [f91797c] TT#170500 password reset v2 fix redirect url
  * [6bdfca9] TT#171850 fix unintentional primary number removal
  * [e011960] Revert "TT#171850 fix unintentional primary number removal"
  * [999332d] TT#171850 fix api-subscribers tests
  * [1954732] TT#172451 password reset uses webusername
  * [1841d07] TT#172451 /api/passwordreset fix provisioning subscriber join
  * [68af361] TT#173700 /api/topuplogs expand related fixups
  * [996cda6] TT#173650 enhance /api/customerfraidpreferences
  * [dcae99b] TT#177851 BillingNetworks close button (back) target selection
  * [d3dc152] TT#175000 remove rtcengine logic
  * [94941ef] TT#177402 /api/capabilities allow ccareadmin, ccare roles
  * [2efeb70] TT#179800 API peer server preferences fix reliance on reseller_id

  [ Rene Krenn ]
  * [43d41c0] TT#168050 fix allowed_cli check for duplicates - fix tests
  * [e1f48f0] TT#155600 use trailing wildcard in datatable search
  * [f27f58f] TT#155600 enable (default) prefix search for username, uuid
  * [eac6c2d] TT#146101 add external base url parameter
  * [a1dc62a] TT#170300 support fast subscriber search by alias
  * [7760274] TT#113602 tool to generate apidoc off-line WIP
  * [597f01c] TT#113602 cleanup tool to generate apidoc
  * [928dcf6] TT#146101 handle undefined port with base url parameter
  * [66513cb] TT#173900 rename provisioning_template "lang" element
  * [9d7990e] TT#178050 refactor /api/activesubscriberprefs impl
  * [8afc819] TT#179700 fix inverted mandatory field ind (swagger)

  [ Nico Schedel ]
  * [70ce9d3] TT#122872 selenium: fixup admin, contact and login tests

  [ Sergii Leonenko ]
  * [d93f4d7] TT#170850 Issue - Invoice template variables popup invisible in v2 UI

  [ Alexander Lutay ]
  * [3f55026] TT#170501 Add placeholder file to prevent HTTP 404 error in console.
  * [b90bd01] TT#176350 Use common edit logic for Invoice templates
  * [3b58805] TT#104162 Improve free space usage on ngcp-panel content section
  * [4e181ef] TT#104162 Improve 'Invoice template' SVG editor layout for v1 and v2
  * [8250cad] TT#177851 Fix ProfilePackage navigation for close button
  * [597beac] TT#149450 Add nagivation buttons '... Sets' to return from submenu

  [ Guillem Jover ]
  * [530ae90] TT#175501 ngcp-emergency-mode: Fix IO::Prompt::Tiny import syntax
  * [1a62b5c] TT#175501 ngcp-emergency-mode: Import JSON module
  * [0e5a529] TT#177600 Move SSL certificates under /etc/ngcp-config/shared-files/ssl

  [ Sipwise Jenkins Builder ]
  * [072e897] TT#4166 I18N dump: snapshot 2021.12.02-01.24.06
  * [5bdadf3] TT#4166 I18N dump: snapshot 2022.05.14-01.19.21
  * [6cb0ea0] TT#4166 I18N dump: snapshot 2022.05.19-01.18.41

  [ Michael Prokop ]
  * [35edfb9] TT#76552 Harden ngcp-panel service

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 07 Jun 2022 11:44:07 +0200

ngcp-panel (10.5.0.0+0~mr10.5.0.0) unstable; urgency=medium

  [ Nico Schedel ]
  * [e8502ec] TT#122872 selenium: fixing more misaligned buttons
  * [a15445f] TT#158401 selenium: fixup administrator and reseller tests
  * [a8fcd1d] TT#158401 selenium: fix multiple obscuring elements

  [ Rene Krenn ]
  * [641fb8c] TT#159400 support fraudlimit greater than 1 million
  * [81afa66] TT#159400 support fraudlimit greater than 10 million
  * [b05628d] TT#81004 support callforwards in provisioning templates
  * [b61d5c9] TT#81004 fix check CF destination with "timeout" or "priority" vals
  * [2441d05] TT#81004 fix exports for check CF destinations
  * [ebfcc70] TT#157700 invoice templates call direction mode
  * [4df49f5] TT#168050 fix allowed_cli check for duplicates
  * [e403354] TT#168050 fix allowed_cli check for duplicates - update testcase

  [ Kirill Solomko ]
  * [ccac7fd] TT#154353 fix JWT retrieval from the header
  * [52e6622] TT#66577 ui show error when updating peer_auth preferences
  * [4554155] TT#167400 change call forwardings preference to be distinct
  * [26c868b] Revert "TT#158252 API GET subscriberpreferences - rm acquire_contract_rowlocks"
  * [d7c7391] Revert "TT#158252 API GET subscriberpreferences - fix DBI timeout"
  * [38b48e8] TT#158252 GET /api/subscriberpreferences performance

  [ Oleksandr Duts ]
  * [ace1698] TT#154550 API topuplogs - expand fields
  * [a4d3585] TT#160300 API: header[rules,ruleactions,ruleconditions] - subscriber_id filter
  * [c12d507] TT#158250 API: autoattendats - fix subscriber_id expand under subscriberadmin
  * [8af29b6] TT#154351 Sound set propagation
  * [f2ae8c9] TT#163451 API GET headerrules - name, description filtering fix
  * [55b3310] TT#146250 UI recoverwebpassword - redirect to 443
  * [f0a5c38] TT#158252 API/UI cfmappings improve performance
  * [15ae78f] TT#158252 Remove debug info
  * [a6b5ac9] TT#158252 API GET subscriberpreferences - fix DBI timeout
  * [9d77ddb] TT#158252 API GET subscriberpreferences - rm acquire_contract_rowlocks
  * [3b9f19b] TT#141101 UI/API fix custom_announcement upload
  * [4e7e551] TT#166900 API phonebookentries - fix form creation for empty params

  [ Marco Capetta ]
  * [940cf00] TT#109104 Add new Location mapping mode: forward

  [ Javier Rodriguez ]
  * [84a33c9] TT#160250 'Calculated fields' label changed to 'Language' label
  * [1be9e7f] TT#160850 Fix for Built-In Batch Provisioning Template that Cannot Create A Customer With Several Subscribers
  * [58c8641] TT#158350 Enhance information on ngcp-provisioning-template help
  * [78c93e3] TT#115002 Update Spanish Translations for ngcp-panel
  * [1898fb6] TT#160200 Add grandstream CID/Key options, Using user/password instead of cid/key

  [ Alexander Lutay ]
  * [0e0cf38] TT#166550 Remove Russian from NGCP
  * [c460d03] TT#166550 Remove Russian from NGCP, part 2

  [ Michael Prokop ]
  * [4e6b2a3] TT#137552 Minor fix for german translation

  [ Guillem Jover ]
  * [194dc6a] TT#167050 Switch system statistics dashboard status to new problems JSON

  [ Donat Zenichev ]
  * [493ca39] TT#167350 outbound registration: add proper transport handling

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 31 Mar 2022 00:00:35 +0200

ngcp-panel (10.4.0.0+0~mr10.4.0.0) unstable; urgency=medium

  [ Oleksandr Duts ]
  * [e58cb2c] TT#149456 Admins introduce role_id flag
  * [747af33] TT#151250 Write journal resource params: user_id, reseller_id, role_id, tx_id.
  * [206877a] TT#149462 Enhance UI admins role usage
  * [9855b6a] TT#149461 Enhance /api/admins to accept the role data property
  * [e5dd7e5] TT#129169 API: DELETE /api/admins/:id return wrong http 500
  * [8b6939a] TT#134106 API: GET autoattendants - fix subscriber access
  * [581aa09] TT#153501 API: GET phonebookentries - fix subscriber access(422) to own phonebooks
  * [938eef9] TT#119465 API callrecordings - searchable caller/callee
  * [0327118] TT#157400 API/UI admins fix authorization for "system" role

  [ Kirill Solomko ]
  * [16b4dfe] TT#149456 Journal allow empty role_id
  * [ac94626] TT#149456 fix and improve user role_id retreival, api tests
  * [f9bb008] TT#149456 fix reseller_id in api-journals.t
  * [55a8d55] TT#152901 prosody provision ignore error on timeout
  * [4e309b9] TT#153050 add API soft_expand query parameter
  * [ca87855] TT#149462 Form/Administrator/Reseller role_id required=0
  * [e95ed81] TT#154500 improve admin users behaviour
  * [81ebdb8] Revert "TT#151751 refactor persisting subscriber webpassword"
  * [822f053] TT#154500 fix administrator form behaviour
  * [f4154b1] TT#154500 tighten /api/admins roles
  * [5d9618e] TT#156354 fix a syntax typo when marking voicemail as read
  * [9dd50e8] TT#158003 make subscriber location mappings 'location' optional
  * [1fe4382] TT#154353 add JWT token renewal

  [ Rene Krenn ]
  * [37f748c] TT#151401 invoice: calc totals from CDRs
  * [5e9066c] TT#151751 refactor persisting subscriber webpassword
  * [5445c72] TT#144300 accept Windows .csv file uploads
  * [9a3c3cd] TT#153100 fix subscriber username queryparam search
  * [8fac1ef] Revert "TT#144300 accept Windows .csv file uploads"
  * [d9cd2da] TT#155850 CSC callhistory does not anonymize CLIR numbers
  * [83ffb60] TT#156753 ngcp-provisioning-templates: allow unordered opts
  * [3804fb9] TT#156753 ngcp-provisioning-templates: support "warn" loglevel
  * [599dd06] TT#151751 fix plaintext sippassword no longer returned
  * [741cf22] TT#146102 remove RFC5321/2 checks from passreset API forms
  * [f3f473b] TT#157700 fix invoice svg rendering broken for 1st detailspage
  * [d82d93d] TT#71950 fix leftover with 35b568dde
  * [473e448] TT#156000 enable callflow UI for users with "call_data" flag
  * [dcce2b8] TT#159000 fix 403 error when loading call details

  [ Alexander Lutay ]
  * [aac3a16] TT#153950 Add label 'Invoice Template' to Invoice create page

  [ Michael Prokop ]
  * [35b568d] TT#71950 Fix typos

  [ Guillem Jover ]
  * [c4faefb] TT#156156 Switch to «-» as the word separator in CLI options

  [ Javier Rodriguez ]
  * [c3ae96a] TT#153300 Voicemail 'temp' and 'greet' greetings options for Perl-based Admin Panel

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Jan 2022 16:56:30 +0100

ngcp-panel (10.3.0.0+0~mr10.3.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [b5cedff] Revert "TT#134254 change fax destination email field type"
  * [79b2a98] TT#134254 change MailToFax From email field type
  * [1c10d54] TT#144254 Rework ALE devices provisioning bootstrap
  * [da4278d] TT#145300 Adjust domains reseller_id handling
  * [4e33039] TT#145300 fix domain vs customer reseller check
  * [5a31937] TT#132650 EntitiesItem fix incorrect hal item debug
  * [68dcad8] TT#139550 improve vmnotify messaging
  * [67bc755] TT#139550 vmnotify use correct uuid
  * [b199ad3] TT#139550 improve vmnotify behaviour
  * [e4cfb19] TT#139550 fix vmnotify play/delete
  * [748ac56] TT#148250 enhance API expand functionality
  * [f8d9827] TT#147151 restore get_contract_rs() product join
  * [8c556bb] TT#149459 improve and automate expand functionality
  * [78b80e7] TT#149459 enhance expand functionality with allowed_roles
  * [2223ecf] TT#149460 add expand by profile_id, profile_set_id
  * [6a0b5d7] TT#149459 expand consider null fields as valid

  [ Alexander Lutay ]
  * [e548057] TT#141802 Improve Snom profile SRAPS handling code
  * [f1e00a0] TT#141802 use proper SNOM param 'setting_server' on SRAPS

  [ Rene Krenn ]
  * [053b013] TT#144000 fix /api/ncoslnpcarriers rail
  * [bd2c176] TT#144000 add lnp_provider form field to /api/ncoslnpcarriers
  * [f06bb9a] TT#144705 fix exlusive statesaving of datatables
  * [4c47920] TT#132650 run provisioningtemplate from api
  * [e73dd3e] TT#132650 api .csv upload for provisioningtemplates
  * [133bd43] TT#147151 fast loading/paging/searching panel datatables
  * [e83ed09] TT#147400 subscriber identifiers/lookup for prov template
  * [f9ff14f] TT#146800 support decimal VAT rates
  * [d786af1] TT#147151 finish refactoring of avoiding JOIN billing.product
  * [27d86e7] TT#147151 fix dashboard peering contractbalance sum
  * [2172e50] TT#147151 fix ajax rail for reseller contract selection
  * [0b320b9] TT#147151 fix widget ajax rail for customer costs
  * [d9878f6] TT#147151 fix dashboard ajaxrail for reseller balance sum

  [ Nico Schedel ]
  * [368bf76] TT#122872 selenium: fix changing status in multiple tests
  * [1bb3f6c] TT#122872 selenium: fix domain settings button position
  * [8853661] TT#122872 selenium: fix many many button positions

  [ Oleksandr Duts ]
  * [8017805] TT#124802 GET /api/admins/:id/journal - fixing
  * [e058a15] TT#139351 enable DELETE method in /api/invoicetemplates/:id
  * [a65d00c] TT#139800 Enable subscriber access to /api/autoattendants/:id
  * [ddb7412] TT#134102 API language handling
  * [ad64675] TT#149650 UI language handling

  [ Javier Rodriguez ]
  * [1b12afb] TT#146900 correction for time format via /api/voicemails/
  * [26bccf2] TT#146901 adding greet and temp directories into /api/voicemailgreetings for GET method
  * [effb0e2] TT#146901 adding greet and temp directories into /api/voicemailgreetings for PUT/PATCH methods
  * [456957d] TT#146901 adding greet and temp directories into /api/voicemailgreetings for testing reasons

  [ Guillem Jover ]
  * [95e04a0] TT#124273 Update packaging for bullseye

  [ Flaviu Mates ]
  * [fe09f80] TT#86652 Fix utf8 fax body encoding

  [ Sipwise Jenkins Builder ]
  * [a47d009] TT#4166 I18N dump: snapshot 2021.11.16-01.22.40

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 23 Nov 2021 14:18:42 +0100

ngcp-panel (10.2.0.0+0~mr10.2.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [9da6c99] TT#114401 fix missing html escape in preferences
  * [e446ef9] TT#114401 fix call forwards html escaping
  * [294ad44] TT#114401 fix call destination set html escaping
  * [ad0f0b3] TT#129162 api-rest subscriber get2put ignore field webpassword
  * [e3ac5c7] TT#129162 api-rest2 subscriber ignore field webpassword
  * [535c38c] TT#133800 fix webpassword, change subadmin expose password
  * [fc8a168] TT#66577 use kamailo ids for sems_registrations
  * [471b9fe] TT#139550 fix ngcp-vmnotify system call to use the correct args
  * [7e6c05f] TT#134254 change fax destination email field type

  [ Victor Seva ]
  * [883cf88] TT#137602 prosody: domains are treated as lowercase

  [ Alexander Lutay ]
  * [35e1e8f] TT#137901 Removed duplicated Theme.init() call
  * [e5c98f3] TT#137901 Removed trailing spaces and replaced TABs with spaces for Theme.js
  * [e89bf23] TT#137901 Do not clean orange background .accordion-group on hiding tooltip.
  * [4ede236] TT#137901 Move accordion code into function enhancedAccordion()
  * [d0b5830] TT#137901 Merge expand/collapse accordion buttons into Theme.js
  * [e0b71b2] TT#137901 Stop removing orange background from all opened elements on closing one
  * [35e9b4e] TT#138900 Restore "Preferences" button on JS CSC for framed mode
  * [3cc0192] TT#142402 Improve 'framed' session behaviour when users are using v1 and v2 in parallel
  * [1840af1] TT#142402 Fix v1 'Back' button navigation on v2 (iframe inside iframe)
  * [725cbfb] TT#141802 Fix 'bootsrap' PBX devices config generation
  * [b106891] TT#141802 Add MAC to default SNOM 'bootstrap' URL on SRAPS
  * [31d954d] TT#141802 Add firmware 'tags' support for 'next' firmware endpoint
  * [8516d81] TT#141802 Add firmware 'tags' support for 'version' firmware endpoint

  [ Nico Schedel ]
  * [daefe15] TT#122872 selenium: expand administrator tests
  * [c028b1c] TT#70901 selenium: add tests for reseller details page

  [ Victor Tsvetov ]
  * [3cb71e4] TT#130456 API Customers POST: show error if system template
  * [74db09a] TT#137754 Disable future dates in Invoice Period

  [ Donat Zenichev ]
  * [df30292] TT#66577 Add support of outbound registrations for SIP peerings
  * [f16a4e9] TT#66577 Add a possibility to de-register on peering group deletion
  * [79c0c9f] TT#110302 Kamailio utils, improve usage of RPC command 'ul.add'
  * [7d13b49] TT#110302 Small mistake in the 'create_location' of kamailio utils

  [ Guillem Jover ]
  * [58fb236] TT#140500 Hook new grafana system processes dashboard

  [ Rene Krenn ]
  * [51f5485] TT#142001 do not quote LI numbers in Response err messages
  * [b6e6966] TT#132650 /api/provisioning_templates CRUD rail

  [ Flaviu Mates ]
  * [9bb622a] TT#117153 Improve /api/cfmappings performance

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 05 Oct 2021 13:19:47 +0200

ngcp-panel (10.1.0.0+0~mr10.1.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [7236778] TT#125800 do not lookup terminated contract/contacts
  * [40c4ade] TT#118802 log raw perl catalyst request time
  * [ba437ad] TT#127300 TT#120309 fix datatable broken by escapeHtml control opt
  * [325903c] TT#121500 fix missing mos_data in /api/callists
  * [fefcf83] TT#121500 fix missing mos_data in /api/conversations
  * [48f8938] TT#134807 "ignore domain" option for billing profiles

  [ Nico Schedel ]
  * [16ca366] TT#122872 selenium: fix domain settings tests
  * [f364d5f] TT#122872 selenium: fix customer button position
  * [bda2429] TT#122872 selenium: fix customer status box missing
  * [3889eee] TT#122872 selenium: even more customer fixes
  * [af17d53] TT#122872 selenium: workaround for status box disappearing in customer
  * [deec8ac] TT#122872 selenium: testrunner formatting improvments
  * [0906ca2] TT#122872 selenium: add new superuser test
  * [c4bb000] TT#122872 selenium: add language switching test
  * [0bcdc84] TT#122872 selenium: add test "add page to favourites"
  * [44d0352] TT#122872 selenium: fix logout function
  * [b989ed8] TT#122872 selenium: Only switch to new admin UI when necessary
  * [9abcf16] TT#122872 selenium: add test_other

  [ Alexander Lutay ]
  * [d3a7825] TT#126809 Add extra pager elements to have better visibility on AUI in iframe
  * [3f96d76] TT#115002 Update dataTables.*.js localization files
  * [f5356a5] TT#124275 Show the button 'Login to CSC' for Perl CSC only
  * [894204e] TT#127812 Remove hidden 'Sign Up' functionality
  * [3ba08f4] TT#122202 Re-enable use_session for realm api_subscriber_jwt
  * [efc0133] TT#129176 Hide buttons 'upload/download CVS' for Emergency Mapping and Number Porting
  * [c3975cb] TT#122202 Remove trailing spaces from error pages
  * [cea0147] TT#122202 Hide 'Back/Contact' buttons for framed mode
  * [7ca619f] TT#122202 Sync 'Customer Details' in CSC v1 and v2
  * [d25d256] TT#128256 Add localisation support on calls list select
  * [2a2988e] TT#128256 Add localisation for datatable pager 'All' element
  * [05b9f76] TT#128256 Add localisation for 'From Date'/'To Date' on data table
  * [24e08cb] TT#128256 Add localisation for support status page
  * [554c33d] TT#128256 Add localisation for delete/terminate popup confirmations
  * [8885d06] TT#128256 Add localisation for phonebook 'Upload CSV' page
  * [42e63e5] TT#130659 Remove rrd-related ngcp-panel code
  * [4f2ba3c] TT#130659 Remove 'svg-edit-2.6' JS code (necessary for Opera Presto only)
  * [6263f16] TT#130659 Stop calling systemd openvpn status twice on every HTTP request
  * [6fbf99e] TT#130659 Improve debug log layout (common style, removing plus/star markers)
  * [12c2911] TT#130659 Improve path debug output in panel-debug.log
  * [62cf532] TT#103252 Add missing localization for Reseller->Branding page
  * [6f4c8a2] TT#134951 Use common Reseller datatable on Customer details
  * [d65cc3b] TT#137650 Restore 'accordion' lastTab collapse state properly

  [ Kirill Solomko ]
  * [d17c4be] TT#121250 improve sip_lcr_reload and sip_domain_reload
  * [118d2c3] TT#127357 /api/callists return correct call type
  * [ac30d51] TT#127750 add uploadtmp config option
  * [d3566d0] TT#127805 remove temp transcoded files
  * [20e77c7] TT#129162 tighten user access checks
  * [f4597b6] TT#129162 add bcrypt password characters check
  * [407490c] TT#129162 respect framed setting for root default
  * [6381283] TT#129162 fix passwork characters check
  * [a4bf25a] TT#130203 add typ=JWT into the JWT payload
  * [1dfdad0] TT#130450 use uuid in /api/cfdestinationsets /api/cfmappings
  * [53408c2] TT#130750 do not pack() jwt secret
  * [fc9c71a] TT#130203 unify admin and subscriber JWT tokens
  * [1cdae0b] TT#125902 add Login CSC v2 support
  * [2b144ca] TT#128605 implement dynamic fields expand
  * [c50b49d] TT#133800 fix password fields behaviour in API
  * [3ef1675] TT#133901 fix administrative flag for subscriberadmin
  * [02f3f6b] TT#133800 fix webpassword field removal
  * [cc10506] TT#129162 fix subscriber webpassword field validation
  * [992c9f1] TT#129162 Admins fix password field transformation

  [ Flaviu Mates ]
  * [f27eedf] TT#128253 Add localization support for /api/.+preferencedefs
  * [c1752e7] TT#128552 Add filtering by name for /api/billingprofiles
  * [131fe8e] TT#128850 Fix 500 eror on /api/preferencedefs
  * [9b422dd] TT#126601 Implement /api/authtokens endpoint
  * [b4bc1f2] TT#133053 Fix 500 error on /api/authtokens

  [ Marco Capetta ]
  * [7fc4e77] TT#82409 Add support of 'peer_auth_hf_user' preference in createRegistration

  [ Victor Tsvetov ]
  * [829479e] TT#129160 Complete missing Russian translations
  * [e8fe196] TT#115002 Stop updating PO translation files locally
  * [21bbb38] TT#115002 Fix collecting i18n strings from Forms
  * [50f6b2a] TT#115002 Add strings from Forms to i18n source
  * [94c3530] TT#129160 Complete missing Russian translations
  * [0592f3f] TT#126853 Replace "free minutes" with "free calling time"
  * [c9e5636] TT#137552 Update German translations

  [ Sergii Leonenko ]
  * [2a1ab7a] TT#122202 notify new UI CSC or AUI that a user is about to visit another page

  [ Sipwise Jenkins Builder ]
  * [7fe2cef] TT#4166 I18N dump: snapshot 2021.05.05-01.23.15
  * [5a4f7ee] TT#4166 I18N dump: snapshot 2021.07.15-01.22.19
  * [c6a6427] TT#4166 I18N dump: snapshot 2021.07.17-01.23.06
  * [181841e] TT#4166 I18N dump: snapshot 2021.07.19-01.22.52
  * [382ae28] TT#4166 I18N dump: snapshot 2021.07.21-01.32.54
  * [f48ec2d] TT#4166 I18N dump: snapshot 2021.07.23-01.23.11
  * [0d3ea9c] TT#4166 I18N dump: snapshot 2021.08.05-01.24.15
  * [35f7cde] TT#4166 I18N dump: snapshot 2021.08.06-01.23.29
  * [6430645] TT#4166 I18N dump: snapshot 2021.08.10-01.27.27
  * [5f2925c] TT#4166 I18N dump: snapshot 2021.08.17-01.34.01
  * [b887138] TT#4166 I18N dump: snapshot 2021.08.18-01.28.38

  [ Donat Zenichev ]
  * [6a17151] TT#133301 Adding default AA slot for timeout cases

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Aug 2021 16:52:08 +0200

ngcp-panel (10.0.0.0+0~mr10.0.0.0) unstable; urgency=medium

  [ Flaviu Mates ]
  * [a9817e5] TT#116900 Use multidomain when deleting a registration
  * [232cf70] TT#119200 Expose subscriber object on /api/autoattendants
  * [e66a868] TT#119900 Expose slots id in /api/autoattendants
  * [35d9c35] TT#122001 Allow subscribers to access /api/subscriberprofiles
  * [7177959] TT#119550 Fix registrations pagination on parametrized request
  * [f4cb693] TT#119550 Allow subscribers to manage their registrations
  * [884229f] TT#123650 Fix 500 error in Panel UI Email Templates
  * [43abaee] TT#119464 Add start_time and end_time filter params to callrecordings
  * [e09c478] TT#124275 Add 'Login to CSC' button in subscriber page
  * [fe7f65d] TT#99700 Fix subscribers PATCH in case of admin without show_passwords
  * [a840fc5] TT#125850 Add filtering by 'type' for /api/contracts

  [ Kirill Solomko ]
  * [87bdb69] TT#120309 fix datatable escape html rendering
  * [ba82a55] TT#121250 fix /api/peeringrules
  * [3e207aa] TT#121250 /api/peeringrules use old model
  * [0484c0d] TT#114304 add status query param to /api/resellers
  * [1e06df3] TT#114304 /api/resellers?status support multi values
  * [61fc16d] TT#122000 split session cookies per realm
  * [eb9a263] TT#119501 XMLDispatcher add skip host support
  * [85c7d7c] TT#123550 add /api/platforminfo virtual endpoint
  * [102e494] TT#121250 /api/peeringrules fix lcr.reload

  [ Rene Krenn ]
  * [9aaf04e] TT#120651 susbcriber datatable performance: fix initial page load time

  [ Nico Schedel ]
  * [9efd53a] TT#119057 selenium: fix crash when testing documentation
  * [1db7f4d] TT#122872 increase column limit on new python-based tests
  * [72beda0] TT#122872 initial commit for the new ngcp admin panel tests
  * [86603dd] TT#122872 create new docker container for new admin panel tests
  * [1448b76] TT#122872 fix for message boxes sometimes blocking buttons
  * [8eeee42] TT#122872 selenium: fix for customer status not changing properly
  * [f8ce039] TT#122872 selenium: fix one instance of invalid xpath syntax
  * [11e56c2] TT#122872 selenium: workaround for webrtc tests on CE

  [ Alexander Lutay ]
  * [131e79f] TT#88903 Reset 'framed' session state if user open v1 as URL in browser
  * [090722b] TT#121400 Hide Reseller details navigation buttons for framed=1
  * [27da72e] TT#121404 Hide Customer details navigation buttons for framed=1
  * [313bd57] TT#122050 Fix main link on ngcp-panel Dashboard->"View Statistics"
  * [abba894] TT#122518 Fix 'Back' button on 'Subscriber Profile - Preferences'
  * [fbbbc25] TT#122532 Init helper.dt_buttons/top_buttons as empty for each section on Customer->Details
  * [69e7373] TT#122530 Hide edit buttons for read-only user on Admin UI v1
  * [0341c2f] TT#123202 Fix v1 add/edit windows auto-expand on v2 (it worked in 50% cases)
  * [91afd69] TT#122530 Hide edit buttons for read-only user on Admin UI v1 page 'Callthrough CLIs'
  * [4d72ec9] TT#121750 Hide 'Flash Dialogic' button on Peering Preferences

  [ Manuel Montecelo ]
  * [71636e8] TT#118659 Switch Dockerfiles from Debian buster to bullseye

  [ Victor Tsvetov ]
  * [2985238] TT#115002 Do not wrap lines in i18n POT, PO files
  * [63356d2] TT#115002 Normalize i18n English messages.pot file
  * [dfe2a65] TT#115002 Unwrap i18n PO translation files
  * [c3474ae] TT#118401 Complete the missing French translations

  [ Gerhard Jungwirth ]
  * [64c120a] TT#44168 create additional form for subadmin non-pbx subscriber edit

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 14 Jun 2021 16:37:13 +0200

ngcp-panel (9.5.0.0+0~mr9.5.0.0) unstable; urgency=medium

  [ Flaviu Mates ]
  * [c344dee] TT#110700 Add 'config' and 'preferences' buttons for Deployed Devices
  * [055751e] TT#109604 Implement blob preferences upload in Panel UI
  * [3d2df8b] TT#110257 Implement blob preferences support in API
  * [5826bec] TT#110257 Add blob preference type to API tests
  * [8bc9a39] TT#108162 Reseller branding primary and secondary colors
  * [bbc5468] TT#108854 Implement /api/userinfo endpoint
  * [221572d] TT#113767 Fix 500 error on /api/customerpreferences
  * [cece861] TT#113513 Handle duplicate billingprofiles in API
  * [67ca4d5] TT#114703 Use config flags password_(sip|web)_expose_subadmin in api
  * [8c3c0bb] TT#108854 Fix api tests after adding userinfo and resellebrandings endpoints
  * [b13e487] TT#118600 Fix /api/callrecordingstreams filter by recording_id

  [ Sipwise Jenkins Builder ]
  * [dc85fdf] TT#4166 I18N dump: snapshot 2021.02.19-01.23.56
  * [43e780b] TT#4166 I18N dump: snapshot 2021.02.20-01.23.44
  * [d76dff7] TT#4166 I18N dump: snapshot 2021.03.13-00.52.16
  * [07f2b64] TT#4166 I18N dump: snapshot 2021.03.18-01.21.46
  * [c2c9f84] TT#4166 I18N dump: snapshot 2021.04.20-01.22.18

  [ Alexander Lutay ]
  * [754ae4b] TT#103252 Fix 'Panel Branding': codestyle, layout, localization
  * [6c86122] TT#113251 Create journal 'update' records for 'admins' REST API
  * [a7d718c] TT#113765 AUI: Remove v1_auth from v1->v2 URL
  * [02a183e] TT#115002 Add missing localization for 'SIP Peering Group'
  * [90dac30] TT#115002 Add crowdin.com translation badge
  * [cf8fa9a] TT#115002 Fix 90dac30: rename README to README.md

  [ Rene Krenn ]
  * [c36a029] TT#111305 TT#111304 add aoc_pulse_amount_per_message field
  * [a15e3c2] TT#113450 prevent deleting primary alias
  * [a916bd3] TT#116703 prevent entering duplicate alias numbers
  * [1b73a16] TT#118550 enforce array values in prov templates

  [ Kirill Solomko ]
  * [96f0b07] TT#116251 validate params page and rows equal 0

  [ Guillem Jover ]
  * [578bd85] TT#115002 Convert README.md to actual Markdown syntax

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 20 Apr 2021 11:58:24 +0200

ngcp-panel (9.4.0.0+0~mr9.4.0.0) unstable; urgency=medium

  [ Sipwise Jenkins Builder ]
  * [5196477] TT#4166 I18N dump: snapshot 2021.01.08-01.25.59
  * [53524c1] TT#4166 I18N dump: snapshot 2021.02.13-01.27.30

  [ Rene Krenn ]
  * [00f0614] TT#107051 fix PATCH /billingprofiles/x - peaktimes
  * [92455d8] TT#107051 enable "add" for PATCH /billingprofiles/x
  * [e3b5ea8] TT#108250 js warning unknown parameter 'free_time_interval'
  * [8325f3e] TT#105100 fix PATCHing unset webpasswords
  * [aa84c19] TT#105100 check PATCHing unset webpasswords
  * [645231c] TT#109402 fix PATCHing fraud notification status

  [ Flaviu Mates ]
  * [0d0a2fa] TT#100761 Allow subscribers to access /api/applyrewrites
  * [a61d4db] TT#108000 Implement getPref function in DeviceConfig
  * [a9b115e] TT#109651 Allow SNOM device creation without a profile

  [ Kirill Solomko ]
  * [b2dfe28] TT#108452 disable order_by in call_list_suppressions_rs

  [ Alexander Lutay ]
  * [d0f339e] TT#109166 Add ability to expand/collapse edit pop-up windows
  * [3c0b2cf] TT#109166 Open pop-up windows expanded for ngcp-admin-ui
  * [c87f10a] TT#109166 Improve look&feel for maximize/minimize pop-up
  * [6f2cc8b] TT#109166 Fix d0f339: sync modal pop-up buttons layout

  [ Sergii Leonenko ]
  * [8480d2a] TT#109166 Fix 6f2cc8: maximize and minimize buttons doesn't work

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Feb 2021 17:53:22 +0100

ngcp-panel (9.3.0.0+0~mr9.3.0.0) unstable; urgency=medium

  [ Hans-Peter Herzog ]
  * [ed6986d] TT#101101 Notify parent window about current path
  * [c45eb99] TT#101103 Notify module in v2 about an error from v1

  [ Flaviu Mates ]
  * [8450bf3] TT#100751 Remove all registrations when terminating subscriber
  * [815baf1] TT#100954 Show device id registrations in panel UI and API
  * [c50153b] TT#99561 Introduce extension range preference for Customers
  * [ded942b] TT#96502 Introduce duplicate check for /api/cfsourcesets
  * [8c1e7e2] TT#101300 Fix tests after adding /api/subscriberlocationmappings endpoint
  * [e03533c] TT#101100 Fix /api/pbxdevices 500 error introduced with TT#96803
  * [c0638b5] TT#103400 Change uri validation to be in accordance with RFC        in the Call Routing Verification form
  * [733f4ac] TT#101108 Expose panel branding logo via API
  * [83a084f] TT#101108 Fix api test after adding /api/panelbrandinglogos
  * [c8049ea] TT#101108 - Fix condition when reseller has no logo
  * [9249dee] TT#99500 Fix adding subscriber to group
  * [551c8b3] TT#103401 Allow subscriber access to /api/mailtofaxsettings/{id}
  * [233be55] TT#104174 Add last_secret_key_modify readonly field on /api/mailtofaxsettings
  * [52cbca5] TT#102054 Add original filename param to device configuration template
  * [b79d68e] TT#104760 Fix non-master admin privileges managing in API

  [ Kirill Solomko ]
  * [50d985c] TT#101300 add susbcriber location mappings
  * [ce7b9e8] TT#102056 terminate subscriber on customer termination
  * [59a1ba2] TT#102056 fix registration entry removal
  * [822d3fe] Revert "TT#102056 terminate subscriber on customer termination"
  * [1885af6] TT#101300 add subscriber location mappings filter by external id
  * [96ce7b1] TT#101300 remove devid_alias field
  * [6175625] TT#104150 fix /api/callrecordings deletion
  * [3531622] TT#101300 /api/subscriberlocationmappings fix search by subscriber_id
  * [88d91b8] TT#106003 fix /api/peeringrules transaction control

  [ Rene Krenn ]
  * [c2b5602] TT#103450 enable lintercept role for interceptions PUT/DELETE
  * [8238204] TT#105100 fix update case for webpasswd db encrytion
  * [be92558] TT#105954 /api/invoices: accept 'application/pdf' type

  [ Sipwise Jenkins Builder ]
  * [f71cdda] TT#4166 I18N dump: snapshot 2020.11.27-01.21.02

  [ Richard Fuchs ]
  * [fd3e56e] TT#82405 hide menu for statistics if grafana is disabled
  * [a6254b9] TT#82405 add link to RTP stats

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 05 Jan 2021 15:32:10 +0100

ngcp-panel (9.2.0.0+0~mr9.2.0.0) unstable; urgency=medium

  [ Flaviu Mates ]
  * [5f20ca5] TT#91506 - Return administrator's 'role' in /api/admins
  * [45fcec6] TT#88902 - Add link to v2 on v1 login page
  * [29647d6] TT#91000 - Add 'None' device bootstrap method
  * [654bb1a] TT#92550 - Implement /api/passwordrecovery
  * [01e11a7] TT#93753 - Enhance subscriber api filtering
  * [eb13492] TT#88904 - Store admin id and jwt key in localStorage
  * [ab03c59] TT#88901 - Fix /api/admincerts GET
  * [1b1199e] TT#92002 - Add reseller_id to admins with role 'reseller'
  * [103bdce] TT#96250 - Delete 'framed' from session on ajax logout
  * [c988ba5] TT#94650 - Fix access to emergency mappings for reseller admins
  * [5a020e3] TT#91507 - Implements SNOM devices autoporovisioning with SRAPS
  * [88f70bd] TT#93500 Restrict allowed_clis to unique numbers
  * [66c472e] TT#92800 Remove deprecated Sipwise device provisioning using EDS
  * [2741e9e] TT#98650 Fix /api/subscriberregistration gateway timeout
  * [a1254c8] TT#99565 Add preference group name to preference defs
  * [0c01994] TT#96803 Enhance /api/pbxdevices filtering

  [ Guillem Jover ]
  * [31eb8a8] TT#91650 Add a .mailmap file to correct author information

  [ Sipwise Jenkins Builder ]
  * [fe010c8] TT#4166 I18N dump: snapshot 2020.09.05-01.33.39
  * [abd4e16] TT#4166 I18N dump: snapshot 2020.09.16-01.24.53
  * [bb7e046] TT#4166 I18N dump: snapshot 2020.09.25-01.23.53
  * [3530ded] TT#4166 I18N dump: snapshot 2020.10.02-01.21.45
  * [6be18bb] TT#4166 I18N dump: snapshot 2020.10.08-01.23.32
  * [46fbecb] TT#4166 I18N dump: snapshot 2020.10.10-01.23.44
  * [6ea0c07] TT#4166 I18N dump: snapshot 2020.10.17-01.22.05
  * [1342e35] TT#4166 I18N dump: snapshot 2020.11.07-01.23.56

  [ Nico Schedel ]
  * [d890524] TT#83370 selenium: add missing launch arguments in dockerfile example

  [ Rene Krenn ]
  * [f637402] TT#92700 print journal links of collection items
  * [ed01e29] TT#95252 fix callist error with clir_scope & terminated subs
  * [b4281d4] TT#98650 speedup redis locaction search by id
  * [186ddab] TT#98650 ?suppress_flush=1 parameter

  [ Alexander Lutay ]
  * [7c7d136] TT#77256 Fix a621bd592: Add missing '\' for tool 'ngcp-api-patch'
  * [15cae22] TT#91508 Add PBX 'vendor and 'model' to PBX device configuration

  [ Victor Seva ]
  * [258a54d] TT#97400 prosody: [de]activate just the main domain

  [ Michael Prokop ]
  * [3b9ef3d] TT#99206 Depend on libcrypt-openssl-rsa-perl

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Nov 2020 16:25:33 +0100

ngcp-panel (9.1.0.0+0~mr9.1.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [339a803] TT#87505 CF timeset fields extend cyclic
  * [b709a31] TT#89801 api documentation v1 - sort order_by

  [ Sipwise Jenkins Builder ]
  * [86a60ec] TT#4166 I18N dump: snapshot 2020.07.28-01.34.29
  * [7574e7d] TT#4166 I18N dump: snapshot 2020.08.18-01.27.48

  [ Flaviu Mates ]
  * [4aac77b] TT#87801 - Remember previous page when switching to new admin UI
  * [55e279c] TT#88202 - Allow ccare admins to access /api/admins/:id
  * [cf619e1] TT#88203 - Give 'admin' role to admins with is_system flag
  * [adcfc4f] TT#88209 - Create ajax_logout endpoint
  * [444a0d3] TT#88901 - Add GET and DELETE method for /api/admincerts
  * [be14a92] TT#84337 - Implement /api/passwordreset
  * [116d092] TT#84337 - Add check for existence of allowed roles variable
  * [d028948] TT#90351 - Fix /api/subscribers PATCH

  [ Hans-Peter Herzog ]
  * [1ca518d] TT#88201 Fix cleanup of localStorage cross versions v1/v2
  * [88542fc] TT#88209 As an Admin, I want to logout from both versions v1/v2 at the same time
  * [0ce823b] TT#88512 Fix redirection in order to login v2 automatically

  [ Alexander Lutay ]
  * [12ad407] TT#88519 Fix default dashboard layout on ngcp-admin-ui
  * [94ef1fe] TT#89451 Update ALE redirect URL to api.eds.al-enterprise.com

  [ Rene Krenn ]
  * [db973da] TT#89200 workaround logic for backward-incompatible prefs
  * [543533b] TT#89200 fix workaround logic for backward-incompatible prefs

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 31 Aug 2020 21:54:47 +0200

ngcp-panel (9.0.0.0+0~mr9.0.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [b821a57] TT#86351 prevent datatable queries with no clipping

  [ Kirill Solomko ]
  * [7347fa9] TT#86800 datatable width is not relative to 100%

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 21 Jul 2020 14:48:47 +0200

ngcp-panel (8.6.0.0+0~mr8.6.0.0) unstable; urgency=medium

  [ Flaviu Mates ]
  * [e170193] TT#81184 - Add PATCH/PUT endpoints for '/api/admins'
  * [9907936] TT#76108 - Implement password reset mechanism for admins
  * [c8ae369] TT#76109 - Fix duplicate administrator email check
  * [951bad4] TT#80994 - Get click2dial version from config
  * [ec67413] TT#76111 - Hide LI Admins from NGCP Panel
  * [3551855] Revert "TT#76111 - Hide LI Admins from NGCP Panel"
  * [9411eb6] TT#65101 - Fix reseller datatables ajax error
  * [a370111] TT#76111 - Change Lawful Intercept admins managing
  * [f52dd70] TT#76111 - Remove '/api/interceptions' from tests
  * [7660cc2] TT#71240 - Issue permission.trustedReload when terminating subscribers
  * [51f55ea] TT#83502 - UI: drop ringtimeout pref when deleting last CFT
  * [b8f2af8] TT#83014 - Add call_id search param to /api/callrecordings
  * [7912652] TT#83000 - Change SIP username validation in accordance with RFC
  * [d15a6b3] TT#83200 - Add csc_show_rtcengine_features capability
  * [4365599] TT#83000 Re-add posibilioty to use + = , ; for SIP usernames since they are unreserved
  * [321b696] TT#84254 - Allow patching of rewriterules on /api/rewriterulesets
  * [0b10a86] TT#80301 - Implement login_to_v2 endpoint
  * [aec7c89] TT#76111 - Change LI admins flags permissions
  * [6c64549] TT#84453 - Fix error when subscriber logs in on old CSC
  * [4659e7e] TT#76111 - Fix api-cfdestinations.t admin creation
  * [08291b5] TT#85620 - Add CF mapping id to all mappings
  * [e90c642] TT#84260 - Add number batch processing on /api/applyrewrites
  * [5d4225e] TT#84336 - Show webpassword in input when setting it

  [ Rene Krenn ]
  * [39bf6ab] TT#82304 fix fraud reseller<->customer costs in mails
  * [f0768e1] TT#82260 fix updating fraud notification status
  * [5fb66c1] TT#82260 limit fraud interval costs to 2 fractional digits
  * [2c94115] TT#29201 collapse contact name columns
  * [69e2910] TT#83313 lnp rounting_number csv NULL values
  * [f6a2802] TT#83502 api: drop ringtimeout pref when deleting last CFT
  * [72bfba6] TT#83716 fix close_target of prov template forms
  * [0f042e3] TT#83716 fix typo with stash->close_target
  * [9d6fd2a] TT#83355 consider prepaid call costs for reseller revenue
  * [b1defc5] TT#84316 more accurate profile usage count query
  * [041ed1c] TT#84328 generate RSA keypair
  * [175d8b2] TT#84328 write .pem files directly
  * [65634d7] TT#84329 encrypt/decrypt password, weppassword, pin

  [ Nico Schedel ]
  * [9eac3af] TT#82263 fix admin tests in trunk
  * [a44ec2d] TT#82263 selenium: remove some admin tests to fix trunk
  * [32c2cff] TT#82258 fix customer creation on pro machines with cloudpbx enabled
  * [424642a] TT#83370 selenium: remove fixed column xpath descriptions in Common.pm
  * [b1b2b05] TT#83370 selenium: fix scrolling issue when trying to enable opus stereo
  * [1340394] TT#83370 selenium: add new admin login tests
  * [5feb7b0] TT#83370 selenium: add new lawful intercept admin checks

  [ Sipwise Jenkins Builder ]
  * [e64b0aa] TT#4166 I18N dump: snapshot 2020.05.28-01.26.38
  * [22e95b3] TT#4166 I18N dump: snapshot 2020.06.05-01.26.03
  * [f411c10] TT#4166 I18N dump: snapshot 2020.06.11-01.26.13
  * [d7b3f70] TT#4166 I18N dump: snapshot 2020.06.17-01.26.43
  * [e656949] TT#4166 I18N dump: snapshot 2020.06.19-01.27.15
  * [c952ac2] TT#4166 I18N dump: snapshot 2020.06.28-01.30.45
  * [e12ca78] TT#4166 I18N dump: snapshot 2020.07.12-01.29.55

  [ Alexander Lutay ]
  * [3c51389] TT#81185 Fix d31797c: do not show 'back' button for framed=1
  * [ea27f12] TT#81185 Fix d31797c: fix 'create' buttons layout for framed=1
  * [2884071] TT#82553 Use common buttons order on page 'Call List Suppressions'
  * [080b2ac] TT#81185 Fix 'back' button behaviour for admin panel v2
  * [45b4e30] TT#80301 Add 'Switch to NEW admin panel' link on Perl based ngcp-panel
  * [bbafe9b] TT#80301 Fix 45b4e3: do not show link to admin-ui on old self-case interface

  [ Kirill Solomko ]
  * [7862a87] TT#76111 add lintercept role
  * [aa279e0] TT#76111 add admin flags for 'system' user
  * [536ecce] TT#84150 fix /api/rewriterules /api/rewriterulesets transactions
  * [ddd35a2] TT#84401 store session cookies for jwt auth

  [ Guillem Jover ]
  * [a621bd5] TT#77256 ngcp-api-tools: Fix credentials usage
  * [e7fd7fb] TT#83651 Do not use the topic variable for nested loops
  * [0a96a5d] TT#83651 Move code within the try {} block
  * [3537b4b] TT#83651 Merge two cascaded if conditionals

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 14 Jul 2020 11:53:22 +0200

ngcp-panel (8.5.0.0+0~mr8.5.0.0) unstable; urgency=medium

  [ Sipwise Jenkins Builder ]
  * [dd85123] TT#4166 I18N dump: snapshot 2020.03.17-01.23.57
  * [51a44cc] TT#4166 I18N dump: snapshot 2020.03.21-01.23.33
  * [c753a28] TT#4166 I18N dump: snapshot 2020.03.25-01.23.40
  * [da1f0c2] TT#4166 I18N dump: snapshot 2020.04.03-01.22.42
  * [00e9425] TT#4166 I18N dump: snapshot 2020.04.07-01.40.04
  * [2fa2974] TT#4166 I18N dump: snapshot 2020.04.25-01.23.19
  * [88a67ea] TT#4166 I18N dump: snapshot 2020.05.01-01.27.46
  * [d99a482] TT#4166 I18N dump: snapshot 2020.05.06-01.22.25
  * [498d925] TT#4166 I18N dump: snapshot 2020.05.18-01.25.16

  [ Flaviu Mates ]
  * [4041763] TT#69380 - Disable search field caching only for Calls
  * [445197d] TT#76360 - Implement /api/activesubscriberpreferences endpoint
  * [a535270] TT#74752 - Anonymize CLIR numbers according to calllist_clir_scope
  * [853b8b2] TT#78166 - Fix SubscriberRegistrations test case
  * [23ed430] TT#75753 - Change default value to '1' for 'enabled' in Call Forwards
  * [a975f79] TT#68217 - Delete htable peer_probe when deleting/disabling peer
  * [707067d] TT#80305 - Change Utils::Admin to Utils::Auth
  * [251b95e] TT#74220 - Return condition values on /api/headerrulesets GET
  * [8c04b91] TT#80997 - Manually add webpassword to subscriber content in tests
  * [10415a5] TT#74220 - Upgrade '/api/cfmappings'
  * [d31797c] TT#81185 - Return only body when parameter 'framed' is sent

  [ Rene Krenn ]
  * [adabbf0] TT#78153 fix _item_by_aor for redis
  * [433fcf5] TT#78153 fix redis location resultset filtering
  * [a11f2be] TT#77452 properly synchronize subscriber create/update
  * [f9690f0] TT#77452 rename rowlock_contract
  * [6055c59] TT#75951 fix ngcp-provisioning-template --help option
  * [354a25d] TT#75951 ngcp-provisioning-template use ngcp_connect_info
  * [1fffc52] TT#78569 provide tools menu for reseller admins
  * [f5459af] TT#78467 OWNER_VAT_SETTINGS option for calllist/conversations
  * [74bc82c] TT#80161 refactor subscriber datatable search
  * [a30a360] TT#80552 fix /api/calllist owner logic
  * [330eac9] TT#80161 properly avoid dupes in subscriber datatable
  * [36db816] TT#80605 prov templates: create/update/delete (panel UI)
  * [722d3ad] TT#81012 ngcp-provisioning-template: allow templates from DB

  [ Nico Schedel ]
  * [3093562] TT#78161 selenium: fix search calls to work better with search field caching
  * [8de1bd5] TT#78161 selenium: remove unnecessary search calls for cached search fields
  * [70b9992] TT#80128 selenium: generate both subscriber passwords with generate button

  [ Alexander Lutay ]
  * [ac61975] TT#76360 Fix 445197df5: add activesubscriberpreferences to api-root.t

  [ Guillem Jover ]
  * [624139f] TT#78502 Fix man pages formatting
  * [29d5761] TT#77256 ngcp-api-tools: Normalize coding style
  * [f729ec0] TT#77256 ngcp-api-tools: Use /etc/default/ngcp-api if no user cred file exists

  [ Victor Tsvetov ]
  * [52feebe] TT#79955 Allow rewriting 'unique_id" in API TestFramework

  [ Kirill Solomko ]
  * [2c8a110] TT#80305 add JWT authentication for admin users
  * [ac7c503] TT#80550 enable admin JWT auth for ajax requests
  * [cf51166] TT#80550 enable admin jwt token for the whole UI

  [ Andreas Granig ]
  * [8f8e1d5] TT#78557 - Use bcrypt to hash webpassword

  [ Marco Capetta ]
  * [f964090] TT#78301 Add b2b service to callflow

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 19 May 2020 11:10:19 +0200

ngcp-panel (8.4.0.0+0~mr8.4.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [58bd2fc] TT#75114 prevent perl core function invocations
  * [f4da841] TT#75105 translate perl VAA gpp1 calc to javascript
  * [b12b5d1] TT#67108 peer rule unique check
  * [f66435c] TT#75114 javascript support for prov templates
  * [c64a645] TT#75000 fix rewrite rule move in replicated table
  * [6c538c2] TT#75951 ngcp-provisioning-template cmdline tool
  * [93ef508] TT#77206 accept 0/1 for boolean preferences

  [ Marco Capetta ]
  * [7327cf0] TT#75911 Execute kamailio lcr.reload after the gw removal

  [ Victor Tsvetov ]
  * [77b3834] TT#74160 Make package ngcp-api-testframework
  * [8655f07] TT#74160 Allow reuse of API TestFramework object

  [ Sipwise Jenkins Builder ]
  * [ac540dd] TT#4166 I18N dump: snapshot 2020.02.25-01.22.10
  * [7b1ca6a] TT#4166 I18N dump: snapshot 2020.02.28-01.32.23
  * [fac975f] TT#4166 I18N dump: snapshot 2020.03.04-01.23.59

  [ Flaviu Mates ]
  * [8a7b6f7] TT#75751 - Add enable/disable feature for Call Forwards
  * [1e7762e] TT#74525 - Updgrade /api/headerrulesets
  * [727af5d] TT#74527 - Upgrade /api/callforwards
  * [d0926cf] TT#74526 - Updgrade /api/headerrules
  * [52f1024] TT#75751 - Fix API tests after adding 'enabled' setting for CFs
  * [574857c] TT#72163 - Fix 500 error on recorded streams
  * [a51a756] TT#76751 - Fix CF creation when not sending 'enabled' param
  * [16365fb] TT#76783 - Implemend ALE RPS devices auto provisioning

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 16 Mar 2020 11:15:29 +0100

ngcp-panel (8.3.0.0+0~mr8.3.0.0) unstable; urgency=medium

  [ Sipwise Jenkins Builder ]
  * [287a5f4] TT#4166 I18N dump: snapshot 2019.11.23-01.23.44
  * [31a0245] TT#4166 I18N dump: snapshot 2019.11.27-01.23.41
  * [16a6f1d] TT#4166 I18N dump: snapshot 2019.12.20-01.47.12
  * [e727807] TT#4166 I18N dump: snapshot 2020.01.15-01.30.29
  * [2d0a48e] TT#4166 I18N dump: snapshot 2020.01.17-01.21.17

  [ Flaviu Mates ]
  * [7a61d76] TT#65503 - Introduce time picker
  * [782539c] TT#70857 - Implement UI and API support for one time fees
  * [b0baf12] TT#69407 - Add customer external_id to /api/customerbalances
  * [374a42c] TT#70478 - Enable stateSave for datatables
  * [2d9d9a8] TT#71871 - Fix /api/bannedusers arbitrary result
  * [b76e462] TT#72750 - Allow empty value for week day number in timeset event
  * [ea1e40b] TT#73550 - Fix deletion of allowed_cli when patching alias_numbers

  [ Rene Krenn ]
  * [e3c87a1] TT#71313 fix tz selector field for subscribers
  * [312d9e7] TT#71908 increase wait timeout when rendering invoicepdf
  * [2bc84bd] TT#72900 fee onoffpeak usefreetime
  * [8d19c6d] TT#74809 ignore ghost registrations

  [ Nico Schedel ]
  * [0d462c8] TT#68016 selenium: do not change direction when editing header rule
  * [339dcbb] TT#68016 selenium: take screenshot when alert check fails
  * [d48699f] TT#68016 selenium: add test: check if security bans are working
  * [ee17dcc] TT#68016 selenium: actually use correct path for saving screenshots
  * [58ff2d1] TT#68016 selenium: add proper file type to alert screenshots

  [ Marco Capetta ]
  * [6b56047] TT#71356 Add Q-Value column in Registered Devices table
  * [3eb52a3] TT#72408 Don't allow permanent reg with negative q-value

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 27 Jan 2020 12:23:20 +0100

ngcp-panel (8.2.0.0+0~mr8.2.0.0) unstable; urgency=medium

  [ Sipwise Jenkins Builder ]
  * [38da351] TT#4166 I18N dump: snapshot 2019.10.08-02.19.49
  * [924fe2d] TT#4166 I18N dump: snapshot 2019.10.12-01.23.25
  * [179e35b] TT#4166 I18N dump: snapshot 2019.11.19-01.23.40

  [ Flaviu Mates ]
  * [90fc11b] TT#67104 - Change callist ?customer_id= parameter query OR to UNION ALL
  * [6d50571] TT#66754 - Implement panel statistics
  * [2052c46] TT#68752 - Implement translation handling of 'Select' form field
  * [5c3da62] TT#66754 - Improve NGCP Panel Statistics UI
  * [16d34fa] TT#69304 - Fix typo that broke '/api/speeddials'
  * [c280b17] TT#56467 - Migrate api-journals and api-topupvoucher
  * [a87b41c] TT#69423 - Implement yaml support for API swagger
  * [5493545] TT#69370 - Remove validation of SIP URI type for banned users id's
  * [a4265a9] TT#69503 - Change subscriber's domain assignation logic
  * [467321e] TT#69360 - Fix 500 errors when issuing POST to HeaderRule(Actions|Conditions)
  * [ffce52b] TT#69063 - Fix stuck timeset event list
  * [71e950d] TT#69405 - Allow reseller to view subscriberregistrations
  * [f65fcf1] TT#65450 - Permit creation of reseller with same name as terminated one
  * [469423e] TT#71203 - Fix CFDestinationsets test case

  [ Nico Schedel ]
  * [5c55b1f] TT#68016 selenium: add more checks for contract balance
  * [871dcee] TT#68016 selenium: better checks for header priority
  * [db8a230] TT#68016 selenium: text and formatting updates
  * [6b0da60] TT#68016 selenium: more little cleanups
  * [c8c706c] TT#68016 selenium: remove wait_for_text and wait_for_attribute
  * [d4a9887] TT#68016 selenium: simplify get_text_safe()
  * [27a4fa6] TT#68016 selenium: check admin information in proper spots now
  * [83e1f22] TT#68016 selenium: small timeset events test improvements
  * [956bf2f] TT#68016 selenium: workaround for selenium crashing on select list elements
  * [9e245aa] TT#68016 selenium: more improvements to  get_text_safe()
  * [f9c0153] TT#68016 selenium: more cleanups in controller_admin
  * [4b1d697] TT#68016 selenium: add new tests to controller_admin
  * [b23b031] TT#68016 selenium: create domain with proper reseller now
  * [08eb407] TT#68016 selenium: remove find_text() and scroll_to_id()
  * [fa3feb5] TT#68016 selenium: improve some test startups
  * [ba3a2b1] TT#68016 selenium: check if edit windows are opened
  * [14b0b28] TT#68016 selenium: more improvements to controller_terminate
  * [24408a1] TT#68016 selenium: do not crash script if select_if_unselected cannot find elem
  * [a2d22e1] TT#68016 selenium: check customer alerts after expanding all columns
  * [9b5501d] TT#68016 selenium: add proper value to timeset event.byweekdaynumber
  * [68d9d87] TT#68016 selenium: add controller_terminate to default test plan
  * [2a38a14] TT#68016 selenium: another "crash on select list elements" workaround

  [ Alexander Lutay ]
  * [8b2516d] TT#68019 Remove JS hint: sourceMappingURL=rrule.js.map from rrule.js and luxon.js
  * [16356cb] TT#68023 Migrate ngcp-panel from /etc/mysql/sipwise.cnf to /etc/mysql/sipwise_extra.cnf

  [ Rene Krenn ]
  * [838cd09] TT#68703 workaround slow contract_cnt queries of profiles
  * [3498943] TT#68703 fix workaround slow contract_cnt queries of networks

  [ Guillem Jover ]
  * [9bc77dc] TT#69150 Switch to use IO::Prompt::Tiny
  * [922d035] TT#51701 Switch from deprecated /var/run to /run
  * [34d8db1] TT#66754 Refactor status gatherer program check into a function
  * [284f3b0] TT#66754 Use a hash to map the ngcp status into the different structures
  * [11eeb92] TT#66754 Rename the ngcp status JSON key from data to checks
  * [993f9ce] TT#69900 Unbundle Catalyst::Plugin::Session::Store::Redis modules

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 25 Nov 2019 14:56:47 +0100

ngcp-panel (8.1.0.0+0~mr8.1.0.0) unstable; urgency=medium

  [ Nico Schedel ]
  * [c56be67] TT#56376 selenium: more work on edit peak times
  * [0ab1471] TT#56376 selenium: reduce geckodriver console logs
  * [3be6e9f] TT#56376 selenium: increase timeout values
  * [5da4d55] TT#56376 selenium: add scroll_to_element to the beginning of every function
  * [05f6fbe] TT#56376 selenium: add file controller_profile.t
  * [126e3eb] TT#56376 selenium: fix for tooltips preventing input
  * [9f1a168] TT#56376 selenium: fix for tooltip blocking main menu in ctr_ncos
  * [323727b] TT#56376 selenium: add test: teminate customer
  * [9cb0599] TT#56376 selenium: fix for tooltip blocking main menu in ctr_subscriber
  * [14c677f] TT#56376 selenium: fix for tooltip blocking main menu in ctr_emergency
  * [deeb60b] TT#56376 selenium: add test: teminate reseller + contract
  * [55816e7] TT#56376 selenium: add controller_profile to default test plan
  * [f962342] TT#56376 selenium: add test: teminate subscriber
  * [be2d458] TT#56376 selenium: ctr_emergency: prevent missing alert from crashing script
  * [aac6055] TT#56376 selenium: add test: add timeset to peering group
  * [86faa0f] TT#56376 selenium: edit test: teminate subscriber
  * [45db99b] TT#56376 selenium: change how empty inbound rule creation gets tested
  * [7699e25] TT#56376 selenium: ctr_peering: prevent missing alert from crashing script
  * [bfc75d1] TT#56376 selenium: ctr_ncos: prevent missing alert from crashing script
  * [94d034e] TT#56376 selenium: ctr_subscriber: prevent missing alert from crashing script
  * [d67dd2f] TT#56376 selenium: ctr_customer: prevent missing alert from crashing script
  * [6c2676c] TT#56376 selenium: ctr_profile: prevent missing alert from crashing script
  * [d15f37b] TT#56376 selenium: fix ctr_other tooltip crashing the script
  * [34be398] TT#56376 selenium: ctr_other: prevent missing alert from crashing script
  * [62ff706] TT#56376 selenium: reload peak times page to prevent missing edit button
  * [6be0b92] TT#56376 selenium: workaround for subscriber details menu
  * [08bf948] TT#56376 selenium: fix crash screenshot names
  * [5b41164] TT#56376 selenium: fix a button xpath
  * [97eb0d4] TT#56376 selenium: fix ncos tooltip crashing the test
  * [ca9b01f] TT#56376 selenium: add test: add invoice template to customer
  * [a0c3c3b] TT#56376 selenium: fixup controller_header for inclusion to test plan
  * [5a11c5a] TT#56376 selenium: fix read-only value crash in controller_admin
  * [a114ff9] TT#56376 selenium: add missing alert check to ctr_customer
  * [299ef39] TT#56376 selenium: workaround for subscriber tests going to wrong menu
  * [1669571] TT#56376 selenium: add controller_header.t to default test plan
  * [492d137] TT#56376 selenium: fill call list suppression domain twice to trigger popup
  * [f1d009a] TT#56376 selenium: work around tooltip blocking main menu
  * [3b544b9] TT#56376 selenium: create default reseller + contract for termination test
  * [0d9719a] TT#56376 selenium: refresh call list suppression box to clear tooltips
  * [9242d92] TT#56376 selenium: workaround for customer tests going to wrong menu
  * [f912a09] TT#56376 selenium: re-add old workaround on edit call list suppression
  * [407c95c] TT#56376 selenium: change clickable element on call list suppression window
  * [a801fc7] TT#56376 selenium: add function get_text_safe()
  * [1af4601] TT#56376 selenium: add unique external id to termination reseller contract
  * [604ca57] TT#56376 selenium: edit invalid fallback element which caused issues
  * [9b13357] TT#56376 selenium: add test: cash balance
  * [5e919b5] TT#56376 selenium: add function: create/delete_ncos
  * [4155bce] TT#56376 selenium: add file controller_profileset.t
  * [57908d2] TT#56376 selenium: workaround for call list suppression popup blocking items
  * [582f6b3] TT#56376 selenium: workaround for header popup blocking items
  * [6f94991] TT#56376 selenium: expand bitrate list before clicking on bitrate entry
  * [4245f60] TT#56376 selenium: workaround for locking subscriber going into wrong menu
  * [5afd029] TT#56376 selenium: fixes for ctr_profileset + runner
  * [c8404cf] TT#56376 selenium: remove unnecessary search queues
  * [e1112ef] TT#56376 selenium: change header rule information checks
  * [2e6604c] TT#56376 selenium: expand subscriber status list before clicking on entry
  * [1d176e3] TT#56376 selenium: add aliases for manual tests
  * [33b9603] TT#56376 selenium: add file controller_terminate.t
  * [f8798fd] TT#56376 selenium: expand all select elements before clicking on element
  * [53c811b] TT#56376 selenium: add test: clone billing profile
  * [903b7f6] TT#56376 selenium: add test: change interface language
  * [2a4d3e1] TT#56376 selenium: add test: navigate the handbook
  * [029cc0b] TT#56376 selenium: add controller_profileset to default test plan
  * [8846cdf] TT#56376 selenium: remove duplicate code
  * [be62293] TT#56376 selenium: test configure buttons on the dashboard
  * [2d49f5d] TT#56376 selenium: improvements in customer details
  * [ee222bc] TT#56376 selenium: improve tab title test
  * [0016d0d] TT#56376 selenium: add test: deactivate admin
  * [643edd5] TT#68016 selenium: remove is_shown check in fill_element
  * [189d9ba] TT#68016 selenium: improve handling of details tabs
  * [993577c] TT#68016 selenium: add test: edit peering details from peering overview page

  [ Rene Krenn ]
  * [ed3ea31] TT#64701 remove customer_fraud_events.pm virtualview

  [ Kirill Solomko ]
  * [73dd45c] TT#64605 add usrloc_expires_type support
  * [c822992] TT#64605 api-subscriberregistrations.t: adjust conf path
  * [8c69fbf] TT#64017 API/SubscriberRegistrations Redis multidomain search
  * [2683600] Revert "TT#64605 api-subscriberregistrations.t: adjust conf path"
  * [8e118c7] Revert "TT#64605 add usrloc_expires_type support"
  * [cd7e213] TT#65505 deflate RedisLocation from unixtime to datetime
  * [9d6748e] TT#66052 add RedisLocation versioning 1
  * [ce66426] TT#65101 add ccareadmin ccare roles
  * [e862ac8] TT#63875 faxsend relies on config.faxserver.number_rewrite_enable
  * [7b9eac2] TT#67120 fix domains access for ccareadmin/ccare roles

  [ Andreas Granig ]
  * [536935f] TT#64653 Add thumbnail support to admin panel
  * [800957e] TT#67210 Use device_id assignment for field devices
  * [4ea66d6] TT#67210 Align deviceid alias name to db column
  * [be9f360] TT#67210 More db table column alignments

  [ Flaviu Mates ]
  * [2f5dcfe] TT#63503 - Fix changing timeout for call forwards
  * [6f8a1c8] TT#64751 - Allow subscribers to change their password
  * [b3cd55f] TT#56467 - Migrate all basic test cases
  * [7d17b7d] TT#64500 - Fix date format for SubscriberRegistrations.yaml
  * [42473db] TT#64751 - Allow subscribers to change their password
  * [a4d7fa7] TT#56467 - Fixes for Test Framework
  * [e844163] TT#64370 - Fix for topup voucher ajax error
  * [28cb73e] TT#65651 - Display correct DBIx error on duplicate subscriber
  * [5c1fa40] TT#64663 - Add received field to subscriberregistrations
  * [f546d7c] TT#60967 - Add validation for SIP Username
  * [581f138] TT#60965 - Prohibit deletion of PBX Pilot Subscriber 	   when there are other subscribers
  * [0a0f5e7] TT#60965 - Fix api-subscribers.t pilot deletion

  [ Sipwise Jenkins Builder ]
  * [5851ce6] TT#4166 I18N dump: snapshot 2019.09.02-01.42.21
  * [d902e18] TT#4166 I18N dump: snapshot 2019.09.19-01.27.17
  * [c9d673d] TT#4166 I18N dump: snapshot 2019.09.27-01.25.17
  * [0fb080d] TT#4166 I18N dump: snapshot 2019.10.05-01.22.33

  [ Marco Capetta ]
  * [5b39645] TT#62269 add new call forward type "cfo"

  [ Guillem Jover ]
  * [651a581] TT#68012 Namespace NGCP-specific Catalyst plugins
  * [3672cba] TT#68012 Only install the appropriate modules for the relevant package

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 08 Oct 2019 09:10:00 +0200

ngcp-panel (8.0.0.0+0~mr8.0.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [cf6ae55] TT#60850 fix api cert unique serial generator
  * [6d89e74] TT#59803 obfuscate .*password.* fields in request+response body (json)
  * [0c93d71] TT#61559 TT#61752 apply orderby to datatable setop queries
  * [2391e3c] TT#62063 fix ac string instead of numeric comparison
  * [6732f52] TT#62059 disable bootstrapdatatable html5 statesaving
  * [263f97a] TT#59866 fix js Date month starting with 0 in rrule/toText
  * [3478751] TT#61105 allow modifying billing profile/networks if not actual (6.5+)
  * [9195681] TT#61813 fix timeset.create after nested reseller creation
  * [29cab28] TT#62802 fix LI soap rail saltedpass migration
  * [05958e4] TT#63402 escape localized strings used in js arguments
  * [0932969] TT#64011 add ncoslnppatterns to api-root.t

  [ Nico Schedel ]
  * [e2fad09] TT#56376 selenium: more tests for controller_ncos.t
  * [bfc3f7a] TT#56376 selenium: more tests for controller_peering.t
  * [f7cc62a] TT#56376 selenium: more tests for controller_reseller.t
  * [81a1b5c] TT#56376 Revert "TT#56376 selenium: change timeout values"
  * [d725631] TT#56376 selenium: more tests for controller_rw_ruleset.t
  * [a3e5c4f] TT#56376 selenium: more tests for controller_subscriber.t
  * [23b69ab] TT#56376 selenium: more tests for controller_timeset.t
  * [5a8afa9] TT#56376 selenium: add controller_invoice.t to default test plan
  * [49046fc] TT#56376 selenium: add label checks to Common.pm
  * [5f503e2] TT#56376 selenium: add label check + missing deletion check to ctr_billing
  * [fb7467b] TT#56376 selenium: add label checks to controller_admin.t
  * [925e79a] TT#56376 selenium: add label checks to controller_customer.t
  * [085041e] TT#56376 selenium: add label checks + other tests to ctr_domain.t
  * [6a63326] TT#56376 selenium: print more infos if test crashes
  * [5256569] TT#56376 selenium: add label checks to controller_emergency.t
  * [6c19ce2] TT#56376 selenium: make code much more readable
  * [c765599] TT#56376 selenium: add missing delete_* calls
  * [24c19b9] TT#56376 selenium: add more features to the crash detection
  * [9a6cee3] TT#56376 selenium: extend timeouts for move_and_click and wait_for_text
  * [1e55e5a] TT#56376 selenium: add label checks to controller_invoice.t + cleanups
  * [a1708bb] TT#56376 selenium: add label checks to controller_ncos.t
  * [1a5c09f] TT#56376 selenium: add label checks to ctr_peering.t + add missing feature
  * [dfdde86] TT#56376 selenium: add label checks to controller_reseller.t
  * [119c41e] TT#56376 selenium: move crash_handler to Collection.pm
  * [38d730e] TT#56376 selenium: add error labels to crash detection
  * [dd9da61] TT#56376 selenium: add missing label check to controller_reseller.t
  * [5d40ebc] TT#56376 selenium: add label checks to controller_rw_ruleset.t
  * [ea5823c] TT#56376 selenium: add label checks to controller_subscriber.t
  * [6b6adc6] TT#56376 selenium: add test: cloning a rewrite rule set
  * [530a227] TT#56376 selenium: add label checks to controller_timeset.t
  * [a8711e0] TT#56376 selenium: create lnp carrier + re-enable LNP tests
  * [856cc68] TT#56376 selenium: capture screenshot if program crashes
  * [af33c44] TT#56376 selenium: slim down crash handler
  * [2c4b57b] TT#56376 selenium: delete domain before deleting rw ruleset
  * [25ae53f] TT#56376 selenium: add tests: billing networks
  * [a7dab67] TT#56376 selenium: fix for 'stale element reference' in ctr_subscriber
  * [d51b276] TT#56376 selenium: another crash fix for controller_subscriber
  * [4cd1ae5] TT#56376 selenium: fix for crashes in controller_customer
  * [63a6d8b] TT#56376 selenium: fix for crashes in controller_billing
  * [2ab123a] TT#56376 selenium: improved label checks for controller_admin.t
  * [eaad5ca] TT#56376 selenium: improved label checks for controller_customer.t
  * [5438b95] TT#56376 selenium: temporarily disable a check for network blocks
  * [d179497] TT#56376 selenium: fix for buttons not visible in browser window
  * [2ce4f9b] TT#56376 selenium: some fixes for controller_subscriber
  * [ed09166] TT#56376 selenium: improved label checks for controller_domain.t
  * [f1b0193] TT#56376 selenium: improved label checks for controller_billing.t
  * [afe92bc] TT#56376 selenium: improved label checks for controller_invoice.t
  * [7bf6294] TT#56376 selenium: improved label checks for controller_emergency.t
  * [85ba31c] TT#56376 selenium: improved label checks for controller_ncos.t
  * [c9714a5] TT#56376 selenium: improved label checks for controller_peering.t
  * [a3586f0] TT#56376 selenium: improved label checks for controller_reseller.t
  * [8ccb2f0] TT#56376 selenium: improved label checks for controller_rw_ruleset.t
  * [dae4771] TT#56376 selenium: improved label checks for controller_subscriber.t
  * [f64d6f1] TT#56376 selenium: improved label checks for controller_timeset.t
  * [5da733f] TT#56376 selenium: remove checks for labels in crash handler
  * [0fcaddd] TT#56376 selenium: cleaned up Common.pm
  * [6aa7cf9] TT#56376 selenium: unlock reseller after changing status to locked
  * [3489a3d] TT#56376 selenium: improvements when creating billing profile
  * [e0df16d] TT#56376 selenium: re-write billing zones and billing fee tests
  * [007b1a4] TT#56376 selenium: little cleanups for controller_admin
  * [2237af7] TT#56376 selenium: add test: create locked customer and unlock them
  * [cb95cfa] TT#56376 selenium: fix mistake in controller_admin
  * [0ba4b15] TT#56376 selenium: re-enable check for billing network blocks
  * [c95d54a] TT#56376 selenium: re-enable event checks in controller_timeset.t
  * [e53a590] TT#56376 selenium: add more checks when editing fraud limits
  * [4417bb9] TT#56376 selenium: add new off-peaktimes tests
  * [9a1254b] TT#56376 selenium: add file controller_header.t
  * [d783bb6] TT#56376 selenium: minor cleanups
  * [500de0f] TT#56376 selenium: add controller_timeset.t to default test plan
  * [2525b8a] TT#56376 selenium: add rewrite rule set to header actions and conditions
  * [d0a87f4] TT#56376 selenium: add file controller_soundset.t
  * [97a7d39] TT#56376 selenium: add test: check if reseller is locked and unlock him
  * [22f7343] TT#56376 selenium: add missing fallback elements in controller_peering
  * [999a956] TT#56376 selenium: add test: lock and unlock subscriber
  * [788d733] TT#56376 selenium: add file controller_other.t
  * [b9aa82a] TT#56376 selenium: add tests: create/edit/delete contact
  * [78a919d] TT#56376 selenium: add ctr_other and ctr_soundset to default test plan
  * [c6d185d] TT#56376 selenium: fix use of uninitialized variable
  * [7fe8a93] TT#56376 selenium: fix crash when deleting header rule condition
  * [f79527e] TT#56376 selenium: runner.t cleanups
  * [07c3496] TT#56376 selenium: re-enable a test in controller_domain
  * [7e4961a] TT#56376 selenium: add test: use invalid values when creating billing fee
  * [5375b13] TT#56376 selenium: add more tests for locations in controller_customer
  * [45998e9] TT#56376 selenium: cleanups when trying to create empty domain
  * [5960a16] TT#56376 selenium: remove unnecessary search in controller_emergency
  * [a85457f] TT#56376 selenium: call driver->quit() after test has been executed
  * [d18eada] TT#56376 clean up controller_other
  * [5b4438b] TT#63700 updating selenium test packages
  * [53b958f] TT#63700 update selenium tests to work with new docker image
  * [1276313] TT#56376 fix crash when selection ncos domain setting
  * [240e693] TT#56376 selenium: fix crash when opening edit dialog in off-peak times
  * [5852e2d] TT#56376 selenium: minor changes to controller_billing
  * [6321048] TT#56376 selenium: add pageLoadStrategy argument when creating driver

  [ Kirill Solomko ]
  * [28d51dc] TT#58950 RedisLocationResult improvements
  * [09a1034] TT#63542 use multidomain in item_by_aor
  * [4db3127] TT#63542 API/SubscriberRegistrations respect redis usrloc
  * [914722e] TT#63545 rework /api/customerfraudevents support cdr_period_costs

  [ Alexander Lutay ]
  * [c384b2c] TT#60950 Switch ngcp-panel Selenium docker to buster
  * [d44140c] TT#60950 Switch ngcp-panel REST API docker to buster
  * [cfc4ed7] TT#56060 Remove garbage from t/ folder
  * [0ae8ad5] TT#62215 Add initial integration for Jenkins daily-build-testrunner

  [ Guillem Jover ]
  * [929bfbf] TT#61101 Remove obsolete alternative dependencies
  * [f77e463] TT#61954 Update copyright years
  * [bbef397] TT#60750 Do not install deprecated command aliases
  * [6351678] TT#60750 Use modern commands in preference of deprecated ones
  * [06e40dd] TT#61954 Set debhelper compat level in Build-Depends instead of debian/compat
  * [9a10b9d] TT#63301 Fix package sections

  [ Flaviu Mates ]
  * [818f22c] TT#57652 Implement a Proof of Concept for the new API Test Framework
  * [603351c] TT#59024 - Disable web_password and sip password fields 	   for administrators with disabled 'show_passwords'
  * [67f11e1] TT#61401 - Fix for adding empty string in 'allowed_ips'
  * [13688f2] TT#62215 - Add logging for NGCP Test Framework
  * [aa50796] TT#62215 Return zero exit code for successful tests and non-zero on any error
  * [430e590] TT#64011 - Implement NCOS LNP Carrier patterns support in UI/API

  [ Andreas Granig ]
  * [01cb479] TT#62952 Strip ALE autoprov pre/suffix in bootstrap
  * [b110ac2] TT#62983 Provide full server ca certfile

  [ Sipwise Jenkins Builder ]
  * [eed8765] TT#4166 I18N dump: snapshot 2019.08.05-14.00.44

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 05 Aug 2019 20:57:23 +0200

ngcp-panel (7.5.0.0+0~mr7.5.0.0) unstable; urgency=medium

  [ Nico Schedel ]
  * [de66766] TT#56376 selenium: add test: Add rule to a ruleset
  * [18ddda1] TT#56376 selenium: change xpaths to fix crash in pro version
  * [4098466] TT#56376 selenium: yet another fix for crash in pro versions
  * [76a3007] TT#56376 selenium: add test: create rule for callee
  * [dbad798] TT#56376 selenium: allow create_domain() to use a custom reseller
  * [1fdae89] TT#56376 selenium: add test: add ruleset to domain.
  * [c06d056] TT#56376 selenium: add test: reorder rewrite rules
  * [e7a0927] TT#56376 selenium: move login_ok() to Collection.pm
  * [c3ff0cb] TT#56376 selenium: remove deletion of rule
  * [7180304] TT#56376 selenium: generate more unique names for domains, customers, etc.
  * [09be313] TT#56376 selenium: clean up code: edit preference inbound_upn
  * [cfb64bb] TT#56376 selenium: yet another fix for crashing fraud limits.
  * [52bf6e4] TT#56376 selenium: add file: controller_admin.t
  * [7c571ed] TT#56376 selenium: check if concurrent_max value has been applied
  * [cd76c99] TT#56376 selenium: add test: allowed_ips
  * [4c38129] TT#56376 selenium: use unique name for creating a peering server
  * [f3c8ed8] TT#56376 selenium: add create_customer() and delete_customer()
  * [ff6c084] TT#56376 selenium: improved formatting
  * [89e184e] TT#56376 selenium: remove duplicate create_customer
  * [63414a1] TT#56376 selenium: create/delete rw_ruleset cleanups
  * [7f77dc6] TT#56376 selenium: add file controller_subscriber.t + refactoring
  * [bec65d6] TT#56376 selenium: further controller_customer xpath changes
  * [5e4b924] TT#56376 selenium: add more tests to controller_billing
  * [2a0f51a] TT#56376 selenium: add tests: cancel deletion and see if data is still here
  * [ce3877d] TT#56376 selenium: add move_and_click function
  * [ac2b953] TT#56376 selenium: add more tests to controller_customer
  * [e825b5d] TT#56376 selenium: controller_domain cleanups
  * [3e8cd2f] TT#56376 selenium: crash fix for controller_peering.t
  * [8ee59ed] TT#56376 selenium: check domain details before entering domain config
  * [2f5b377] TT#56376 selenium: move_and_click: add optional fallback parameter
  * [dfb88d0] TT#56376 selenium: add more tests to controller_peering
  * [8ed76e3] TT#56376 selenium: add more tests to controller_reseller
  * [c9dc925] TT#56376 selenium: add more tests to controller_subscriber
  * [d80ae27] TT#56376 selenium: replace code for clicking edit Wednesday button
  * [e9fbdc2] TT#56376 selenium: add test: check block lists
  * [b3fb2ab] TT#56376 selenium: add test: add source set
  * [e2b4ad8] TT#56376 selenium: use move_and_click in Common.pm
  * [104b9c8] TT#56376 selenium: add test: check email template
  * [ddcb49d] TT#56376 selenium: add test: change subscriber language
  * [d00c56a] TT#56376 selenium: add test: enable subscriber call recording
  * [b8a194a] TT#56376 selenium: add test: media transcoding
  * [df2f8cf] TT#56376 selenium: change timeout values
  * [e8c88e7] TT#56376 selenium: fix a typo
  * [f9ced2f] TT#56376 selenium: Multithread tests
  * [25d2982] TT#56376 selenium: add test: check admin details
  * [33a0477] TT#56376 selenium: add file controller_ncos.t
  * [11cbf10] TT#56376 selenium: do not execute every .t file in directory by default
  * [395a9ab] TT#56376 selenium: fix crash when creating domain
  * [0463e2a] TT#56376 selenium: add test: add ncos level to domain
  * [ed54429] TT#56376 selenium: add file controller_emergency.t
  * [f85efa0] TT#56376 selenium: minor improvement to text output
  * [2758bf8] TT#56376 selenium: fix crash: enter LNP details
  * [4766b58] TT#56376 selenium: fix test: Check if Template Email was deleted
  * [19f8032] TT#56376 selenium: add tests: subscriber profile sets
  * [bcc3381] TT#56376 selenium: add file controller_timeset.t
  * [01b6dd5] TT#56376 selenium: runner.t tesplan changes
  * [d6ac16d] TT#56376 selenium: replace move_action with move_and_click()
  * [5835e29] TT#56376 selenium: cleaned up old code
  * [c5acf9e] TT#56376 selenium: disable LNP tests
  * [45b3426] TT#56376 selenium: add function create_contact() and delete_contact()
  * [22ab442] TT#56376 selenium: add function create/delete_billing_profile()
  * [41e53f6] TT#56376 selenium: changes for create_customer()
  * [a658a43] TT#56376 selenium: some enhancements to create/delete_contact()
  * [7bca436] TT#56376 selenium: promote controller_emergency.t to default test plan
  * [56f55cb] TT#56376 selenium: add file controller_invoice.t
  * [8d392ff] TT#56376 selenium: delete duplicate check
  * [731a56c] TT#56376 selenium: add "experimental" launch option
  * [2955011] TT#56376 selenium: add fallback objects to move_and_click in ctr_domain
  * [95c9387] TT#56376 selenium: add unselect_if_selected()
  * [3d70c9a] TT#56376 selenium: more tests for controller_billing.t
  * [30810ac] TT#56376 selenium: more tests for controller_customer.t
  * [01d0973] TT#56376 selenium: more tests for controller_admin.t
  * [a5537e8] TT#56376 selenium: a few cleanups in Common.pm:
  * [d62a999] TT#56376 selenium: more tests for controller_domain.t
  * [64c1d97] TT#56376 selenium: more tests for controller_emergency.t
  * [f9bd117] TT#56376 selenium: add cancel deletion tests to controller_admin/billing.t
  * [ad4444f] TT#56376 selenium: more tests for controller_invoice.t
  * [11b4ffc] TT#56376 selenium: add missing scroll_to_element

  [ Sipwise Jenkins Builder ]
  * [04aa1fb] TT#4166 I18N dump: snapshot 2019.05.03-02.03.41
  * [5cf886a] TT#4166 I18N dump: snapshot 2019.05.22-01.31.41
  * [1df256e] TT#4166 I18N dump: snapshot 2019.05.25-01.20.41
  * [102e2b7] TT#4166 I18N dump: snapshot 2019.06.01-01.21.55

  [ Rene Krenn ]
  * [7d1e004] TT#58004 stop+start_profile instead of update_profile event
  * [cae5270] TT#56340 panel logline obfuscation
  * [64a6637] TT#56340 fix ip logged instead of username
  * [157206a] TT#59803 opfuscate password fields in any logmessage part
  * [dda5ffe] TT#56340 fix subscribers.t not matching obfuscation chars
  * [b0465b9] TT#59803 obfuscate logged request+response body to protect passwords
  * [e237a47] TT#60116 don't gdpr-quote cert DN in logs
  * [f20d419] TT#60116 accept leading / in cert DN

  [ Irina Peshinskaya ]
  * [4a4761b] TT#49255 Fix ssl verify config appliance for Grandstream
  * [ba54711] TT#49255 Consider response code to parse ZTP servers responses
  * [5dc3065] TT#51061 Disable prepaid billing plan for peering/reseller contracts
  * [33dc1a0] TT#57653 Sync missed email templates on demand
  * [53118b0] TT#51552 Order pbx extensions by display_name or username
  * [c41860f] TT#50008 More descriptive timezone name

  [ Flaviu Mates ]
  * [d59e4c9] TT#58570 Fix subscriberadmin PATCH
  * [9afc01a] TT#50655 Fix for Call Flow page
  * [c63a5df] TT#58590 - Fix call lists suppresion in /api/conversations

  [ Kirill Solomko ]
  * [7c22d44] TT#59164 Field::URI allow "\\" char in sip-username
  * [883d994] TT#59324 disable DeviceBootStrap LWP::UserAgent keep_alive
  * [ffdb2d0] TT#60502 fix PATCH removal by value when multiple elements are removed
  * [9094ec4] TT#60502 refactor PATCH by value ARRAY

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 17 Jun 2019 14:37:59 +0200

ngcp-panel (7.4.0.0+0~mr7.4.0.0) unstable; urgency=medium

  [ Irina Peshinskaya ]
  * [94f449e] TT#49259 Fix tests for peeringserver sound_set preference
  * [ef70c3d] TT#47534 Fix event parsing without rrule
  * [c4b542d] TT#52980 Return num_lines to api device models lineranges
  * [2b11a89] TT#53320 Fix voicemailgreetings upload error handling
  * [3d02b96] TT#53760 Consider copy in email templates name checking
  * [d0a6ad3] TT#53760 Use explicit email template copy mode
  * [052935e] TT#53760 Fix using of the explicit copy mode flag
  * [3d524de] TT#54205 TT#54264 TT#54351 TT#54263 TT#54206 Timesets events representation fixes
  * [71a442b] TT#54350 Consider DTSTART and DTEND in event representation
  * [5e4b738] TT#47017 Fix Phonebook and Timeset UI rendering
  * [bf771b5] TT#55503 Fix DTSTART only timeset representation
  * [f741f62] TT#47017 Fix return page after closing edit phonebook form
  * [1477062] TT#55364 Fix /api/numbers PATCH for aliases
  * [0a5e2df] TT#54350 Always show hours related text in rrule description
  * [99e1d60] TT#49255 Enable all ssl checkings for the ZTP RPC calls
  * [f20a423] TT#49255 Change Snom ZTP server hostname
  * [32e646e] TT#50907 Make subscriber profiles tests more stable
  * [68436b0] TT#55366 Fix strings comparison in datatable multifield
  * [41c3332] TT#46161 Add French translation file, flag file and menu point

  [ Guillem Jover ]
  * [63880a6] TT#53701 Add an explicit dependency on libngcp-api-client-perl
  * [e35c57c] TT#53701 Switch dependency from ngcp-schema to libngcp-schema-perl
  * [8d4b886] TT#53701 Update dependencies
  * [ed8fa2f] TT#53701 Rename systemd tmpfile
  * [0f6754f] TT#53701 Fix perms for files
  * [6597cab] TT#53701 Install into debian/tmp and select what to pick from there
  * [0045d05] TT#53701 Stop requiring Moose during builds
  * [72a5f7e] TT#53701 Remove leftover cruft
  * [e1e2dbe] TT#53701 Remove provisioning scripts
  * [6c816df] TT#53701 Line-wrap helper scripts
  * [363da11] TT#53701 Move config files under etc/
  * [91e2d61] TT#53701 Split Catalyst::Plugin::Session:Store::Redis into its own package
  * [442c6c7] TT#56550 Rename ngcp-sercmd to ngcp-kamcmd

  [ Kirill Solomko ]
  * [c3ed47b] TT#51911 rework Header Manipulations to support datatables
  * [b25fd7b] TT#52006 header manipulations priority is now editable in the UI
  * [2a6dffa] TT#47010 add per subscriber header manipulations
  * [82e3ce8] TT#55104 fix sound files update_model error handling
  * [6a7f65a] TT#55459 fix header_rule_set preference UI filtering
  * [3a539b0] TT#55459 subscriber_only UI header rule set changes
  * [6374009] TT#56602 no apply_rewrite for a terminated prov subscriber
  * [5e63be9] TT#56653 disable UI system status widget
  * [7753ba1] TT#57701 Form/Header/Rule add direction "reply"

  [ Sipwise Jenkins Builder ]
  * [50f355b] TT#4166 I18N dump: snapshot 2019.03.06-06.37.35
  * [c2292f3] TT#4166 I18N dump: snapshot 2019.03.07-06.22.22
  * [16b648c] TT#4166 I18N dump: snapshot 2019.03.08-04.32.07
  * [05d7410] TT#4166 I18N dump: snapshot 2019.03.15-06.14.28
  * [e20288c] TT#4166 I18N dump: snapshot 2019.03.27-13.25.43
  * [e08d236] TT#4166 I18N dump: snapshot 2019.04.03-04.54.03
  * [cfa13da] TT#4166 I18N dump: snapshot 2019.04.10-06.10.39
  * [51a6a70] TT#4166 I18N dump: snapshot 2019.04.13-03.59.41

  [ Rene Krenn ]
  * [78a134e] TT#46955 reseller preferences
  * [c397042] TT#49694 match patterns: reject malformed "\0"-"\9" only
  * [559cf20] TT#56463 fix $$c refs
  * [4789f6b] TT#56411 honor use_session => 0 for bcrypt auth WIP
  * [1cfc524] Revert "TT#56411 honor use_session => 0 for bcrypt auth WIP"
  * [76b8806] TT#56411 honor use_session => 0 for bcrypt auth
  * [33f470d] TT#56463 fix $c->log vs $c->loc #1
  * [61a9c10] TT#56463 fix $c->log vs $c->loc #2
  * [e6a6799] TT#56463 fix string concat in log msg
  * [7952117] TT#56463 remove use Catalyst; from Utils/Message.pm
  * [adabefc] TT#52987 TT#56006 logfile data inventory generator
  * [9fd5c19] TT#57900 scenario in balanceintervals.t fails on fast hardware

  [ Andreas Granig ]
  * [e154577] TT#23004 Revert local linking of dev env in vagrant
  * [1b48156] TT#53326 Remove stray "xx" in device provisioning
  * [89ac5b9] TT#52989 Fix device-id handling in panel UI
  * [39e81eb] TT#55873 Only expose marked sound handles to customers
  * [972eb6e] TT#55953 Prevent hiding buttons on ajax search

  [ Flaviu Mates ]
  * [83521b3] TT#53334 Fix header rule set id handling
  * [362ebd1] TT#54754 Fix sound file creation with filename null
  * [69bff5f] TT#54957 Implement support for uploading multiple sound file types on /api/soundfiles
  * [378d27d] TT#33114 Implement DELETE method to terminate BillingProfiles and BillingNetworks
  * [cac9c4d] TT#56060 Implement PATCH method for soundfiles

  [ Nico Schedel ]
  * [0acda01] TT#56376 Re-enabling domain selenium test
  * [3a9e1fb] TT#56376 Add check for adding subscriber + cleanups
  * [376e3e8] TT#56376 selenium: various t/selenium/testrunner improvements
  * [c70b063] TT#56376 selenium: fix crash on find_text()
  * [63d32e7] TT#56376 selenium: add wait_for_text() method
  * [96dc84a] TT#56376 selenium: fix crash in controller_billing.t
  * [1bf2070] TT#56376 fix wait_for_text() crash
  * [0063078] TT#56376 remove sleep if browser=htmlunit calls
  * [0649dcb] TT#56376 selenium: remove phantomjs/chrome sleep call
  * [0d1e5ea] TT#56376 selenium: add file Common.pm
  * [d597f40] TT#56376 selenium: login_ok() test cleanups
  * [6c4fe4e] TT#56376 selenium: Cleaner fraud limit check
  * [cd3adf3] TT#56376 selenium: add delete_domain() function
  * [9bc296b] TT#56376 selenium: fix crash on creating subscribers
  * [46f0185] TT#56376 selenium: add more diagnostic text to test calls
  * [df38189] TT#56376 selenium: removing sleep calls
  * [cf0e3b8] TT#56376 selenium: improvements to delete_domain()
  * [da24a58] TT#56376 selenium: controller_billing.t code cleanups
  * [abe43af] TT#56376 selenium: initial controller_reseller.t code refractoring
  * [d10aa91] TT#56376 selenium: add create_reseller() and create_reseller_contract()
  * [a2798fd] TT#56376 selenium: add delete_reseller() and delete_reseller_contract()
  * [1f32e9b] TT#56376 selenium: controller_reseller: use our newly created reseller
  * [fde849d] TT#56376 selenium: add cancel argument to delete_reseller(_contracts)
  * [ee07bbb] TT#56376 selenium: more reliable actions for invisible buttons
  * [e3cdea8] TT#56376 selenium: add cancel argument to delete_domain() too
  * [22f8a81] TT#56376 selenium: controller_customer xpath refinements
  * [fa58b70] TT#56376 selenium: Common.pm xpath refinements
  * [609ccb5] TT#56376 selenium: Added test for checking phonebook entries
  * [8ccd614] TT#56376 selenium: fix crash on deleting date definitions
  * [681abea] TT#56376 selenium: add Invoice Template check
  * [79d00a5] TT#56376 selenium: add PBX flag for controller_customer
  * [bd4a00a] TT#56376 selenium: change move_actions in Common.pm
  * [070d1e4] TT#56376 selenium: change move_actions in controller_reseller
  * [d7887dd] TT#56376 selenium: change move_actions in controller_customer
  * [3e56923] TT#56376 selenium: use name variable in controller_peering
  * [7c3c27b] TT#56376 selenium: Added test for checking phonebook entries
  * [62337a5] TT#56376 selenium: add a bit more diag texts
  * [df4c47d] TT#56376 selenium: use name variable in controller_billing
  * [4aa76b9] TT#56376 selenium: delete billing profile after test execution
  * [9bec68d] TT#56376 selenium: add location check
  * [9a3635f] TT#56376 selenium: check if peering group has been deleted
  * [f3ba27a] TT#56376 selenium: create inbound peering rule
  * [94d63d6] TT#56376 selenium: rewrite delete routine in contoller_peering
  * [d6a901d] TT#56376 selenium: add garbage text search to prevent exception
  * [628f26b] TT#56376 selenium: use CTRL+A shortcut in fill_element() instead of clear()
  * [f2746ed] TT#56376 selenium: add code to delete inbound peering rule
  * [ed50e78] TT#56376 selenium: simplified code around deleting billing fee
  * [d55e2c3] TT#56376 selenium: add peer_auth checks
  * [ec6dd1b] TT#56376 selenium: add file controller_rw_ruleset.t
  * [3acf010] TT#56376 selenium: add create and delete_rw_ruleset()

  [ Alexander Lutay ]
  * [7282fa6] TT#56376 Remove unnecessary PERL5LIB= from t/selenium/jenkins_docker_run
  * [f0e1f74] TT#56376 Restore exit code propagation in t/selenium/testrunner
  * [7dbe4a1] TT#56376 Show selenium/rest-api tests execution time on Jenkins

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 25 Apr 2019 14:30:10 +0200

ngcp-panel (7.3.0.0+0~mr7.3.0.0) unstable; urgency=medium

  [ Irina Peshinskaya ]
  * [c111d1e] TT#49754 Increase header lines limit in http response parsing
  * [a136015] TT#46791 Wait for ajax table loading for "Edit" button work
  * [4bac7f0] TT#48165 Return field_list for profilee form
  * [e9486b8] TT#50802 Consider terminated subscribers in alias management
  * [e15e404] TT#51109 Enable api soundgroups and soundhandles for subscriberadmin
  * [08a6b81] TT#50802 Use one-to-one relation to filter numbers by type
  * [4b2dc9a] TT#52355 Use pattern for systemctl --list-unit-files openvpn search
  * [8589050] TT#50975 Replace "value" logic to "filter" in "remove-by-value"
  * [86a2ae7] TT#50907 Don't use form caching in WEB UI
  * [85aeeaa] TT#50204 Fix "All" datatables entries option
  * [4099adf] TT#49689 Implement web UI for ical events
  * [92ac694] TT#49689 Rename method *_timesets to *_timeset
  * [0162f70] TT#49688 Implement human readable rrule in ical events list
  * [345f89d] TT#47534 Add configured default mime-type to Entities FW
  * [9adf470] TT#47534 Add iCalendar download/upload web ui
  * [ec178cd] TT#47534 Implement api timesets upload/download
  * [80b0cf0] TT#47534 Remove unnecessary debug from timesets api
  * [bee5da9] TT#50802 Additional test cases for aliases management

  [ Alexander Lutay ]
  * [a9399b1] TT#46791 Fix floating bug with 'Edit' problem on 'Weekdays' page
  * [dce4c30] TT#46791 Fix floating bug with 'Delete' button on 'Peering Servers' page
  * [18d4e25] Revert "TT#46791 Fix floating bug with 'Edit' problem on 'Weekdays' page"
  * [cb7d6ec] TT#46791 Use proper variable name in test controller_billing.t
  * [82172e5] TT#46791 Fix floating bug with 'Edit' problem on page 'Weekdays' (try #2)
  * [c2ae23f] TT#46791 Improve 'prove' output for Selenium and REST API tests
  * [0ff1d1d] TT#46791 Add more debug for test controller_customer.t
  * [653291b] TT#46791 Teach Jenkins job ngcp-panel-test-selenium-docker run one test only

  [ Andreas Granig ]
  * [465ee3d] TT#51065 Workaround for grafana not setting UTF-8 in Content-Type for js
  * [ea25662] TT#49037 Implement rds connector to sipwise eds
  * [ca97df4] TT#52628 Fix serving autoprov firmwares for unknown macs
  * [1caea82] TT#52961 Use separate port for Cisco SPA search
  * [ec2c977] TT#52961 Use redis if enabled to fetch reg subsscribers
  * [c56e140] TT#52961 Use custom bootstrap uri on http sync if set
  * [de6f270] TT#52961 Use cisco port for http bootstrap method
  * [a1f4779] TT#53326 Fix showing display name in field dev creation form
  * [d5ba7c1] TT#52989 Implement device alias provisioning logic

  [ Kirill Solomko ]
  * [7dbbe5e] TT#50815 Fix HeaderManipulations invalidate request to kamailio
  * [3615635] TT#50151 enable peering host sound_sets
  * [759ce4e] TT#51910 add HM cf_inbound, cf_outbound direction

  [ Guillem Jover ]
  * [5cdd1d2] TT#50954 Use <<>> instead of <> as that has unsafe semantics
  * [e4cfc98] TT#51065 Update grafana dashboard URLs for grafana 5.x

  [ Rene Krenn ]
  * [9d3030f] TT#47658 lowercase redis usrloc filter (username, domain)
  * [8ed0574] TT#48988 timezone conversions for CF timeset periods
  * [915e317] TT#53421 fix conversations item<->resource confusion
  * [97ecd6d] TT#53382 no default '.' source for prefix fees
  * [d532728] TT#52456 cftimeset period timezone transformation script
  * [36ff829] TT#52456 log cf timeset timezone transformation output

  [ Sipwise Jenkins Builder ]
  * [30af629] TT#4166 I18N dump: snapshot 2019.02.19-14.00.04
  * [97701c9] TT#4166 I18N dump: snapshot 2019.02.21-16.09.07
  * [dae9821] TT#4166 I18N dump: snapshot 2019.02.23-06.18.59

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 25 Feb 2019 22:56:31 +0100

ngcp-panel (7.2.0.0+0~mr7.2.0.0) unstable; urgency=medium

  [ Irina Peshinskaya ]
  * [c68e4ed] TT#45484 Allow api controllers to control errors and return code
  * [d003c66] TT#45484 Add "force_delete" option to callrecordings
  * [0425b5c] TT#47261 Remove occasional time_set_id relation from peering_rule
  * [e36c5da] TT#47261 Fix timeset linking to voip_peer_group
  * [7c13308] TT#47024 Use config to document allowed Accept header values
  * [aeb5cd9] TT#46183 Add "mode" modifier to "add" PATCH operator
  * [7e3a1d1] TT#46187 Use value in "remove" PATCH op as filter
  * [b88000b] TT#47569 Add possibility to load default files in sounsets api
  * [e0ee27d] TT#47569 Rename soundset override parameter to replace_existing
  * [4ceb775] TT#47906 Fix discrepancy between doc and code in /api/soundsets/
  * [048b0f7] TT#45960 Disable timesets API for 7.0
  * [e55e4a8] TT#45960 disable timesets web ui in 7.0
  * [af314a0] TT#47906 Remove unnecessary code from /api/soundsets/
  * [bb04e38] Revert "Revert "TT#47906 Remove unnecessary code from /api/soundsets/""
  * [73d4c8f] TT#47906 Fix soundsets POST without contract or customer
  * [7c366d8] TT#47906 Fix soundsets filters
  * [f08e982] Revert "TT#45960 disable timesets web ui in 7.0"
  * [72c771e] Revert "TT#45960 Disable timesets API for 7.0"
  * [83d7152] TT#47963 Fix emailtemplates put and patch
  * [5219cdb] TT#48198 Fix no_count behavior in API.pm
  * [39918f4] TT#48198 Avoid extra page in no_count mode
  * [760ba75] TT#48198 Remove differences before items array from pagination
  * [1fe6db9] TT#48198 Use items array from paginations in all api controllers
  * [b27e4c5] TT#46856 Add openvpn toggle from admin panel
  * [667522f] TT#47268 Use order_by_cols to avoid item_rs call for api doc gen
  * [8ee1e8e] TT#47268 Fix getting banned items
  * [39bc7eb] TT#48198 Fix order_by functionality in api
  * [a376cc6] TT#49027 Fix capabilities api
  * [335a09b] TT#49552 Use Log::Log4perl->warn instead of waning
  * [f6c447f] TT#49754 Increase header lines limit in http response parsing

  [ Sipwise Jenkins Builder ]
  * [ee88453] TT#4166 I18N dump: snapshot 2018.11.15-05.38.13
  * [b069ca5] TT#4166 I18N dump: snapshot 2018.11.20-16.28.59
  * [d781ea8] TT#4166 I18N dump: snapshot 2018.11.24-05.00.32
  * [3e764be] TT#4166 I18N dump: snapshot 2018.12.01-05.23.01
  * [1c41bf2] TT#4166 I18N dump: snapshot 2018.12.13-05.36.25
  * [fa3b9e3] TT#4166 I18N dump: snapshot 2018.12.18-05.07.00
  * [4a2ad98] TT#4166 I18N dump: snapshot 2018.12.21-05.26.23
  * [c242e38] TT#4166 I18N dump: snapshot 2019.01.08-05.28.44

  [ Kirill Solomko ]
  * [59a960b] TT#47587 fix get_subscriber_location_rs
  * [04500cb] Revert "TT#47906 Remove unnecessary code from /api/soundsets/"
  * [b364746] TT#48855 fix UI billing zones
  * [87a1c78] TT#30387 implement Header Manipulations UI
  * [13d1216] TT#47004 Implement Header Manipulation API endpoints
  * [8c7441f] TT#47004 add headerrules api-root
  * [54fad5c] TT#47004 add t/rest-api/api-preferences header_rule_set support
  * [9b2ec32] TT#49754 disable OPTIONS test in api-all-links
  * [66241b6] TT#49754 add t/api-rest/api-headerrulesets.t

  [ Andreas Granig ]
  * [bff6bda] TT#42767 Allow Range header in firmware downloads

  [ Guillem Jover ]
  * [8fb7c65] TT#44809 Create the _ngcp-api group
  * [1a76702] TT#49150 Namespace program names with ngcp-

  [ Rene Krenn ]
  * [fec183c] TT#46159 fix saving sip_username re in Intrecept-SOAP

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 09 Jan 2019 22:01:07 +0100

ngcp-panel (7.1.0.0+0~mr7.1.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [bbbc474] TT#44638 call history: search for source_cli, destination_user_in
  * [7960649] TT#44605 datatables search field tooltip
  * [6e1b17b] TT#44960 /subscribers/?alias=123 w/o group_concat()
  * [36169c0] TT#44963 fix getting contract in /api/capabilities
  * [c30dfbd] TT#45308 fix /customerbalances/?status= column alias

  [ Gerhard Jungwirth ]
  * [25efe66] TT#41627 new /api/timesets in iCal format
  * [542b9f9] TT#41629 time sets to peering

  [ Sipwise Jenkins Builder ]
  * [d395258] TT#4166 I18N dump: snapshot 2018.09.26-04.25.23
  * [e75df00] TT#4166 I18N dump: snapshot 2018.09.29-04.13.30
  * [f743934] TT#4166 I18N dump: snapshot 2018.10.10-04.20.46
  * [f7c7314] TT#4166 I18N dump: snapshot 2018.10.11-04.20.11
  * [5f5b18c] TT#4166 I18N dump: snapshot 2018.10.23-04.37.01
  * [640d8d8] TT#4166 I18N dump: snapshot 2018.11.08-05.12.00

  [ Kirill Solomko ]
  * [3eab769] TT#33108 add email templates attachment_name field
  * [ad9fead] TT#44603 fax number normalization logic selection
  * [100a78d] TT#46700 fix permanent registration "received" param

  [ Manuel Montecelo ]
  * [8f9f92e] TT#44919 Change "openssl genrsa" so it works with buster and older releases

  [ Irina Peshinskaya ]
  * [b6ea54b] TT#40453 Remove callrecording files from WEB UI
  * [bc926d6] TT#40453 Remove obsolete code from /api/callrecordings/
  * [e462e95] TT#41628 Add web ui for the TimeSets
  * [2a2d116] TT#44635 Fix order for subscriberregistrations api
  * [507e98a] TT#44908 Add interface to copy email template
  * [8903162] TT#45468 Adjust from_email to possible Template::Toolkit
  * [70ce552] TT#45476 Allow empty attachment_name in email_templates
  * [14c77fc] TT#44907 Create "default values" reseller with default emails
  * [c1a3aaf] TT#45506 Validate email template name existence
  * [af5b5d3] TT#45632 Add checking of configured Accept values
  * [0182e36] TT#45632 Use query_params and Accept header config together
  * [bf8ce93] TT#45632 Change return type from transcode_data to reference
  * [ae4936d] TT#45632 Add more variants to Accept header in VoicemailGreetingsItem
  * [85c2292] TT#45632 Add mime-type spec "format" to voicemailgreetings
  * [a98bdfc] TT#44806 Fix product info in subscribers preferences template
  * [a225d69] TT#45458 Rename Faxe to Fax in swagger api doc
  * [5d499b4] TT#45685 Fix peering server uniq check
  * [c3e818c] TT#46201 Use proper profile_id/profile_set_id in unrelated tests
  * [e438fea] Revert "TT#45685 Fix peering server uniq check"
  * [b99a725] TT#45685 Temporarily fix in the test for peeringserver api
  * [19e88ef] TT#46667 Make mime-type query param higher prio than Accept header
  * [01ad2e2] TT#45456 Add description of the upload allowed mime-types
  * [dbb08e7] TT#46187 Test patch operation
  * [7e9f7ad] TT#47109 Fix pbxdevices test broken by bignum export

  [ Alexander Lutay ]
  * [c1965d2] TT#44824 Fix error messages pointing to ngcp-panel log files
  * [95e1c49] TT#46791 Wait for 'Edit' button in controller_billing.t
  * [571c09f] TT#46791 Fix exit code passing in pipe for selenium testrunner
  * [45bf7ec] TT#46791 Call proper method 'click()' instead of 'click' (cosmetic)
  * [72834f1] TT#46791 Add timeout 1 second for controller_billing.t

  [ Michael Prokop ]
  * [b65374e] TT#45479 Ensure /run/fastcgi is owned by www-data + install file in usr/lib/tmpfiles.d/
    Thanks to Manuel Montecelo for the suggestion to use systemd's tmpfiles.d approach

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 12 Nov 2018 22:37:56 +0100

ngcp-panel (7.0.0.0+0~mr7.0.0.0) unstable; urgency=medium

  [ Gerhard Jungwirth ]
  * [b712de8] TT#40540 fix Accept Header treatment
  * [26435ac] TT#38811 fix validate_fields to include Subfields of Compound
  * [8f8553f] TT#40540 fix accept header recognition for */*
  * [f860a3d] TT#38811 API documentation show nested fields
  * [d7cb06c] TT#38811 fix changed subscriber form
  * [d02a441] TT#43268 swagger/OpenAPI document nested fields
  * [41fa667] TT#32555 swaggerui layout
  * [bfafe38] TT#44116 make swaggerui default and enable destruction protection

  [ Irina Peshinskaya ]
  * [212f4f8] TT#40544 Fix format a little
  * [effa8fe] TT#40544 Remove unnecessary comment
  * [870056a] TT#40518 Adapt valid_media_type to charset info
  * [19529cb] TT#40540 Show error about absent binary data method
  * [1f75abe] TT#41630 Add station_name filter to PbxDevices
  * [10f57f1] TT#40509 Add "default" option to timezone select
  * [ce84749] TT#29751 Remove minus from cents in negative costs
  * [c21aa55] TT#41620 Use static banned data in datatables
  * [a3e9fce] TT#40953 Allow all not reserved chars for sip URI
  * [3e95f54] TT#40511 Check subscriberadmin edit only own customer subscriber
  * [f567a73] TT#33113 Debug apply rewrite rule to the log
  * [ffd1b48] TT#40503 Add journal actions to entities FW
  * [47ebd02] TT#28457 Remove inherited code from faxserversettings
  * [9ed0657] TT#40503 Show journal links to allowed roles only
  * [846656c] TT#42860 Test subscribers profile and profile set management
  * [cf0a6a3] TT#42860 Add proper reseller checking to subscribers API
  * [baa7329] TT#40503 Clone cached referenced data before return
  * [3d2e58f] TT#40503 Additional clone of cached files and collections lists
  * [49e9e49] TT#44077 Disable subscriberadmin creation for subadmin in API
  * [200ffa1] TT#44275 Fix fields adjustment in cached forms
  * [c76d300] TT#40503 Remove explicit role checking for journal links
  * [9db48b4] TT#44522 Fix alias_number as Repeatable form validation
  * [b1e4733] TT#43351 Check subscriberadmin access to profile and profile_set
  * [cfa7cb4] TT#43351 Keep high priority of current profile_set for subadmin
  * [ab68499] TT#43351 Fix tests

  [ Rene Krenn ]
  * [8173249] TT#41022 calllist, faxes, vm: use owner's inherited tz
  * [0574a4f] TT#40507 tz and use_owner_tz query params for /api/conversations
  * [4ff4ab3] TT#38401 remove effective_start_time check in .t
  * [3303cfd] TT#38401 remove 2nd effective_start_time check in .t
  * [1a7aca8] TT#41402 normalize tzdata timezone names for perl DateTime
  * [7d045b9] TT#42260 remove prepaid and prepaid_library pref usage
  * [2930237] TT#42565 add URI::Encode dependency for api-journals.t
  * [f2e533c] TT#42565 api-journals.t: use test start time TZ
  * [3ddfd48] TT#42565 api-journals.t: derive/fix test start time
  * [2b7a1a3] TT#41553 TT#41554 billing fee match_mode
  * [b6c4129] TT#43555 fix sql error from /callists/?call_id=456
  * [ad0fade] TT#43755 fix milliseconds presentation
  * [29a8ca6] TT#43654 datatable rowcount clipping
  * [7b5c9d9] TT#44095 set isolation level when creating contracts
  * [f5117d3] TT#44451 change e164 elements from PosInteger to Text
  * [42730fb] TT#44404 datatables refactoring for large tables

  [ Richard Fuchs ]
  * [cccf6ea] TT#39328 don't cancel inew reservation request after INSUFF FUNDS

  [ Kirill Solomko ]
  * [abbd681] TT#42565 api-journals.t: use test start time
  * [650369c] TT#42753 reseller termination adjustments
  * [ecfe7f5] TT#43561 /api/calllists add init_time field

  [ Sipwise Jenkins Builder ]
  * [11feb09] TT#4166 I18N dump: snapshot 2018.08.10-04.01.28
  * [fab6dce] TT#4166 I18N dump: snapshot 2018.08.11-03.56.21
  * [aa72a0b] TT#4166 I18N dump: snapshot 2018.08.20-17.27.47
  * [57f0c53] TT#4166 I18N dump: snapshot 2018.08.30-05.49.12
  * [6b07e91] TT#4166 I18N dump: snapshot 2018.09.24-04.26.22

  [ Alexander Lutay ]
  * [89eebb2] TT#42565 Fix 2930237: bump Dockerfile version to trigger docker rebuild

  [ Jozef Kenyeres ]
  * [e18be37] TT#39354 CLEARMODE codec added to codecs_list

  [ Andreas Granig ]
  * [b846044] TT#42767 Remove ALE dev config prefix and suffix

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Sep 2018 18:56:34 +0200

ngcp-panel (6.5.0.0+0~mr6.5.0.0) unstable; urgency=medium

  [ Gerhard Jungwirth ]
  * [02e3e04] TT#32602 fix perlcritic error ValuesAndExpressions::ProhibitImplicitNewlines
  * [6e8dd1a] TT#37221 fix perlcritic error Subroutines::ProhibitExplicitReturnUndef
  * [20a2015] TT#37222 fix some perlcritic errors ValuesAndExpressions::ProhibitCommaSeparatedStatements
  * [f916bdc] TT#37104 fix Subroutines::ProhibitBuiltinHomonyms perlcritic error
  * [e5fccbf] TT#37105 fix perlcritic errors related to variables
  * [78b75e7] TT#37105 fix if block with assignment
  * [4feeb76] TT#38005 fix/resolve various perlcritic errors
  * [0b39b6e] TT#37222 fix perlcritic errors ProhibitCommaSeparatedStatements
  * [3d7f17b] TT#38005 clean/ignore remaining perlcritic issues
  * [c550282] TT#37204 bnumber cf panel
  * [a97cbba] TT#37205 bnumber cf in API: /api/callforwards
  * [f5687b2] TT#37205 bnumber cf in API: complex /api/cf*
  * [9210ac0] TT#37206 is_regexp flag for callforwardings

  [ Kirill Solomko ]
  * [8f28e18] TT#36005 add Storage model support, callflows use Storage model
  * [6dc1e7c] TT#36007 add /api/sipcaptures
  * [e97b407] TT#39007 SMS fix add_journal_record() calls, send_sms() fix charset
  * [7198bc3] TT#39165 sms_jorunal adjustments
  * [a60ae36] TT#39168 SMS: prepaid_billing fix error session closing
  * [743dd4a] TT#39358 SMS/init_prepaid_billing() improve session_create logging
  * [62a81f1] TT#40010 add new call forward type "cfr"
  * [968da66] TT#39607 update CF source set mode API docref

  [ Irina Peshinskaya ]
  * [d918bd5] TT#36404 Fix translate form for preferences
  * [0aa178e] TT#37552 Fix formatting - add missed newline
  * [ffde9a6] TT#37552 Fix formatting - remove duplicated commit call
  * [3a814a9] TT#37684 Fix broken journal rails
  * [89fa3a1] TT#37684 Fix broken journal rails - remove debug
  * [323d12b] TT#37325 Make lines not mandatory for /api/pbxdevices
  * [b96431b] TT#37951 Fix regression made in /api/admins
  * [239555f] TT#37457 Update yealink provisioning server domain
  * [cc6cf3b] TT#37375 Allow additional "order by" columns specifications
  * [8b8868c] TT#37458 Add billing profile aoc field
  * [61915c7] TT#33113 Apply callee_in rewrite rules to fax csc number
  * [17642b7] TT#39360 Adapt conversations order_by_cols to absent fax col
  * [5a504e9] TT#37459 Implement outbound lb_set/path for permanent registrations
  * [c72c74b] TT#37650 Force ngcp:collection entities to array
  * [033eb85] TT#39583 Fix tests broken by links format changes
  * [2431c0e] TT#36007 Remove /api/sipcaptures standard GET method
  * [72e4751] TT#39605 Remove semicolon from RPS xml
  * [8abd7ba] TT#37459 Fix chained preference method names
  * [0d11ae6] TT#39949 Allow faxserversettings to subscriber roles
  * [c219658] TT#41013 Separate edit and create form for extension subsctibers

  [ Rene Krenn ]
  * [b003c21] TT#37706 fix journal HEAD
  * [fa967c4] TT#38150 fix and re-enable api-journals.t
  * [2af0ccf] TT#38550 billing_zone_id filter param
  * [39e4023] TT#38400 fix customer contract editing
  * [11c1e04] TT#38767 prevent self-calls dupes in conversations
  * [145167e] TT#38401 switch to new billing mappings tables

  [ Sipwise Jenkins Builder ]
  * [10c3d4c] TT#4166 I18N dump: snapshot 2018.06.22-04.00.27
  * [627a2ef] TT#4166 I18N dump: snapshot 2018.06.27-03.46.40
  * [941bd86] TT#4166 I18N dump: snapshot 2018.06.30-03.57.53
  * [5b91831] TT#4166 I18N dump: snapshot 2018.07.11-04.02.50

  [ Guillem Jover ]
  * [bcab88a] TT#39401 Use List::Util in perl core instead of List::MoreUtils

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Jul 2018 13:37:33 +0200

ngcp-panel (6.4.0.0+0~mr6.4.0.0) unstable; urgency=medium

  [ Irina Peshinskaya ]
  * [f103d31] TT#35058 Apply write access checking for subscriberadin on subscribers API
  * [13cc8b6] TT#35057 Enable fax sending to subscriber and subscriberadmin roles
  * [8d59e70] TT#34752 Add calqueues collection to standard test scripts
  * [bf2e05e] TT#34567 Consider already destroyed Collection in FakeData destructor
  * [7eb649b] TT#34567 Add phonebook testing script
  * [5c2dab3] TT#34567 Fix incorrect DBIC find using
  * [5adf181] TT#34567 Use getter for the API controller config
  * [05c2708] TT#34567 Apply mandatory parameters to hal links
  * [8eec82f] TT#34567 Use already created hal links for embedded and Location
  * [e1e2613] TT#34567 Remove log4perl dependency from Test::Collection
  * [58fabf4] TT#35702 Fix broken cert files for test_machine from fake_data
  * [5778646] TT#35714 Fix calllists mandatory parameters
  * [98f4f7b] TT#35702 Fixed deprecated Catalyst::Plugin::Session config option "session"
  * [0e0e1ec] TT#35702 Fix faxes tests
  * [8874ad3] TT#35425 Remove svg-editor php files
  * [9ea0a79] TT#35425 Change .php extension to neutral .t in sandbox
  * [22e5472] TT#35702 Fix phonebooks tests
  * [ce3fde0] TT#35607 Consider no_count query parameter and infinite next link
  * [174bfc9] TT#35516 Apply simplest filter logic for subscribersregistrations
  * [1d9907a] TT#35429 Allow both 0/1 an true/false as boolean input in /api/admins
  * [6d69eeb] TT#35538 Prepare API to faxes changes
  * [a3382a9] TT#35538 Faxes allow application/json and multipart/form-data
  * [ea76e0e] TT#35607 Fix tests. Consider possible empty last page
  * [295135d] TT#35607 Remove NGCP::Panel dependency from tests
  * [17d36cc] TT#35429 Fix using boolean json strings in /api/admins
  * [c38021d] TT#35429 Test admins /api/ with boolean values
  * [681d5e9] TT#36055 Introduce container_resource parameter for preferences
  * [9b10bc5] TT#36055 Remove common code from preferences
  * [0cea7ca] TT#36055 Fix code 500 on unauthorized provisioning
  * [1fb0e8a] TT#36055 Add field device preferences web UI
  * [3552d78] TT#36055 Provide custom preferences to device config
  * [17a7887] TT#36402 Add field device preferences API
  * [bfb760c] TT#36402 Fix preferencesmetaentries enum processing
  * [d031596] TT#36056 Clear close_target after inbound rules prioritisation
  * [5021763] TT#36057 Workaround rsvg-convert multiple scaling using gs
  * [f7f2f4d] TT#36404 Escape brackets to satisfy Locale::Maketext and fix tests

  [ Rene Krenn ]
  * [fefcaef] TT#34751 TT#34752 /api/callqueues
  * [64a96be] TT#35261 fix callroutingverify allowed_cli wildcards
  * [20264df] TT#34256 disable subscriberregistrations.t put2get
  * [297e0ad] TT#28157 billing mappings scanline PoC
  * [c7d14e5] TT#35803 add fee's billing_profile_id for apidoc
  * [b35b0e1] TT#35662 move product_id to billing.contracts
  * [17082b3] TT#33369 remove check for LI number in 3306 db (again)
  * [db0adbd] TT#36660 SQL proc for new billing_mappings schema

  [ Andreas Granig ]
  * [bfdf68e] TT#35523 Persist sessions in redis
  * [99c856f] TT#16922 Check MAC in SSL DN while autoprov
  * [54a5627] TT#36224 Fix showing loc entries when ignore realm

  [ Kirill Solomko ]
  * [f976fe0] TT#35714 use collection_nav_links in all API controllers
  * [c93392e] TT#35714 fix collection_nav_links object name
  * [794b178] TT#35426 get_fax(): fix fax data print into a closed filehandle
  * [db1d5ef] TT#35508 Improve SMS journaling, add SMS 'cli' field
  * [091dee6] TT#35507 use domain sms_peer preference for SMS outbound routing
  * [3cd93a7] TT#35507 fix send_sms() smsc checks
  * [92cc608] TT#36061 CallRouting: fix peer selection

  [ Sipwise Jenkins Builder ]
  * [6634af9] TT#4166 I18N dump: snapshot 2018.04.24-03.44.14
  * [135404a] TT#4166 I18N dump: snapshot 2018.05.09-03.53.44
  * [a122f65] TT#4166 I18N dump: snapshot 2018.05.18-03.56.51

  [ Alexander Lutay ]
  * [779fae3] TT#35507 Fix 091dee6: typo fix in InternalSms.pm
  * [58a48a6] TT#35502 Replace Requires= with Wants= for ngcp-panel.service
  * [79ae3c0] TT#29620 Clean TAP test warning: Module does not end with '1;'
  * [bcbd490] TT#29620 Switch lib/NGCP/Panel/Utils/CSVSeparator.pm from Windows \r\n to Unix \n
  * [cdbc019] TT#29620 Clean TAP test warning: Missing AUTHOR/DESCRIPTION/LICENSE section in POD
  * [a9b94c4] TT#29620 Switch Perl code from  Windows \r\n to Unix \n
  * [7b470ab] TT#29620 Clean TAP test warning: Module does not end with '1;' in lib/NGCP/Panel/Field/URI.pm
  * [ad059c3] TT#29620 Clean TAP test warning: ProhibitCommaSeparatedStatements = Comma used to separate statements
  * [8cba6b5] TT#29620 Clean TAP test warning: RequireInitializationForLocalVars = local variable not initialized
  * [ab47a1f] TT#29620 Clean TAP test warning: $ on variables in (( )) is unnecessary [SC2004]
  * [dbd3007] TT#29620 Clean TAP test warning: Double quote to prevent globbing and word splitting [SC2086]
  * [d392de4] TT#29620 Clean TAP test warning: For loops over find output are fragile. Use find -exec or a while read loop [SC2044]
  * [63d6adb] TT#29620 Clean shellcheck TAP test warning: SC2046 and SC2006
  * [de34aaa] TT#29620 Update script/extract_i18n.sh to modern Sipwise shell policy
  * [5626bfc] TT#29620 Clean TAP test warning: ProhibitMutatingListFunctions = Don't modify  in list functions
  * [b1e004b] TT#29620 Update ngcp-api.inc to follow Sipwise shell style
  * [e0a6c87] TT#29620 Clean TAP test warning: CREDS appears unused [SC2034]
  * [2bb814d] TT#29620 Clean TAP test warning: ProhibitMixedBooleanOperators

  [ Jozef Kenyeres ]
  * [3357d33] TT#36154 Added AMR-WB codec to codecs_list preference

  [ Guillem Jover ]
  * [b880951] TT#26264 Remove obsolete rc.d symlinks

  [ Gerhard Jungwirth ]
  * [001474f] TT#34800 inflate/deflate DateTime for timestamps
  * [2b89431] TT#36404 restructure form-translation

  [ Andrew Pogrebennyk ]
  * [40502cd] TT#36224 Show loc entries in /api/subscriberregistrations when ignore realm

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 29 May 2018 10:07:20 +0200

ngcp-panel (6.3.0.0+0~mr6.3.0.0) unstable; urgency=medium

  [ Gerhard Jungwirth ]
  * [38fb686] TT#31502 collapse swagger-ui tags per default
  * [00633d1] TT#30376 filter interception numbers from log
  * [985d433] TT#29909 fix perlcritic RequireUseStrict
  * [4a37138] TT#29909 fix missing warnings on tests
  * [56b6067] TT#30375 make IP address optional for peering servers
  * [9fd0260] TT#29909 fix remaining "use warnings" perlcritic errors
  * [196ddd7] TT#31504 restructure OpenAPI tags
  * [c9e0723] TT#32600 block grep, block map percritic fixes
  * [398edbd] TT#32990 validate if hostname or ip is set for peers
  * [6e93a25] TT#32600 fix accidental debug statement data printer
  * [38aa85d] TT#32986 remove remaining parts of kibana
  * [20d6c7b] TT#33107 Revert "TT#32990 validate if hostname or ip is set for peers"
  * [b5f0192] TT#33107 Revert "TT#30375 make IP address optional for peering servers"

  [ Irina Peshinskaya ]
  * [fa7705d] TT#28460 Fix emergencymappings upload
  * [a26351c] TT#31195 Use field specific validation to keep form validation
  * [84c1bac] TT#28462 Rewrite admins API to Entities
  * [7d45180] TT#28462 Rewrite PbxDeviceImages API to Entities
  * [3db78ad] TT#28508 Fix tests
  * [e1c660e] TT#28460 Introduce log_request config param
  * [b9f593b] TT#28460 Entities classes use more unified config
  * [b14f34f] TT#28460 Change parents in API controllers
  * [a113cbf] TT#28460 Remove copy-pasted sub auto
  * [05774c2] TT#28460 Remove copy-pasted sub OPTIONS
  * [2498c88] TT#28460 Remove copy-pasted sub HEAD and sub end
  * [6dbb3b2] TT#28460 Introduce return_representation in item packages
  * [92e6215] TT#28460 Remove gather_default_action_roles
  * [1e2f069] TT#28460 Adapt PreferenceDefs APIs to new parent
  * [d527ebd] TT#28460 Configs - replace Journalized items
  * [9fa2a19] TT#28460 Replace configs - not journalized
  * [bad54e0] TT#28460 Configs - adapt balanceinterfals item
  * [d28b6b6] TT#28460 Adapt already customized configs
  * [75d6edb] TT#28460 Format: add line between subs in API controllers
  * [0d4d8cd] TT#28460 Format: Remove excrescent empty lines
  * [bfee03f] TT#28460 Format: parentheses
  * [75d0a61] TT#28460 Separate resource_from_item for CustomerBalances
  * [08724a6] TT#32108 Fix "around" method parameters
  * [09eba50] TT#32203 Fix voicemailgreetings filters
  * [2f76c1b] TT#32011 Fix connect to Panasonic RPS
  * [2b8ae95] TT#28460 Remove unused libraries
  * [232a847] TT#28460 Fix CCMapEntries get-put use case
  * [058ff76] TT#21818 Check password validation in API
  * [e816bec] TT#21818 Disable checking password validation configuration
  * [60bb147] TT#26800 Adapt API to generate "fake" sms on demand
  * [ef943eb] TT#15059 Add mos avg data to call info representation
  * [14496cc] TT#14501 Allow any value for the Prefer header
  * [5330d1a] TT#32910 Consider possible null initial_cash_balance
  * [1877770] TT#33391 Adapt process_cdr_item to special conversation cdr item
  * [fea5aa7] TT#33399 Make owner a mandatory parameter for the conversations API
  * [ab10122] TT#33851 Allow to use specific creation method in tests
  * [469d481] TT#32913 Remove excrescent code from /api/numbers
  * [bb655be] TT#32913 Synchronize access to voip_numbers
  * [8f0ad5a] TT#33851 Consider default data for cycled items in get_existing_id
  * [84447ae] TT#15059 Use has_column instead of has_column_loaded
  * [06f167b] TT#33354 Show device image buttons only if exists
  * [cb1a3a4] TT#34021 Allow PUT and PATCH to subscriberadmin on subscribers
  * [2252eff] TT#34014 Add phonebooks entries to the phones directories xml
  * [60e209c] TT#34015 Introduce /api/phonebookentries
  * [ad97488] TT#34454 Show billing voip_subscriber.id instead of provisioning
  * [fd6fe07] TT#34021 Rename acl to privileges
  * [ca8f0c2] TT#34565 Consider empty privileges for the subscriberadmin
  * [8505eb2] TT#34565 Consider existent but undefined privileges
  * [25c8365] TT#34566 Fix api-all-links and api-root test scripts for phonebookentries
  * [a4cbfa3] TT#34566 Fix /api/ call response code
  * [3308321] TT#34015 Clear and stable implementation of early input check
  * [4c53ac4] TT#34564 Add csv download and upload to PhonebookEntries API

  [ Alexander Lutay ]
  * [79d60ad] TT#31815 Remove libnumber-phone-perl from ngcp-panel dependencies
  * [4bcd90c] TT#32971 Disable REST API test subscriberregistrations as it is unstable now
  * [ad523d4] TT#33276 Remove sysv init scripts dependency on sshd
  * [1fa17d7] TT#33911 Perform 'wrap-and-sort -sat'
  * [a824c6a] TT#34017 Do not remove /var/run/fastcgi/ on systemd service stop
  * [2d002f5] TT#33911 Run 'wrap-and-sort -sat'

  [ Rene Krenn ]
  * [feee8da] TT#31179 fix PATCH subscriberpreferences /lock
  * [528faeb] Revert "TT#31179 fix PATCH subscriberpreferences /lock"
  * [ae937a1] TT#32996 correct "POSIX" re labels to "PCRE"
  * [c81ca69] TT#32910 TT#33037 initial cash_balance, free_time_balance
  * [f54c69e] TT#34022 write READY=1 to notify socket
  * [fd0265d] TT#27469 fix callrouting verification form dependency in Verify.pm
  * [cee3348] TT#34013 save contract_balances in the contract's tz
  * [b57c845] TT#34013 new profile package "tz" interval start modes for api
  * [778c484] TT#34013 altered timezone to get into effect in balances by re-saving contract

  [ Sipwise Jenkins Builder ]
  * [e590e8a] TT#4166 I18N dump: snapshot 2018.02.15-03.36.05
  * [4feebe3] TT#4166 I18N dump: snapshot 2018.02.20-03.35.02
  * [1385e29] TT#4166 I18N dump: snapshot 2018.02.22-11.42.22
  * [9b764c4] TT#4166 I18N dump: snapshot 2018.02.23-03.42.52
  * [d30caf3] TT#4166 I18N dump: snapshot 2018.02.27-03.48.43
  * [0093c33] TT#4166 I18N dump: snapshot 2018.03.16-03.51.50
  * [b87f143] TT#4166 I18N dump: snapshot 2018.03.23-03.17.00

  [ Roman Romanchenko ]
  * [3c6a7ff] TT#29350 call flow advanced diagram builder

  [ Andreas Granig ]
  * [3a1d30b] TT#32972 Fetch location data from redis
  * [5e76543] TT#32972 Fix non-numeric item id for subscriberreg
  * [9b9a2dd] TT#21050 Add length check to E164 number
  * [272e658] TT#21050 Tighten POST checks

  [ Kirill Solomko ]
  * [ad04649] TT#26652 addditional subscriberregistrations error checks
  * [d045b35] TT#33356 Rewrite rule validation checks for ambiguous non-char escapes
  * [da4bc4e] TT#33871 use a correct rs call in mailtofaxsettings
  * [4dbd1e2] TT#34014 TT#34016 Introduce phonebook entries

  [ Guillem Jover ]
  * [ca86809] TT#26264 Add a systemd service file

  [ Manuel Montecelo ]
  * [e001a97] TT#34302 Remove /etc/{default,init.d}/ngcp-panel
  * [f2275b5] TT#34302 Create /tmp/ngcp with tmpfiles.d, remove .preinst

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 03 Apr 2018 22:30:22 +0200

ngcp-panel (6.2.0.0+0~mr6.2.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [e28e310] TT#26652 fix subscriberregistration API internal rs query
  * [0778de8] TT#28903 /api/voicemailrecordings add mp3 and ogg support
  * [c31f015] TT#29350 get_json() respect column_method dbix accessor
  * [dbb6207] TT#23771 fix /api/subscriberregistration logic
  * [53532fd] TT#30500 Fix /api/subscriberregistrations POST method
  * [db5c147] TT#30650 fix DbString $c declaration
  * [bdc54a0] TT#30653 apply_rewrite() strict checks for $subscriber variable type
  * [ff63655] TT#30500 subscriberregistrations adjust check_get2put()
  * [bead4cb] TT#30500 subscriberregitrations: increase flush timeout

  [ Rene Krenn ]
  * [753165c] TT#27469 fix callrouting verification form dependency
  * [012686a] TT#28472 thread-safe cert-auth for tests
  * [2e24d79] TT#28472 set api-balanceintervals.t to non-local mode again
  * [c42965d] TT#28472 explicitly set allow_nonref for testcase w. JSON::PP
  * [9fad59d] TT#28472 disable the parallel catchup for now
  * [bf9b844] TT#28472 cert file per Collection.pm instance
  * [deb837c] TT#28472 revert cert file per collection.pm instance
  * [969ab40] TT#29200 fix redundant form field label
  * [0f3c660] TT#29904 allow /api/numbers undef ac-cc-sn-is_primary
  * [a4d9180] TT#29904 remove /api/numbers readonly field checks
  * [aad8bc8] TT#29754 debug infos free* ratio caclulation
  * [fc57ea6] TT#30379 billing profile currency for call conversations

  [ Gerhard Jungwirth ]
  * [248e5c8] TT#27154 make timezone ajax accessible to subadmin
  * [0a8c92f] TT#28827 fix profile_id documentation for PbxDevices
  * [c7021aa] TT#28827 implement initial OpenAPI documentation
  * [df9438b] TT#28827 fix OpenAPI documentation add schema
  * [d369021] TT#29617 automatically generate form exceptions for validation
  * [b0c3b25] TT#28828 openapi PUT, PATCH, DELETE
  * [edbef3c] TT#29617 remove unnecessary form exceptions
  * [24de423] TT#30507 remove DataHal workaround layer
  * [ab70e4e] TT#30650 fix some syntax errors
  * [c0c7c0c] TT#30650 remove unused TTEmailer stub
  * [30e66ad] TT#28829 swagger UI
  * [e4253f5] TT#30374 fix BillingProfile create button

  [ Irina Peshinskaya ]
  * [3385216] TT#27766 Allow subscriber and subscriberadmin access to faxrecordings
  * [632406b] TT#28510 Fix customer_id field for the subscriber role in the Subscribers API
  * [3becbeb] TT#28453 Fix roles for config_allowed_roles inheritance entities
  * [6cc6f21] TT#28510 Fix tests masked by empty total_count for preferences
  * [61bf07b] TT#28510 Remove "domain" from resource for subscriberadmin
  * [c2263e6] TT#30500 Adapt tests to the item recreation on update
  * [a5d3358] TT#28508 Fix own_transaction_control usage
  * [f04e08a] TT#28460 Fix OPTIONS for  the item/item request of the balanceintervals
  * [6950268] TT#28460 Fix UpnRewriteSets API
  * [357c8c5] TT#28460 Fix PbxDeviceProfiles PUT
  * [a72f212] TT#28460 Fix customer balances get-put use case
  * [4f25a4d] TT#28460 Fix RTC networks and RTC apps get-put use case
  * [75404b3] TT#28604 Fix voicemail conversation presentation

  [ Alexander Lutay ]
  * [148b119] TT#28472 Revert changed for t/lib/Test/Collection.pm committed in 012686ab0

  [ Roman Romanchenko ]
  * [b418bd3] TT#29350 call flow advanced diagram builder
  * [592a23a] Revert "TT#29350 call flow advanced diagram builder"
  * [d8d1ea8] TT#29350 call flow advanced diagram builder

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 29 Jan 2018 21:55:16 +0100

ngcp-panel (6.1.0.0+0~mr6.1.0.0) unstable; urgency=medium

  [ Sipwise Jenkins Builder ]
  * [25e0967] TT#4166 I18N dump: snapshot 2017.10.03-03.17.32
  * [9a85c9a] TT#4166 I18N dump: snapshot 2017.10.11-03.25.37
  * [468589b] TT#4166 I18N dump: snapshot 2017.10.18-03.17.25
  * [308165d] TT#4166 I18N dump: snapshot 2017.10.20-03.11.27
  * [b55cd64] TT#4166 I18N dump: snapshot 2017.10.25-03.14.10
  * [06e9840] TT#4166 I18N dump: snapshot 2017.11.04-03.05.37

  [ Andreas Granig ]
  * [0d3bf6b] TT#22827 Implement form factory
  * [cf3f2fb] TT#23004 Undo dev environment
  * [373dd4c] TT#21818 Check passwords against libcrack and user
  * [19cd47a] TT#20097 Fix 404 for /grafana
  * [82d7610] TT#23398 Sort sound handles and pbx devs
  * [88b0d9d] TT#22827 Fix setting ctx in form factory
  * [e11ebef] TT#8704 Tighten peer name to not break kamailio
  * [eb09639] TT#23569 Fix interception ACLs
  * [ffdd32d] TT#23659 Improved customer/subscriber batch creation
  * [97e0b2b] TT#23755 Add administrative access link to grafana.

  [ Gerhard Jungwirth ]
  * [933e0fc] TT#22420 properly reload trusted sources via xmlrpc
  * [68fb888] TT#22422 make rtc errors fail on reseller changes
  * [4777aa5] TT#22420 fix kamailio xmlrpc return code
  * [6c1ff23] TT#22505 api test fix for FakeData
  * [cbf8fd6] TT#21112 remove Moose from some modules
  * [41372cf] TT#22005 add tracemem script for memory profiling
  * [acade2e] TT#23280 proper domain reload xmlrpc
  * [a3a903f] TT#23774 remove old config-override method in Model
  * [a7cadd4] TT#23775 test DBIx::Class with a small sample Schema
  * [b14680e] TT#24509 fix applying rewrite rule for subscriber cfs
  * [8783787] TT#23853 make api doc json output deterministic
  * [af721a4] TT#14450 hide username field on edit
  * [58b9e82] TT#25313 make pbx_hunt_ fields available to sub
  * [1f7be85] TT#20866 remove dead code (Forms)
  * [993d945] TT#26454 fix form creation for advanced callforwards

  [ Irina Peshinskaya ]
  * [fb85d94] TT#22505 Fix subscribers tests
  * [4dc630c] TT#22505 TT#21271 Fix subscribers API so get2put works
  * [542de9b] TT#23426 API: Format properly rewriterules in rewriterulesets output
  * [f1c27f1] TT#23278 Make reseller_id mandatory field for the rewriterulesets
  * [d67c2c0] TT#22494 Fix return_representation
  * [34bc2d5] TT#21348 Add Item class for the conversations API
  * [47cdb5e] TT#21348 Skip GET call in test for the convesations
  * [355c060] TT#21112 Fix super call for the Moo
  * [7709f54] TT#23955 Consider form_exceptions in the Entities GET
  * [46c02ed] TT#23876 Format sms time as timestamp in conversations
  * [09d5589] TT#24061 Fix broken conversations filter
  * [d7c6689] TT#22496 TT#22495 Disable "sipwise" admin edit and delete
  * [77ae84e] TT#23282 Replace customer field with customer_id for the API subscribers form
  * [e37d06e] TT#23833 Allow subscriber  access to the conversations API
  * [ffcd18c] TT#24093 Add direction field to the fax item
  * [6cb867e] TT#24122 Add filename to the voicemail conversations
  * [f15effb] TT#24122 Fix voicemail filename field
  * [891f378] TT#24009 Add cost fields to cdr item
  * [5475944] TT#26101 Add recordings hal links to the conversations
  * [7e6b950] TT#24123 Add call_id to the fax and voicemail items
  * [b08b742] TT#24128 Fixes found during testing

  [ Rene Krenn ]
  * [57c6cf5] TT#21871 add "ratio" field to /api/customerbalances
  * [d64158c] TT#22505 TT#21271 api/subscriber put2get related fixes
  * [4434266] TT#22505 safe handling of "" lock level pref values
  * [ab869fa] TT#23275 TT#21348 hash2obj util method
  * [5be3cc8] TT#22505 disable balanceintervals.t
  * [e52dadd] TT#23277 change lnp number type from enum to string
  * [88c8b81] TT#24850 fix POST /api/invoices

  [ Alexander Lutay ]
  * [6fdadac] Revert "TT#22351 Disable API tests which are currently broken with stretch Perl (still broken)"
  * [8755043] TT#21056 Decrease length of 'Maintenance mode' warning on ngcp-panel WEB interface

  [ Kirill Solomko ]
  * [d419c49] TT#22550 disable sound files transcoding
  * [e10cc89] TT#22550 set codec to WAV in the API sound file update
  * [171a0fa] Revert "TT#22550 set codec to WAV in the API sound file update"
  * [21975ad] Revert "TT#22550 disable sound files transcoding"
  * [5f29592] TT#23772 remove PCMA transcoding for music_on_hold sound files
  * [b0ab231] TT#16675 fix duplicate rows for Calllist representations

  [ Guillem Jover ]
  * [f053077] TT#22072 Update packaging
  * [f5acbd8] TT#24117 Redirect stderr also to /dev/null when starting the panel

  [ Manuel Montecelo ]
  * [e4960b4] TT#25551 Improve the way to detect installed packages

  [ Yaroslav Fedorina ]
  * [d3d1e9e] TT#26107 Clarify external_id field description

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 06 Dec 2017 00:09:50 +0100

ngcp-panel (6.0.0.0+0~mr6.0.0.0) unstable; urgency=medium

  [ Alexander Lutay ]
  * [26c96e9] TT#19300 Fix ngcp-panel start race condition on server boot
  * [bec681a] TT#18850 Fix dee760a: add test 'managersecretary' to api-root.t
  * [9c4c342] TT#10837 Fix f508bf8: bump Dockerfile to install libfile-grep-perl into Docker container (new API test dependency)
  * [66617f3] TT#21905 Switch ngcp-panel REST API Docker to Debian stretch
  * [ca76144] TT#22351 Disable API tests which are currently broken with stretch Perl
  * [5988b51] TT#22351 Fix ca76144c4a: API test trustedsources is also failing in stretch Docker image
  * [a0b9e64] TT#22410 Fix typo in Dockerfile 'Instructions for usage'
  * [324662c] Revert "TT#22351 Fix ca76144c4a: API test trustedsources is also failing in stretch Docker image"
  * [b432517] Revert "TT#22351 Disable API tests which are currently broken with stretch Perl"
  * [50c231b] TT#22351 Disable API tests which are currently broken with stretch Perl (still broken)

  [ Kirill Solomko ]
  * [ad5f1b2] TT#19459 add whitelist/blacklist mode to cf source sets
  * [3c6dba6] TT#19459 check for undefined CF sourceset mode
  * [8cd3572] TT#19855 fix numeric preference value cast to int
  * [dee760a] TT#18850 add Manager Secretary feature, API Prefer='internal'
  * [476904f] TT#20690 Fix rtc user create/update/terminate for Resellers
  * [792c2bc] TT#20095 improve sms billing handling and journaling

  [ Sipwise Jenkins Builder ]
  * [32b9503] TT#4166 I18N dump: snapshot 2017.08.02-03.05.05
  * [d41bca6] TT#4166 I18N dump: snapshot 2017.08.04-03.09.03
  * [03f0ea5] TT#4166 I18N dump: snapshot 2017.08.14-16.27.08
  * [eb6b5ea] TT#4166 I18N dump: snapshot 2017.08.19-03.05.21
  * [c0845b9] TT#4166 I18N dump: snapshot 2017.08.23-03.07.21
  * [613358c] TT#4166 I18N dump: snapshot 2017.08.24-03.06.26
  * [52a838e] TT#4166 I18N dump: snapshot 2017.08.26-03.02.26
  * [fc5a9e1] TT#4166 I18N dump: snapshot 2017.09.05-03.05.43
  * [b040f4f] TT#4166 I18N dump: snapshot 2017.09.07-03.06.57
  * [288894c] TT#4166 I18N dump: snapshot 2017.09.15-19.00.24
  * [7482153] TT#4166 I18N dump: snapshot 2017.09.27-03.12.32
  * [b3d28df] TT#4166 I18N dump: snapshot 2017.09.30-03.11.54

  [ Irina Peshinskaya ]
  * [3900342] TT#14285 Consider form lock level value
  * [f508bf8] TT#10837 Test all collections in one script - POST
  * [10b25b2] TT#10837 Cleanup unused code and libraries references
  * [07b9f8d] TT#10837 Make allowed_roles array reference
  * [5ef25af] TT#17848 Separate invoice creation method
  * [24f550a] TT#17848 Invoice API POST request
  * [3968957] TT#19769 Replace old statistics link to Grafana system-statistic link
  * [90340ca] TT#20233 Consider empty display_name to update preferences
  * [c0940df] TT#17638 Rewrite Rule API to set priority
  * [5f29fe2] TT#17638 Take rule data from validated form values
  * [1c4b828] TT#19656 Add lock level fields to the subscriber forms with status
  * [da60b8c] TT#7515 Clean up good original polycom template
  * [ce315a8] TT#21819 Add provisioning fields to the API response resource
  * [2031ea2] TT#21819 Allow to adjust resource before form validation
  * [38ef5da] TT#21819 Allow to adjust resource before form validation.

  [ Rene Krenn ]
  * [155763a] TT#19760 customer.t diags
  * [0c573e4] TT#19760 customer.t diags fix
  * [fc70bcd] TT#19855 align writing the 'lock' pref value
  * [38cc002] TT#19855 prevent empty string 'lock' pref values strictly
  * [8e1624a] TT#19855 prevent whitespace 'lock' pref values strictly
  * [ad3562c] TT#14295 timezone field for /api/subscribers
  * [0fe1a28] TT#20514 fix regexp in .t's for new secretarymanager rail
  * [bf779bf] TT#10964 "prepaid" query param for /api/customerbalances
  * [a0b757a] TT#12311 make DateTime add() skip leap seconds
  * [94c9b92] TT#20322 TT#20344 basic /api/conversations
  * [ea1b26f] TT#20322 preliminary fix for failing conversations tests
  * [02a161b] TT#21106 properly terminate reseller contract
  * [a485302] TT#22468 TT#22467 lnp numbers 'type' field

  [ Andreas Granig ]
  * [52ac0a8] TT#20696 Fix contract_id validation in reseller
  * [f9030b4] TT#4333 subscribers/customers/numbers/CF ACL
  * [dc0bd38] TT#4333 Fix CF issues for subscribers
  * [a52558b] TT#22422 Implement capabilities endpoint

  [ Gerhard Jungwirth ]
  * [a672389] TT#17853 selenium test adaptions for geckodriver
  * [b47cf5f] TT#17853 TT#21767 make new selenium library visible to jenkins

  [ Michael Prokop ]
  * [2b9b5f8] TT#17853 selenium tests: update to geckodriver v0.18.0
  * [1cd3fb4] TT#17853 TT#21767 Use git version of Selenium::Remote::Driver
  * [12234e5] TT#22411 Fix spelling mistakes/typos

  [ Guillem Jover ]
  * [4964912] TT#18115 Call start-stop-daemon correctly

  [ Richard Fuchs ]
  * [0956362] TT#18838 Implement max subscribers limit via license client
  * [c6db685] TT#21878 disable autodie for 'open' to check for missing license

  [ Andrii Pogrebennyk ]
  * [2bcac80] Revert "TT#21819 Allow to adjust resource before form validation"

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 02 Oct 2017 23:41:53 +0200

ngcp-panel (5.5.0.0+0~mr5.5.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [9f5f4a6] TT#16450 Demote libngcp-rating-inew-perl to a Recommends
  * [5c3f1eb] TT#2399 Add a dependency on grafana

  [ Andreas Granig ]
  * [8c80ba6] TT#2399 Switch from RRD page to grafana
  * [3ac41ba] TT#12264 Use outbound socket on peer registration
  * [168f6d5] TT#2399 Link to grafana db dashboard
  * [abe78df] TT#18754 Implement json response for api-root
  * [be32192] TT#18754 Fix jsonifying of query params in api-root

  [ Sipwise Jenkins Builder ]
  * [0884da1] TT#4166 I18N dump: snapshot 2017.05.27-03.14.58
  * [7f81877] TT#4166 I18N dump: snapshot 2017.06.01-02.53.56
  * [ecf16f4] TT#4166 I18N dump: snapshot 2017.06.14-03.04.46
  * [587d20e] TT#4166 I18N dump: snapshot 2017.06.21-02.58.07
  * [41bb993] TT#4166 I18N dump: snapshot 2017.06.24-02.53.53
  * [7e09bfc] TT#4166 I18N dump: snapshot 2017.07.07-02.08.04

  [ Richard Fuchs ]
  * [3ea205a] TT#14570 don't cancel rating sessions that were not established
  * [863a125] TT#14570 supply SMS session cancel reason (no credit)

  [ Gerhard Jungwirth ]
  * [f1e8892] TT#11548 disallow non-pbx customers to create customer soundsets
  * [4ab72cb] TT#13784 add peering rules stopper flag
  * [00f8334] MT#16806 show maintenance mode banner
  * [106f65b] TT#17258 add active flag to reminders
  * [ba3548d] TT#16003 implement JWT auth
  * [12c323f] TT#16003 document api jwt login

  [ Alexander Lutay ]
  * [39e4469] TT#16910 Remove unnecessary debian/missing-sources/stanzaio_v7.3.4.tar.gz
  * [a09f683] TT#17761 Add ghostscript as dependency to ngcp-panel for invoice generation
  * [cccc6a9] TT#17032 prove STDERR output is not a part of Jenkins's result XML

  [ Andrew Pogrebennyk ]
  * [258edb9] TT#16909 fix sound cache reload when loading default files

  [ Irina Peshinskaya ]
  * [337e027] TT#17068 Fix phone symbol # in the generated invoice
  * [fd79802] TT#17068 Move # processing to TT
  * [a16cdad] TT#7515 Fix directory template format for the polycom

  [ Rene Krenn ]
  * [da6390d] TT#5557 timeline views for billing mappings
  * [dbb551b] TT#18306 exclude panel callist clir from search
  * [d6632b5] TT#14755 call list suppressions
  * [f0d1350] TT#18308 more detailed POST /api/faxes debug msgs
  * [f4ee3b2] TT#14755 safe filter param sorting
  * [34d8404] TT#14755 filter param sorting safe against malformed params

  [ Victor Seva ]
  * [8994522] TT#17502 docker: fix relative path from new context
  * [eec8dd3] TT#17642 docker: follow policy to include NGCP repository

  [ Michael Prokop ]
  * [2b021ef] TT#17853 Fix selenium related toolchain, replacing selenium with geckodriver
  * [67f2e54] TT#17853 Use Selenium::Remote::Driver with further patches to address bugs/incompatibilities

  [ raxelsen ]
  * [c959c26] TT#18501 Fix ngcp-panel typo in timeset dialogue

  [ Sergii Kipot ]
  * [05d3447] TT#18501 Fix c959c260: Remove duplicate message definition

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 17 Jul 2017 22:45:26 +0200

ngcp-panel (5.4.0.0+0~mr5.4.0.0) unstable; urgency=medium

  [ Irina Peshinskaya ]
  * [59e1606] TT#13267 Use provisioining_voip_subscribers ids to delete pbx groups
  * [a1e75d5] TT#7453 Don't remove readonly fields from the GET resource (run = 0)
  * [a4a0d31] TT#9309 Use config for the DataHal forcearray
  * [5e8af90] TT#7515 Remove xml symbols from the generated sip passwords
  * [d43d51d] TT#7453 Add filters for dates and readonly date related fields to subscriber
  * [35bac73] TT#7453 Adapt tests to the date fields in the subscriber
  * [7198802] TT#9309 Adapt ngcp-panel tests to api forcearray
  * [c9799c6] TT#9309 More careful tests fix for the API embedded forcearray
  * [bec02b0] TT#14051 More debug for the failing tests. To abandon later.
  * [75e558f] Revert "TT#14051 More debug for the failing tests. To abandon later."
  * [760a576] TT#5004 Fix firmware data access
  * [35bad60] TT#12197 Use contacts connected to the resellers for the customers creation

  [ Andreas Granig ]
  * [03380de] TT#1678 Use plain connection for local wsdl
  * [ab9d640] TT#1678 Use returned interception id in soap test
  * [b3374b6] TT#10134 Fix emergency prio
  * [052e776] TT#7453 Fix fixing removal of r/o fields and tests
  * [9f16893] TT#13277 Implement panel interface for call rec
  * [11bf95f] TT#13788 Add link to customer details after create
  * [2c72f95] TT#13812 Discard latest/next firmware suffix
  * [80e69e5] TT#14334 Fix showing customer name
  * [d8c818c] TT#13277 Implement API for call recording
  * [7a16cf3] TT#8704 Implement peer probing in panel and API

  [ Rene Krenn ]
  * [0cd86ff] TT#5811 MT#15667 MT#15793 api/callist "call_id" param
  * [ae1ad38] TT#12998 fix api-events.t and edr first alias sorting
  * [e154c2e] TT#13788 fix added customer details links uri
  * [2ffedda] TT#13754 record primary aliases for edr
  * [72d9c10] TT#13973 fix http method override
  * [cdd054e] TT#13973 enable method-override test
  * [802593d] TT#14562 apply api-lnp.t docker's time domain to api test node
  * [ba018fe] TT#14562 move api-lnp.t to a fake time domain
  * [b803c1a] TT#11701 check existence of voip number in InterceptionDB
  * [dde6aca] TT#8162 add source/destination_user_out fields for /api/calls

  [ Gerhard Jungwirth ]
  * [dedea3b] TT#4335 api reminders via subscriber login
  * [785712c] TT#9438 correctly htmlescape apidoc properties
  * [0586bf0] TT#12751 fix readonly condition in template
  * [8f98cd1] TT#4335 callforwards and speeddials subscriber api
  * [1c80388] TT#4335 api subscriberpreferences for subscriber
  * [bb1b419] TT#4336 api pbxdevices for subscriberadmin
  * [03e1614] TT#14360 correctly treat replacement pattern \0
  * [2a34ce3] TT#4336 subadmin pbxdeviceprofiles and pbxdevicemodels

  [ Sipwise Jenkins Builder ]
  * [95cc4f2] TT#4166 I18N dump: snapshot 2017.03.28-08.08.35
  * [a8662f4] TT#4166 I18N dump: snapshot 2017.03.30-07.46.44
  * [a27a13d] TT#4166 I18N dump: snapshot 2017.03.31-07.54.20
  * [8f1e8f4] TT#4166 I18N dump: snapshot 2017.04.05-08.46.23
  * [6eeaa8e] TT#4166 I18N dump: snapshot 2017.04.11-09.11.09
  * [48116d5] TT#4166 I18N dump: snapshot 2017.04.19-09.05.16
  * [5ca08c3] TT#4166 I18N dump: snapshot 2017.04.22-09.51.21
  * [0cb6d80] TT#4166 I18N dump: snapshot 2017.04.27-09.54.23
  * [b8d9db1] TT#4166 I18N dump: snapshot 2017.04.28-09.14.08
  * [f9aec1c] TT#4166 I18N dump: snapshot 2017.05.10-02.52.39

  [ Guillem Jover ]
  * [bb1bdac] TT#5420 Update packaging
  * [42db06b] TT#5420 Depend on the now split libngcp-rating-inew-perl package
  * [6eac9e7] TT#14209 Spell :Private function attribute correctly
  * [f070476] TT#5420 Depend on the now split libngcp-rating-inew-perl package
  * [d54752a] TT#15450 Fix POD sections, markup and content

  [ Víctor Seva ]
  * [9379e91] Revert "TT#5420 Depend on the now split libngcp-rating-inew-perl package"

  [ Kirill Solomko ]
  * [afa5a60] TT#12659 better representation for anonymous calls. add "clir" field
  * [fc95931] TT#7332 add "Peering Overview"
  * [b831d2f] TT#14510 fix Peering Rules form "group" field processing
  * [24ffcb6] TT#7818 add CallLists own_cli parameter
  * [7db5632] TT#12661 FaxRecordings add fax retrieval from DB
  * [5b3bfba] TT#12593 add Fax preferences: t38, ecm
  * [0b5f7c4] TT#12593 add Faxserver T38 and ECM forms

  [ Alexander Lutay ]
  * [9f18b81] TT#13277 Add api-root.t API tests for call recording
  * [b3c1418] TT#16000 Ensure we run under 'set -e'

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 16 May 2017 21:39:57 +0200

ngcp-panel (5.3.0.0+0~mr5.3.0.0) unstable; urgency=medium

  [ Sipwise Jenkins Builder ]
  * [5687a42] TT#4166 I18N dump: snapshot 2017.02.04-08.25.09
  * [bf4f25b] TT#4166 I18N dump: snapshot 2017.02.07-08.21.34
  * [0bc2aaa] TT#4166 I18N dump: snapshot 2017.02.08-07.45.18
  * [1fa7492] TT#4166 I18N dump: snapshot 2017.02.16-08.48.44
  * [cd030f7] TT#4166 I18N dump: snapshot 2017.02.23-09.07.53
  * [f4bfa5e] TT#4166 I18N dump: snapshot 2017.03.20-12.16.59

  [ Andreas Granig ]
  * [e458985] TT#1678 Implement SOAP Intercept API as transition
  * [dd6f751] TT#10135 Fix displaying emergency mode indicator
  * [c02a56d] MT#15269 Test script for customer batch creation
  * [2eff3bf] TT#9702 Implement I-New SMS charging.
  * [8ca2536] TT#9702 Conditionally load inew charging module
  * [cfd3a12] TT#10830 Fix calculating multi-part sms chunking
  * [0424a46] TT#11443 Explicitly set utf-8 encoding for pcc req
  * [a22231a] TT#10151 Don't add trailing slash in 3pcc api url
  * [c9ca8ba] TT#12660 Also send latin1 as gsm encoding.
  * [8ad683d] TT#12601 Move admin pass to bcrypt and drop cert
  * [fdf32a8] TT#1678 Properly type SOAP responses using WSDL
  * [5918c16] TT#12601 API must implement bcrypt auth/migration
  * [b60b439] TT#13249 Implement API to create admin client cert
  * [d117dc3] TT#13301 Use cached API cert for API test speed-up
  * [77fb204] TT#13256 Validate length of preference values
  * [096749e] TT#13262 Fix wrong condition in field_to_destination
  * [98e4b64] TT#12662 Correctly calculate number of parts
  * [b4ce615] TT#13249 Fix api client ssl cert test

  [ Jozef Kenyeres ]
  * [9c91836] TT#9212 Grandstream redirection parameters included

  [ Gerhard Jungwirth ]
  * [41fe448] TT#9829 calllist call direction out if intra
  * [fcacadc] TT#4335 api subscriberpreferences for subadmin
  * [dec72bb] TT#4335 speeddials subscriberadmin API
  * [205bffc] TT#10402 prevent unban with readonly user
  * [9aef1f7] TT#10131 show passwords only when flag is set
  * [7a5c1eb] TT#4335 callforwards for subadmin API

  [ Irina Peshinskaya ]
  * [a73fc9d] TT#9212 Grandstream provisioning draft
  * [1497232] TT#9212 Fix redirect_params access
  * [d547234] TT#7932 Remove return by last from the pbxdevicefirmwares
  * [5a80eb6] TT#8950 Decorate readonly fields in the api doc
  * [a58878e] TT#8773 Remove readonly fields from resource in validate_fields
  * [9663c1c] TT#9520 Add test script for the SMS API
  * [41f3240] TT#9309 Introduce local version of the Data::HAL with default forcearray
  * [2073b9e] TT#9309 Introduce local version of the Data::HAL::Link
  * [d2cbe01] TT#9309 Switch off force array until other tools became ready

  [ Michael Prokop ]
  * [7227253] TT#11003 Depend on lsb-base for init script's lsb functions
  * [b38d114] TT#12251 Fix unescaped left brace in regex of InvoiceTemplate.pm

  [ Guillem Jover ]
  * [0415bed] TT#2399 Add grafana service config

  [ Rene Krenn ]
  * [22bd45d] TT#10963 cash_balance_interval not returned in euro
  * [5007fd5] TT#9850 remove interceptions when terminating a reseller
  * [351a0b8] MT#23817 TT#11431 call_id missing in api/calls response
  * [b7daef7] TT#11300 fix api/faxes number normalization for pbx cases

  [ Kirill Solomko ]
  * [1976535] TT#10151 PartyCallControl apply url placeholders
  * [a12fe6b] TT#1477 MaliciousCalls API fix param filter by caller/callee/callid
  * [d652a80] Revert "TT#1477 MaliciousCalls API fix param filter by caller/callee/callid"
  * [9e48eb7] TT#11477 MaliciousCalls API fix param filter by caller/callee/callid

  [ Victor Seva ]
  * [771e1f9] MT#22161 update Spanish translation
  * [6e915be] TT#12665 clean shellcheck warnings
  * [d3e2662] TT#12973 debian: set proper source format

  [ Alexander Lutay ]
  * [bc9a195] TT#13249 Fix b60b43: fix api-root.t add admincerts

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 Mar 2017 10:57:49 +0100

ngcp-panel (5.2.0.0+0~mr5.2.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [875f634] TT#5811 fractional CDR times/durations in panel UI/api
  * [5633770] TT#5559 api/events, event test with "missing end-events" cases
  * [9fc990b] TT#6638 fix hanging loading-icon on dashboard
  * [834de7a] TT#5559 end_ivr event for panel UI delete callforward btn
  * [01a9825] TT#5559 end_ivr event for panel UI delete destinationset btn
  * [64cf8d6] TT#7930 consider rewriterule formhandler inflate/defalte in api
  * [c498f66] TT#6735 TT#7030 TT#5850 record event subscriber numbers
  * [e32f4a0] TT#8773 remove the right duplicate voucher package field
  * [05eb8f6] TT#8878 end_ivr event upon terminating a susbcriber
  * [90f9b84] TT#8292 api/customerfraudpreferences
  * [61a87b9] TT#9714 susbcriber first non-prim alias for edr records
  * [7b64604] TT#6735 TT#5850 refactor "profile" events to track number changes

  [ Andreas Granig ]
  * [d984d92] TT#6638 Show emergency mode in Application Status
  * [776dd24] TT#2371 Implement SMS forwarding
  * [d6a6345] TT#6496 Implement SMS notifications for voicemail
  * [5ca51f9] TT#2371 Implement 3pcc for sms

  [ Gerhard Jungwirth ]
  * [6a23a76] TT#2370 add internal interface for incoming sms
  * [5f1ee26] TT#6831 decode utf-16 for incoming sms
  * [47d1ff2] TT#6831 handle sms legacy currency sign
  * [1a25aa3] TT#5812 fix calllist direction processing
  * [872eeff] TT#6831 fix sending sms check param
  * [5958d3d] TT#7179 emergency mode cli status report
  * [3fc22bd] TT#4334 adapt soundsets and autoattendants for subadmin
  * [893943d] TT#4334 adapt api documentation for subadmin
  * [e0efdd2] TT#4334 remove duplicate column package_id
  * [0b999d6] TT#4324 voicemail permissions for subadmin
  * [ab375e6] TT#4334 adapt soundfiles api to subadmin
  * [36732d3] TT#8657 fix xmlrpc trustedReload
  * [c37b0ed] TT#4324 voicemail permissions for subscriber
  * [d96f670] TT#9829 add unit tests for process_cdr_item

  [ Kirill Solomko ]
  * [fe2a531] TT#5004 rework pbx device firmware data download/upload
  * [2426f59] TT#5554 CallRouting: fix use caller_in/callee_in for the internal processing
  * [a1c273a] TT#5554 CallRouting: domain part for caller subscribers
  * [c956418] TT#7506 MaliciousCall add API filter options
  * [45af3c0] TT#7497 add /api/faxes filter by sid
  * [1bbad6a] TT#2651 add /partycallcontrols API
  * [3e2670d] TT#2651 use $token for /partycallcontrol type=pcc
  * [2cf06a4] TT#2651 fix $token for /partycallcontrol type=pcc
  * [a6462d2] TT#2651 fix call_id param name to callid for Utils/Sems/party_call_control
  * [3308b5f] TT#5826 introduce timezone representation
  * [a74c57d] TT#5826 add timezone field for Pbx subscriberadmin* edit forms

  [ Irina Peshinskaya ]
  * [daf92dc] TT#5954 Add Custom Hours option to CF
  * [9d13bf3] TT#5415 Fix typo
  * [9ddb64f] TT#6127 Add options into datatables pageSize select
  * [8c61449] TT#6127 Don't remove datatables values on localStorage cleaning
  * [69923f3] TT#2393  Fix typo in sset deletion
  * [574af77] TT#7029 Improvements for fakedata clearance
  * [f7be40f] TT#7029 Remove redefined methods, inserted by wrong merge
  * [264e42f] TT#7029 Clear test data more accurate in some collections
  * [56649aa] TT#6800 Add sandbox script to rename already existing profiles
  * [37a1996] TT#5954 Readonly SoundGroups interface
  * [c379dc9] TT#5954 Rename custom hours announcements
  * [37f6d0e] TT#5954 Add announcement field to the destinations
  * [27ef7ef] TT#5954 Unify cf_destination creation subroutine in web panel
  * [c31e254] TT#5953 Voicemail greetings
  * [2075174] TT#8272 Fix customer creation with invoices and email templates in API
  * [3dee9d7] TT#5004 Fix pbx devices firmware insertion
  * [a4e6c77] TT#8272 Collapse copy-pasted code a little
  * [a5fa8b0] MT#3947 Fix 500 on terminated subscribers for the voicemailsettings
  * [6268023] TT#8185 Add reseller_id to the domain for the reseller roles
  * [fcb03e4] TT#8185 Fix domain deletion for the reseller
  * [d31c66c] TT#7029 Make deletion quiet again
  * [99ee7da] TT#8272 Add necessary form_validation exceptions for the template fields
  * [63958c3] TT#7453 Add  readonly time fields to the customers api
  * [cf58d77] TT#5953 Fix directory format for the voicemail greetings
  * [3227ed8] TT#5953 More strict like patterns for the voicemail greetings selection
  * [fecb1b0] TT#8272 Add script to send emails to the new subscribers
  * [dbd63c2] TT#5953 Implement wav conversion to the GSM for the voicemail greetings
  * [dfa4a88] TT#7029 Make subscribers API tests more stable
  * [ae1a4f2] TT#8773 Remove readonly fields from resource in the API::validate_form to fix PATCH
  * [04ab1bf] TT#8773 Add partycallcontrols into api-root.t
  * [0ca87e5] TT#9100 Fix user_unban in the web panel
  * [5053939] TT#9212 Add grandstream provisioning dummy implementation
  * [f1971bf] TT#8680 Consider E164 empty fields

  [ Alexander Lutay ]
  * [b9296c2] TT#5559 Fix 563377: add REST API 'events' to api-root.t

  [ Sipwise Jenkins Builder ]
  * [1307955] TT#4166 I18N dump: snapshot 2016.11.25-07.14.41
  * [6ec21b4] TT#4166 I18N dump: snapshot 2016.11.30-07.21.09
  * [4a21b8f] TT#4166 I18N dump: snapshot 2016.12.03-07.34.34
  * [dc5cc95] TT#4166 I18N dump: snapshot 2016.12.21-08.30.17
  * [e01fd35] TT#4166 I18N dump: snapshot 2016.12.23-09.10.19
  * [3c029d1] TT#4166 I18N dump: snapshot 2017.01.05-08.38.01
  * [49c092a] TT#4166 I18N dump: snapshot 2017.01.12-08.28.36
  * [0a48d41] TT#4166 I18N dump: snapshot 2017.01.17-06.56.57
  * [4012257] TT#4166 I18N dump: snapshot 2017.01.19-07.42.54
  * [1af6f1f] TT#4166 I18N dump: snapshot 2017.01.27-10.23.17
  * [e9e42d2] TT#4166 I18N dump: snapshot 2017.01.30-08.08.31
  * [42b06ca] TT#4166 I18N dump: snapshot 2017.01.31-08.01.31
  * [74348b7] TT#4166 I18N dump: snapshot 2017.02.01-08.02.34

  [ Guillem Jover ]
  * [bba26ff] TT#8143 Move ngcp-panel insserv override into ngcp-panel init script

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 03 Feb 2017 00:38:07 +0100

ngcp-panel (5.1.0.0+0~mr5.1.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [e8557f0] TT#4638 domain level allowed_ips
  * [40247d8] MT#22982 faxes time_from/time_to filters
  * [979397c] MT#20639 TT#5411 contact termination
  * [f0b9d4d] TT#5411 fix contract status filter query param
  * [2dd0060] TT#5411 TT#6250 fix preferences contract.status vs contact.status clashes

  [ Gerhard Jungwirth ]
  * [ea210ba] MT#17173 small inconsistencies in Entities modules
  * [de239d6] TT#2369 API for sending SMS and journal
  * [3ade236] MT#17173 make default hal consider exceptions
  * [cc06544] TT#5479 improve sms journal api resource

  [ Irina Peshinskaya ]
  * [458dda3] TT#5204 Check that all htable.auth keys are defined
  * [34fe20e] TT#4902 Check API CA cert
  * [2bce1c9] TT#5415 Don't touch unchanged pbx groups for member to save members order

  [ Alexander Lutay ]
  * [cbbf48c] MT#22163 Fix a2a5a0c: msgmerge doesn't like duplicates in Italian translation

  [ Sipwise Jenkins Builder ]
  * [786d934] TT#4166 I18N dump: snapshot 2016.11.04-16.33.00
  * [5394009] TT#4166 I18N dump: snapshot 2016.11.08-06.44.01
  * [b5d766f] TT#4166 I18N dump: snapshot 2016.11.09-06.21.13
  * [ef83b7e] TT#4166 I18N dump: snapshot 2016.11.11-06.17.37
  * [2b45800] TT#4166 I18N dump: snapshot 2016.11.12-06.46.33
  * [d8b7787] TT#4166 I18N dump: snapshot 2016.11.16-06.54.25

  [ Kirill Solomko ]
  * [0b3308d] TT#5549 improve fax journal numbers representation
  * [5d73a12] TT#5549 improve fax journal numbers representation for the API

  [ Guillem Jover ]
  * [3bea079] TT#5903 Build-Depend on libmodule-build-perl

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 17 Nov 2016 23:17:11 +0100

ngcp-panel (5.0.0.0+0~mr5.0.0.0) unstable; urgency=medium

  [ Gerhard Jungwirth ]
  * [24cacab] MT#20655 fix subscribercreate form
  * [9f7566e] MT#21609 add possibility to register peer_auth at only one instance
  * [687588f] MT#21195 call kamailio xmlrpc addressReload
  * [31e54a8] MT#21543 fix reseller terminate emergency mapping
  * [99c0db1] MT#19795 editing of reseller rtc status via web
  * [11b82f1] MT#16931 some api documentation examples
  * [99aa547] TT#2393 implement a-number cf for panel
  * [af86cac] TT#2393 implement a-number cf for API
  * [a2c0914] TT#2393 add description fields for cf-source-sets
  * [234fcaf] TT#2395 UPN rewrite cli via Panel
  * [7c188a6] TT#2395 UPN rewrite cli via API

  [ Kirill Solomko ]
  * [b2843a6] MT#21683 fix a typo in log_passwords
  * [93c91ac] MT#13573 CallList intra_alias_field_param for gpp* fields
  * [4b88ff4] MT#21685 - fix fax remote host/port check
  * [ecc390c] MT#19263 add optional "sip:" prefix for caller/callee input
  * [f7735ad] MT#19113 CallRoutingVerify adjustments, Peering lookup
  * [1853203] MT#22229 CallRoutingVerify accept chars in input numbers
  * [98ad079] MT#13573 CallList: add (terminated) suffix for other numbers
  * [66ea5df] TT#3996 show (terminated) prefix for other_cli change
  * [a674309] MT#22913 Faxes API remove deprecated preference check
  * [007edf0] MT#22913 Faxes API add check for non existing/terminated subscriber

  [ Rene Krenn ]
  * [158ed2c] MT#21871 setting the allowed_ips via api and panel corrupts the db
  * [8fe0261] MT#21775 regexp pattern for interception's sip_username
  * [604558c] MT#21969 cf_ ncos attributes not considered in PATCH
  * [7f4212a] MT#21775 tune the "username" interception regexp to tolerate vsc codes
  * [6fa78d1] MT#19981 align dashboard customer count query
  * [c411f1b] MT#20939 display/search customer contact full name
  * [171d792] MT#20027 porting number history
  * [9f81fd1] MT#20007 Lnp.pm fix warnings
  * [7a89ab8] MT#22992 journal time range query parameters

  [ Jenkins Git User ]
  * [eed7aeb] I18N dump: snapshot 2016-08-12 01:22:17 +0200
  * [ee9487c] I18N dump: snapshot 2016-08-23 01:21:40 +0200
  * [61895f3] I18N dump: snapshot 2016-08-30 01:22:10 +0200
  * [0c9d2f0] I18N dump: snapshot 2016-08-31 01:14:35 +0200
  * [3ce8504] I18N dump: snapshot 2016-09-01 01:22:40 +0200
  * [87e8428] I18N dump: snapshot 2016-09-03 01:14:30 +0200
  * [e65c16a] I18N dump: snapshot 2016-09-06 01:15:48 +0200
  * [b39c559] I18N dump: snapshot 2016-09-10 01:13:41 +0200
  * [cc5f5c3] I18N dump: snapshot 2016-09-13 01:14:44 +0200
  * [a2f0262] I18N dump: snapshot 2016-09-16 01:14:08 +0200
  * [168eacf] I18N dump: snapshot 2016-09-17 01:21:20 +0200

  [ Irina Peshinskaya ]
  * [f4d293a] MT#5065 Validation of the codecs_list preference
  * [ec026f1] MT#18561 Test empty and not empty x3_port
  * [1ae39de] MT#22063 Allow cyclic number ranges
  * [577ba7a] MT#19295 Disable ajax caching in the IE11
  * [adf4c32] MT#21501 Add delete button for the subscriber's reminder
  * [03acd88] TT#2452 Implement device preferences web and api interface
  * [d7f19af] TT#2452 Implement device profile preferences web and api interface
  * [014e4e1] TT#2452 Pass device preferences values to the config
  * [17333c7] MT#17173 Check performance for small code improvement
  * [08e0a0f] MT#2452 Add vendor specific prefixes filtering
  * [e00e46e] TT#2459 Use encryption for the denwaip devices config
  * [fdb2799] MT#22804 Fix reseller query in the form data validation
  * [85e93b5] TT#3994 Add download csv to LNP and EmergencyMapping API
  * [4c27ee1] TT#3994 Lnp and emergencymappings fixes after testing
  * [980b0f8] TT#3994 Add lnp tests
  * [faa5b06] MT#22657 Close peering API for the reseller role and small texts fixes
  * [4ba7932] MT#12347 Allow to show curl command only for patch
  * [f288ec2] MT#17173 Add common methods to  use in future API
  * [ad20878] MT#17173 Adapt common API method for not DB entities
  * [a42334c] MT#17173 Add return representation
  * [6996604] MT#12347 Cache for FakeData to increase tests speed in massive run
  * [ad62a1a] MT#17173 Mass collections tests
  * [ae5e887] TT#3648 Add banned ips and users API interface
  * [325044c] TT#4708 Update year information in copyright info
  * [5384ec4] TT#4476 Fix top settings menu for csc
  * [57efb7c] MT#17173 Fix typo in return_representation call
  * [8516c6c] MT#17173 Fix line endings

  [ Andreas Granig ]
  * [f5462f6] MT#22061 Include extension in pbx phonebook search
  * [8edfa5e] TT#2757 Rework emergemcy mapping CSV up/download
  * [eb94e8d] MT#22405 Fix html doc in emergencymappings
  * [031bfeb] TT#2766 Implement inbound peering rules.
  * [81e3988] TT#2766 Fix selenium for outbound peering rules.
  * [ff110dc] TT#2766 Implement inbound peering rules API.
  * [34dd42e] TT#3991 Add ncos level flag for intra-pbx calls

  [ Alexander Lutay ]
  * [6d35b85] MT#22099 Docker >=1.11 no longer has /.dockerinit, adjust docker run check accordingly
  * [1d3eaab] TT#2395 Fix REST API test for /api/upnrewritesets in api-root.t
  * [46f1402] TT#3648 Add bannedips/bannedusers to t/api-rest/api-root.t
  * [c81a20d] TT#3648 Add REST APT tests bannedips/bannedusers to stable and fast test groups

  [ Victor Seva ]
  * [92a6847] MT#22363 depends on sipsak from backports

  [ Jozef Kenyeres ]
  * [2e3c713] TT#2453 getValue function added to DeviceConfig

  [ Daniel Grotti ]
  * [a2a5a0c] MT#22163 Italian translation

 -- Alexander Lutay <alutay@sipwise.com>  Fri, 21 Oct 2016 15:28:01 +0200

ngcp-panel (1.15.0.0+0~mr5.0.0.0) unstable; urgency=medium

  [ Jenkins Git User ]
  * [bb4f87e] I18N dump: snapshot 2016-05-24 01:51:56 +0200
  * [37b306c] I18N dump: snapshot 2016-05-25 01:22:08 +0200
  * [98ac442] I18N dump: snapshot 2016-05-26 01:14:44 +0200
  * [5e100b5] I18N dump: snapshot 2016-05-29 01:14:13 +0200
  * [1a5218b] I18N dump: snapshot 2016-05-30 01:14:04 +0200
  * [4188ff8] I18N dump: snapshot 2016-05-31 01:21:21 +0200
  * [ee12195] I18N dump: snapshot 2016-06-01 01:14:12 +0200
  * [feeb218] I18N dump: snapshot 2016-06-02 01:14:40 +0200
  * [208f976] I18N dump: snapshot 2016-06-03 01:21:50 +0200
  * [0cdb05f] I18N dump: snapshot 2016-06-06 01:14:22 +0200
  * [dce7bbf] I18N dump: snapshot 2016-06-07 01:16:25 +0200
  * [f6b5e80] I18N dump: snapshot 2016-06-08 01:14:28 +0200
  * [6f99aa4] I18N dump: snapshot 2016-06-09 01:14:27 +0200
  * [f47421a] I18N dump: snapshot 2016-06-10 01:21:39 +0200
  * [ee7a98e] I18N dump: snapshot 2016-06-11 01:14:50 +0200
  * [be40c6e] I18N dump: snapshot 2016-06-14 01:13:56 +0200
  * [bcff69c] I18N dump: snapshot 2016-06-15 01:14:18 +0200
  * [e37fec0] I18N dump: snapshot 2016-06-16 01:22:09 +0200
  * [6b67ad9] I18N dump: snapshot 2016-06-17 01:14:12 +0200
  * [dbec88a] I18N dump: snapshot 2016-06-19 01:15:06 +0200
  * [5fab6c5] I18N dump: snapshot 2016-06-20 01:15:36 +0200
  * [71ace93] I18N dump: snapshot 2016-06-21 01:14:15 +0200
  * [8e8112c] I18N dump: snapshot 2016-06-22 01:22:29 +0200
  * [3501eeb] I18N dump: snapshot 2016-06-23 01:14:18 +0200
  * [b8b39b8] I18N dump: snapshot 2016-06-24 01:14:11 +0200
  * [cac5eba] I18N dump: snapshot 2016-07-05 01:15:28 +0200
  * [98b6d75] I18N dump: snapshot 2016-07-06 10:20:30 +0200
  * [c6fcdb0] I18N dump: snapshot 2016-07-07 01:15:18 +0200
  * [36371aa] I18N dump: snapshot 2016-07-12 02:40:18 +0200
  * [919be10] I18N dump: snapshot 2016-07-22 01:22:33 +0200
  * [607f6a0] I18N dump: snapshot 2016-07-26 01:21:47 +0200
  * [8985f4a] I18N dump: snapshot 2016-07-27 01:14:28 +0200
  * [2010b14] I18N dump: snapshot 2016-07-29 01:16:10 +0200

  [ Gerhard Jungwirth ]
  * [1c2c8cf] MT#19765 add subscriberlogin for API
  * [13e5e31] MT#19795 API improvements RTC sessions and networks
  * [0897518] MT#19959 add documentation link for reseller login
  * [a2e2ed4] MT#19625 specify maxlength of ncos level name
  * [8fbc59d] MT#19729 encode call_id in url
  * [5ed5a2e] MT#20387 remove noise of I18N job
  * [cf845a9] MT#15269 increase stable tests, small fixes
  * [5eccf13] MT#20797 additional configurable documentation links
  * [4515337] MT#18993 provide info about ngcp-support-access in panel
  * [9d2bbda] MT#19509 fix datetime filtering with datatables
  * [4d8d5e8] MT#19795 create rtcapps REST api endpoint
  * [95179f1] MT#21011 subscriberapi fix reseller_id search
  * [6d883c6] MT#21141 fix login redirect between realms
  * [b34a7df] MT#21193 use Sipwise::Base in api modules
  * [01c24b5] MT#21193 fix internal server errors 500 from usage of strict
  * [c46f1c4] MT#21293 API fix peer auth sems update
  * [5c5adb5] MT#19795 rtc change apiclient login realm
  * [25792a1] MT#19795 rtc api consider app id for sessions

  [ Rene Krenn ]
  * [e8ab903] MT#19821 subscriber profile edit drops random voip_usr_prefs
  * [10af05a] MT#19783 set lock level when creating subscriber
  * [2912808] MT#20023 MT#20027 lnp unique number and lnp provider delete checks
  * [400d038] MT#20257 filter subscriber collection by subscriber's external_id
  * [930115c] MT#20023 MT#20027 fix using constant error msgs with c->loc
  * [5c3f35f] MT#21459 ncos "level" filter for api

  [ Andreas Granig ]
  * [9f892f5] MT#19457 Add lnp authoritative and skip_rewrite
  * [e8f441e] MT#18593 Fix usage if no mode is given
  * [a6264ed] MT#21543 Implement emergency mapping
  * [ab7a753] MT#21543 Add emergency resources to test.
  * [c6e03b7] MT#21543 Implement emergency mapping preference
  * [d086b79] MT#21533 Add proxy controller for grafana.

  [ Irina Peshinskaya ]
  * [b226c4d] MT#20315 Add email templates and invoice template ids...
  * [0dbcfd6] MT#20235 Allow to add fw filename to the latest firmware url
  * [53c815d] MT#20369 Catch duplicated alias error on subscriber update
  * [4056de2] MT#12347 Use temp file for fax file send test
  * [87a4ab1] MT#12347 Fix faxes and subscribers EOL changed occasionally
  * [2b48c4c] MT#16623 Save 2.6 version of the svg-edit for the Presto Opera
  * [a982d0d] MT#16623 svg-edit trunk version
  * [747804f] MT#16623 Adapt new svg-edit for the NGCP
  * [f44ac57] MT#16623 Remove lintian warnings
  * [f350db0] MT#16623 Fix attributes for the edge (lower case attributes)
  * [3124e2c] MT#16623 Send old opera to the old svg-edit
  * [3c4672c] MT#19623 Fix generation of the big invoices
  * [ea507b7] MT#21401 Fix query for the reseller reminder creation
  * [739162a] MT#21435 Fix resellers join for pbxdevices
  * [4fa92a0] MT#18999 Escape billing profile values for the invoice generation
  * [2b430bd] MT#18561 Change of the LIID is forbidden
  * [5415d6e] MT#20971 Add concurrent_max* preferences to device config variables
  * [9264a41] MT#21317 Add aliases select to new subscriber creation by subscriber admin
  * [1d10d26] MT#12637 Reseller termination via API PATCH should process reseller resources
  * [7ad8784] MT#21269 Implement Snom redirect service
  * [2350208] MT#15189 Send Location header after subscriberregistration item update
  * [e1bce43] MT#19997 Fix FaxRecordings description
  * [e2865cb] MT#17417 Remove possibility to create subscriber out of the customer view

  [ Kirill Solomko ]
  * [30ecb6a] MT#20325 TryCatch syntax fix
  * [075a950] MT#18171 use spool_dir+filename for faxrecordings retrieval
  * [b821f24] MT#21683 respect log_password config option and hide passwords if disabled
  * [4bc81ed] MT#21685 send fax support for carrier environment
  * [e065633] MT#21683 no password length expose in the hidden form

  [ Alexander Lutay ]
  * [684db52] MT#19795 Fix 4d8d5e8: add 'rtcapps' to test api-rest/api-root.t

  [ Guillem Jover ]
  * [a6d859c] MT#21193 Remove unused dependencies and imports
  * [b6ac9c0] MT#21193 Add missing dependencies on MooseX modules

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 01 Aug 2016 16:30:59 +0200

ngcp-panel (1.14.0.0+0~mr4.5.0.0) unstable; urgency=medium

  [ Jenkins Git User ]
  * [e96687e] I18N dump: snapshot 2016-03-22 01:21:04 +0100
  * [7e38606] I18N dump: snapshot 2016-03-23 01:14:31 +0100
  * [059ca87] I18N dump: snapshot 2016-03-24 01:14:31 +0100
  * [913b2ad] I18N dump: snapshot 2016-03-25 01:14:09 +0100
  * [b7b60eb] I18N dump: snapshot 2016-03-26 01:13:57 +0100
  * [f1951fe] I18N dump: snapshot 2016-03-27 01:13:47 +0100
  * [40f6d75] I18N dump: snapshot 2016-03-28 01:14:17 +0200
  * [c7def40] I18N dump: snapshot 2016-03-29 01:14:09 +0200
  * [82ac14b] I18N dump: snapshot 2016-03-30 01:13:50 +0200
  * [672f97e] I18N dump: snapshot 2016-03-31 01:14:01 +0200
  * [405b488] I18N dump: snapshot 2016-04-01 01:13:47 +0200
  * [7c957ad] I18N dump: snapshot 2016-04-02 01:13:50 +0200
  * [95fa417] I18N dump: snapshot 2016-04-03 01:13:42 +0200
  * [9653166] I18N dump: snapshot 2016-04-04 01:13:54 +0200
  * [98fe651] I18N dump: snapshot 2016-04-06 01:13:47 +0200
  * [89e8d10] I18N dump: snapshot 2016-04-07 01:13:56 +0200
  * [95d67d6] I18N dump: snapshot 2016-04-09 01:13:40 +0200
  * [b4a3527] I18N dump: snapshot 2016-04-09 08:27:44 +0200
  * [3582f12] I18N dump: snapshot 2016-04-10 01:31:13 +0200
  * [8183770] I18N dump: snapshot 2016-04-11 01:14:10 +0200
  * [100b56b] I18N dump: snapshot 2016-04-12 01:13:48 +0200
  * [fc5f6ee] I18N dump: snapshot 2016-04-13 01:13:41 +0200
  * [5a164cf] I18N dump: snapshot 2016-04-14 01:14:11 +0200
  * [945b5a5] I18N dump: snapshot 2016-04-15 01:13:53 +0200
  * [719eb7c] I18N dump: snapshot 2016-04-16 01:14:07 +0200
  * [a8693bb] I18N dump: snapshot 2016-04-17 01:14:39 +0200
  * [90a0596] I18N dump: snapshot 2016-04-18 01:14:08 +0200
  * [6dd11a8] I18N dump: snapshot 2016-04-19 01:13:58 +0200
  * [53f59d2] I18N dump: snapshot 2016-04-20 01:14:39 +0200
  * [0b5b525] I18N dump: snapshot 2016-04-21 01:13:32 +0200
  * [f91105b] I18N dump: snapshot 2016-04-22 01:14:26 +0200
  * [4308a8e] I18N dump: snapshot 2016-04-23 01:13:24 +0200
  * [779d300] I18N dump: snapshot 2016-04-24 01:21:15 +0200
  * [bf24085] I18N dump: snapshot 2016-04-26 01:13:55 +0200
  * [9c1e781] I18N dump: snapshot 2016-04-27 01:13:20 +0200
  * [565cf48] I18N dump: snapshot 2016-04-28 01:13:56 +0200
  * [fdaf64a] I18N dump: snapshot 2016-04-29 01:13:15 +0200
  * [af59385] I18N dump: snapshot 2016-04-30 01:20:45 +0200
  * [86f876b] I18N dump: snapshot 2016-05-02 01:14:00 +0200
  * [7e47c36] I18N dump: snapshot 2016-05-03 01:13:22 +0200
  * [7fb3efe] I18N dump: snapshot 2016-05-04 01:20:49 +0200
  * [ded5dab] I18N dump: snapshot 2016-05-05 01:14:01 +0200
  * [9c6b7e2] I18N dump: snapshot 2016-05-06 01:14:00 +0200
  * [61afc9d] I18N dump: snapshot 2016-05-07 01:13:44 +0200
  * [084a3e7] I18N dump: snapshot 2016-05-08 01:13:25 +0200
  * [a3e806b] I18N dump: snapshot 2016-05-09 01:14:15 +0200
  * [a2ad42c] I18N dump: snapshot 2016-05-10 01:19:34 +0200
  * [09e8b03] I18N dump: snapshot 2016-05-11 01:21:31 +0200
  * [0e91b8f] I18N dump: snapshot 2016-05-12 01:13:41 +0200
  * [3e0d1ab] I18N dump: snapshot 2016-05-14 01:13:45 +0200
  * [815b9f6] I18N dump: snapshot 2016-05-15 01:14:01 +0200
  * [e29c9d1] I18N dump: snapshot 2016-05-16 01:14:06 +0200
  * [e564fbd] I18N dump: snapshot 2016-05-17 01:13:22 +0200
  * [b92b127] I18N dump: snapshot 2016-05-18 01:17:03 +0200
  * [c41164d] I18N dump: snapshot 2016-05-19 01:15:18 +0200
  * [41a7d45] I18N dump: snapshot 2016-05-21 01:14:20 +0200
  * [61b903b] I18N dump: snapshot 2016-05-22 01:14:33 +0200

  [ Rene Krenn ]
  * [45537f7] MT#18601 clear out pbx_group_ids testcase
  * [3b04437] MT#18699 control if datatable columns can be sorted
  * [d0bdbe3] MT#19267 make api_dump.pl using tempfiles and runs exclusively
  * [9d5085a] MT#19015 correctly use notopup_interval for periodic balance intervals
  * [3e57109] MT#19419 custom action role to support http method override

  [ Gerhard Jungwirth ]
  * [a90e97d] MT#17309 show interval values in customerbalances api
  * [18ae2d2] MT#17805 captured dialogs process callid
  * [1e9f832] MT#18977 compatible plaintext error dialogic page
  * [aec9443] MT#15269 add restapi tests to stable set
  * [651b772] MT#17461 validate max_subscribers with sipaccount
  * [b037f14] MT#17413 simplify and fix preference edit modal
  * [ca19961] MT#19439 non-destructive dashboard beautification
  * [cbad4ce] MT#19439 dashboard refactoring
  * [d659ae1] MT#19439 topmenu widget refactoring
  * [5de9017] MT#19627 do not translate pref_forms ncos and sound_set
  * [5ec78b3] MT#19439 dashboard always import modules

  [ Andreas Granig ]
  * [b34073d] MT#18593 Script puts system into emergency mode
  * [82a58bd] MT#16777 Fix up/downloading CSV
  * [e4e6f53] MT#16777 Properly set start/end time on csv upload
  * [d0fc0b7] MT#16777 Fix csv upload date instead of time
  * [72ce9d1] MT#18821 Add tz param to calllists api
  * [7aecec0] MT#16777 Also fix start/end lnp handling in API
  * [64622bf] MT#19261 Allow domain selection in pbx extensions
  * [548d594] MT#19443 Increase prosody connect and wait timeout
  * [f3de0c8] MT#19557 Expose ac and cc in device config

  [ Guillem Jover ]
  * [0632585] MT#18443 Use parent instead of base module

  [ Kirill Solomko ]
  * [ec16d3c] MT#18499 fixed GUI "add location" form description
  * [d388ff2] MT#18865 adapt use of provisioning.voip_fax_journal
  * [fd56d72] MT#19113 subscriber and peering apply_rewrite and lookup
  * [d885675] MT#19113 add Call Routing Verification (ngcp-panel/tools)
  * [caf342c] MT#19113 CallRoutingVerity fix wrong argument in get_dom_preference() call
  * [f952054] MT#19113 always fill in caller/callee_in/out values in apply rewrite rules
  * [317a429] MT#19113 fix an error when no callee peers are found
  * [452eecd] MT#19113 fix voip_peer_hosts, javascript radio check
  * [63dd55e] MT#19113 CallRoutingVerify: add number/uri validation for caller/callee

  [ Irina Peshinskaya ]
  * [b6d22e7] MT#18637 Don't show zone name and detail in zonecost API values
  * [418c6ee] MT#18601 Fix getting pbx relations
  * [fcf1f7c] MT#19035 Don't save billing_fee_raw data
  * [694b3e0] MT#18601 Fix tests
  * [39a12e5] MT#18601 Comment not working tests
  * [9713936] MT#18601 Consider cloudpbx feature configuration in tests
  * [c913e4e] MT#12939 Fix pbx group/members order control
  * [645f606] MT#12347 Improve fake data clearance
  * [17e7e84] MT#19697 Fix copy-pasted ncos patterns description
  * [05c0486] MT#14253 Fast invoice generation rejecting
  * [53feae0] MT#19937 Enable external_id editing for the pilot subscriber

  [ Victor Seva ]
  * [8bf74e6] MT#18815 debian: remove depend on ngcp-templates
  * [3598a1d] MT#19055 tools/generate_ssl_keys.sh: add ${KEY_FILE} to ssl-cert group too

  [ Alexander Lutay ]
  * [edd6678] Revert "MT#12347 Improve fake data clearance"

  [ Michael Prokop ]
  * [78932bb] MT#19881 Fix typo in german translation.
    Thanks to Matthias Hohl for reporting this bug on the spce-user mailing list

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 23 May 2016 18:53:29 +0200

ngcp-panel (1.13.0.0+0~mr4.4.0.0) unstable; urgency=medium

  [ Andreas Granig ]
  * [638a4de] MT#16985 Use CentralDB schema for interceptions.
  * [c6f5897] MT#16107 Provide HTTP firmware url.
  * [88dd69e] MT#16107 Provide firmware.booturl in bootstrap
  * [f9ce228] MT#16985 Rename CentralDB to RoDB
  * [6ef3ad1] MT#16985 Fix disabling RUN_DAEMON
  * [d609623] MT#16985 InterceptDB points to pair instead of RO
  * [011622f] MT#16985 Use Moose in trunk for API
  * [75045e1] MT#8725 Increase max firmware size to 128M
  * [0562ab5] MT#17623 Reload dialplan cache on rwr changes
  * [9887494] MT#17505 Link git paths to deb paths
  * [e0f8002] MT#17641 Add admins resource to api
  * [d8c9032] MT#17543 Drop call distribution graph from panel
  * [7db7343] MT#17887 Properly update captagent on X1 PUT/PATCH
  * [a579c89] MT#16777 Implement lnp rewrite rules.
  * [e3873da] MT#16777 LNP adaptions and RWR fixes
  * [362b571] MT#16777 Write chunks to db to not run out of mem

  [ Victor Seva ]
  * [18973d7] MT#16985 debian: disable daemon by default on upgrade too
  * [d938afb] MT#16933 tools/generate_ssl_keys.sh: force days argument at x509
  * [bd79f5f] MT#16985 debian: remove sites-enabled link to ngcp-panel config
  * [c6b51a1] MT#17293 Switch Dockerfile files to use a sipwise-jessie image
  * [7ebf28c] MT#17293 t/api-rest/Dockerfile: add release-trunk-jessie repo. fix c6b51a136c07
  * [9527ed9] MT#15719 Fix source-is-missing lintian messages
  * [56b5669] MT#18453 ngcp-panel: add missing sox dependency

  [ Guillem Jover ]
  * [0da5436] MT#16473 Convert debian/copyright to machine-readable format

  [ Irina Peshinskaya ]
  * [3b8dbc8] MT#15489 Use textfmt to prepare textfile with utf for hylafax
  * [dd8d988] MT#7227 Just a comment about code decision
  * [687c541] MT#15489 Fix faxes form fields description
  * [ddf2bbf] MT#14477 Test faxes creation with text data field
  * [1782648] MT#5349 Fix typo in profile preferences metadata
  * [db2c16c] MT#15633 Unify preferences defs
  * [21b9b96] MT#17199 Add user_agent field into subscriberregistrations GET output
  * [5623471] MT#17137 Rewrite rules documentation enhancement
  * [71118be] MT#10199 Fix typo in profiles preferences
  * [81bb050] MT#15633 API for peering groups, servers, rules
  * [36c08c6] MT#11731 Consider different content types for API actions
  * [6c62894] MT#17415 Remove using experimental feature of the perl
  * [bbfe673] MT#16983 Don't display pbxgroups and subscribers if there is no linked
  * [9a5cd2f] MT#14659 Optimize aggregation and counts in datatables
  * [0a446f8] MT#14659 Fix Datatables uninitialized value error
  * [0a96490] MT#17727 Use http format for last-modified
  * [f24dff7] MT#14659 Fix Datatables uninitialized value error
  * [7a1565b] MT#15491 Adapt Panel to new NGCP::Fax fax server
  * [0b077f3] MT#18407 Consider null in emailtemplate.reseller_id
  * [0272c29] MT#17173 Remove Moose Roles from API
  * [734ed9a] MT#18515 Check zone name against empty value on fees CSV upload
  * [e2264a8] MT#17173 Fix forgotten journal_query_params
  * [2120779] MT#18439 Fix API doc examples alignment
  * [b0be8e2] MT#17495 Fix API doc for subscriber - no customer_id for update

  [ Rene Krenn ]
  * [a2aeb2b] MT#17201 reloading terminated contracts
  * [ce8c0dd] MT#17247 float field precision given, but no size
  * [ad37197] MT#17263 edit offpeak/onpeak using api
  * [58a55b9] MT#16855 UNION ALL for panel UI call lists
  * [22607ee] MT#13337 add subscriber lock level 5 ('ported')
  * [c7b7d6a] MT#17855 fix customer and contract relaod
  * [69cd569] MT#17855 terminating a contract by edit AND term. button
  * [45b0f85] MT#16121 PUT /api/callforwards/id json-hal response broken
  * [4438756] MT#18395 lazy load dashboard values
  * [18766cc] MT#18395 widget sorting fix
  * [935b5e0] MT#18515 delete fee entries with zone (UI)

  [ Michael Prokop ]
  * [9b95f35] MT#8075 Refresh Dockerfile + set DOCKER_NAME for *-source-tests
  * [6980fd4] MT#17699 Bump Standards-Version to 3.9.7
  * [4b9d291] MT#17699 Update source-is-missing lintian overwrites

  [ Gerhard Jungwirth ]
  * [ad0612a] MT#16985 update config-file for InterceptDB
  * [81c4dde] MT#15883 implement rtc-reseller connection
  * [7a7fb94] MT#15883 use expand param of rtc API
  * [60d66f8] MT#16113 reduce l10n spam in commits
  * [b62c3fd] MT#17473 fix repeatableJs regex
  * [40ed685] MT#17487 remove the use of capture
  * [029765d] MT#17473 allow single numbers in alias range field
  * [cae2c0a] MT#17491 improve speeddials api documentation
  * [93a3ef4] MT#17507 add better errors on peaktime edits
  * [45115f5] MT#15269 fix some api tests, add test selection
  * [3f2ac5c] MT#14675 fix local logging conf
  * [a221ae2] MT#18089 replace is_deeply by Data::Compare in controller
  * [e9580d2] MT#15883 implement rtcnetworks API
  * [bb03c1f] MT#17173 fix item filtering in API
  * [54dc4f5] MT#15269 remove obsolete dependencies in tests
  * [9c9f333] MT#18089 replace is_deeply in Subscribers API Role
  * [de6d947] MT#15883 rtc-sessions and account (subscribers)
  * [b78b703] MT#18219 improve preference documentation for stringified relationships
  * [0a154cd] MT#17617 fix domain prefill
  * [635c92a] MT#15883 comx provide fully functioning test

  [ Alexander Lutay ]
  * [10aed03] MT#17465 Fix 'undefined subroutine is_int' for 'allowed_ips' adding missed NGCP::Panel::Utils::Generic
  * [496aea8] MT#15269 Add REST API test support of Jenkins runner
  * [8ab155a] MT#15269 Restore possibilit to trigger one/specific REST API test

  [ Kirill Solomko ]
  * [d5592b1] MT#14679 add mail2fax for GUI and API interfaces
  * [5c54121] MT#16017 cleaned up Fax preferences
  * [082eb9e] MT#14675 ossbss removal
  * [847ed54] MT#18381 added API customer fraud events /customerfraudevents/
  * [c28c419] MT#18381 fix reseller_id form field
  * [c292207] MT#17801 added api_admin_system authentication method
  * [be1942a] MT#18409 - /api/customerbalances add filter by domain
  * [992ba6b] MT#18499 added customer multi locations feature
  * [eec01ac] MT#18499 added customer location filter by contract_location_pref

  [ Jenkins Git User ]
  * [92d10d6] I18N dump: snapshot 2016-02-12 14:55:31 +0100
  * [03209c4] I18N dump: snapshot 2016-02-13 01:13:59 +0100
  * [78ba251] I18N dump: snapshot 2016-02-14 01:14:29 +0100
  * [88323de] I18N dump: snapshot 2016-02-15 01:14:09 +0100
  * [9c45dc6] I18N dump: snapshot 2016-02-16 01:13:47 +0100
  * [3f862fd] I18N dump: snapshot 2016-02-20 01:13:32 +0100
  * [c04c6ee] I18N dump: snapshot 2016-02-20 11:45:20 +0100
  * [45fd15b] I18N dump: snapshot 2016-02-21 01:13:52 +0100
  * [ad36e8a] I18N dump: snapshot 2016-02-22 01:13:44 +0100
  * [d9644f8] I18N dump: snapshot 2016-02-24 01:21:59 +0100
  * [214977a] I18N dump: snapshot 2016-02-25 01:14:19 +0100
  * [93231df] I18N dump: snapshot 2016-02-26 01:22:13 +0100
  * [9448386] I18N dump: snapshot 2016-02-27 01:13:27 +0100
  * [3bdd84c] I18N dump: snapshot 2016-02-28 01:13:58 +0100
  * [d44eb37] I18N dump: snapshot 2016-02-29 01:13:44 +0100
  * [8c21db3] I18N dump: snapshot 2016-03-01 01:13:44 +0100
  * [4b945a4] I18N dump: snapshot 2016-03-02 01:13:42 +0100
  * [3d636a2] I18N dump: snapshot 2016-03-03 01:14:16 +0100
  * [ece2d27] I18N dump: snapshot 2016-03-04 01:14:03 +0100
  * [0b6e44c] I18N dump: snapshot 2016-03-05 01:14:52 +0100
  * [1a04acf] I18N dump: snapshot 2016-03-07 01:14:11 +0100
  * [19eba7f] I18N dump: snapshot 2016-03-08 01:13:43 +0100
  * [102934a] I18N dump: snapshot 2016-03-09 01:13:50 +0100
  * [6d8f3d0] I18N dump: snapshot 2016-03-15 15:50:03 +0100
  * [22c989e] I18N dump: snapshot 2016-03-16 01:13:42 +0100
  * [75efbd0] I18N dump: snapshot 2016-03-17 01:14:40 +0100
  * [7d540ec] I18N dump: snapshot 2016-03-19 01:14:19 +0100
  * [d4064fe] I18N dump: snapshot 2016-03-20 01:13:54 +0100
  * [2d4bb1c] I18N dump: snapshot 2016-03-21 01:29:07 +0100

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 21 Mar 2016 22:24:32 +0100

ngcp-panel (1.12.0.0+0~mr4.3.0.0) unstable; urgency=medium

  [ Irina Peshinskaya ]
  * [b15fa6b] MT#12347 Test environment requires perl package String::ShellQuote.
  * [aecc110] MT#12347 Fix too early destruction of the local test_machine
  * [9a4f1b5] MT#12347 Disable faxes tests if fax feature is not active
  * [c54c24a] MT#12347 Fix catalyst config getting for tests
  * [8261f0e] MT#14477 Response about faxserver feature unavailability from API
  * [0a81243] MT#12347 Faxes feature state check as pseudo test
  * [74333c9] MT#14659 Move calls from subscribers master to separate interface
  * [755ca93] MT#16323 Add rating_status field into item response and filter for collection
  * [2685c45] MT#7227 Use procedure to make records unique on single fee insertion
  * [ea559c6] MT#12347 Fix rest-api tests based on FakeData
  * [1125618] MT#16321 The smallest changes for particular billing_mappings speed
  * [7e7e148] MT#16321 Additional using of billing_mappings_actual optimization
  * [7952b7c] MT#16465 Fix custom processing of Datatables rows
  * [d0f0a84] MT#16231 Apply rewrite rules to the faxes phone numbers in WEB UI
  * [7fffffb] MT#16121 Optimize callforwards GET method
  * [5235a7a] MT#15441 Using config for the cli and primary number sync

  [ Jenkins Git User ]
  * [5e2c7c7] I18N dump: snapshot 2015-10-13 01:13:37 +0200
  * [25858fd] I18N dump: snapshot 2015-10-16 01:13:51 +0200
  * [88abda5] I18N dump: snapshot 2015-10-17 01:12:57 +0200
  * [3b16e71] I18N dump: snapshot 2015-10-23 01:21:01 +0200
  * [8495bae] I18N dump: snapshot 2015-10-30 01:58:49 +0100
  * [433c1be] I18N dump: snapshot 2015-11-04 01:13:25 +0100
  * [b01fa56] I18N dump: snapshot 2015-11-05 01:14:58 +0100

  [ Alexander Lutay ]
  * [27fb57f] MT#12347 Fix b15fa6b: libstring-shellquote-perl required for api-test only
  * [e60f943] MT#12347 Update dependency list for package ngcp-panel
  * [1faa2cd] MT#16323 Fix api-rest/api-calllists.t: skip checking field rating_status if no CDRs exist
  * [a3154de] MT#12347 Fix test api-rest/api-faxes.t: do not fail if fax is disabled
  * [2da07ec] MT#16683 Switch panel dependency from libgd-gd2-perl to libgd-perl

  [ Rene Krenn ]
  * [8545089] MT#15399 allow editing profiles, networks, packages
  * [0009520] MT#15759 fix contract balance catchup DST problem
  * [d1f8072] MT#15821 datatable custom mRender js functions
  * [8940c55] MT#14487 rest-api data dumper tool
  * [59ec368] MT#16109 update "prepaid" pref correctly
  * [fa2c02e] MT#16045 notopup expiry for balance intervals output
  * [59339ff] MT#16171 useless joins for source_subs = OR dest_subs =
  * [1297bdf] MT#16309 suppress notopup balance discard when switching packages
  * [b9a6ecd] MT#16171 revert to prior callist direction filter behaviour
  * [64ee5ec] MT#16309 correctly apply changed carry_over modes
  * [997bdc0] MT#16309 fix deaf logic due to is_create_next typo
  * [0b607e5] MT#16605 topup log records not persisted for subscribers with lock level
  * [e5772e7] MT#16655 "minute" unit in profile packages

  [ Gerhard Jungwirth ]
  * [ab59660] MT#15797 skip domain reload
  * [8c45fc5] MT#15203 Allow adding alias numbers to pbx group
  * [ebc569a] MT#15757 fix deleting voicebox email setting
  * [8980f51] MT#15203 fix pbx group create form
  * [9a1d6d3] MT#15685 suppress output for correct backuritmp
  * [74c3b01] MT#16355 show ngcp version and dpkg list
  * [f4bd2ee] MT#16907 customize panel-specific perlcritc file
  * [e7e24e7] MT#15693 check deleting contract 1
  * [59bb04b] MT#15883 import comx API client
  * [85e2fdf] MT#16883 set vmb prefix in API
  * [4ab6ff3] MT#16467 only show PBX customers for soundset creation

  [ Michael Prokop ]
  * [a236b39] MT#15071 Jenkins<->docker integration support
  * [022ab61] MT#15719 Fix source-is-missing lintian messages

  [ Andreas Granig ]
  * [4e228c1] MT#16057 Fix dbix syntax fetching concat numbers
  * [0858ef8] MT#13367 enable jitsi autoprov via preference
  * [45d9f6e] MT#16443 Fix setting reseller_id for contacts
  * [04a64e1] MT#16465 partly remove namespace::sweep and others
  * [520b662] MT#16273 Implement X1 agent interface for REST
  * [492f587] MT#4067 Implement LNP via panel and API
  * [e456d6d] MT#16883 Set vmb prefix for cfb to voicemail.
  * [da9d1a6] MT#4067 Add NCOS LNP handling.
  * [7f93fbb] MT#4067 Fix NCOS LNP resource description in API

  [ Andrew Pogrebennyk ]
  * [669c0eb] MT#13367 fix commit 0858ef

  [ Kirill Solomko ]
  * [f55e59a] MT#12707 add "Malicious Calls" top-menu item for admin/reseller
  * [9fcd55e] MT#16955 API added NULL query params macro

  [ Richard Fuchs ]
  * [097d296] MT#16273 fix X1 interface communication

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 16 Dec 2015 09:23:14 +0100

ngcp-panel (1.11.0.0+0~mr4.2.0.0) unstable; urgency=medium

  [ Irina Peshinskaya ]
  * [ee29f28] MT#13717 Avoid duplicated implicit billing zone name
  * [3310c45] MT#11147 Allow "Vendor ModelName" refer to connectable models
  * [35b10e0] MT#11147 Rewrite map to foreach for models names => ids map
  * [19e6f03] MT#9721 Described simple_destination from callforwards
  * [96ce60b] MT#13931 Add link to field device config into customer interface
  * [4562fbf] MT#12825 Export billing fees to csv file
  * [8bd4a9a] MT#12347 Some local configs example
  * [5ecf84a] MT#14267 Make possible documentation for api fields of the DataTable type
  * [49ac6ab] MT#14253 Disable invoice generation by default
  * [250498e] MT#8457 Billing profiles duplication.
  * [f02b2cc] MT#14597 Fix access to undefined stash value for non pbx product subscribers
  * [0e1d80c] MT#14559 Trigger db_reg_agent.removeRegistration on subscriber termination
  * [45db3c9] MT#14629 Add single quot around user:password for curl examples
  * [0512e76] MT#14653 Add required field billing_profile_id to billing zone api
  * [4ff9e34] MT#14653 Don't delete billing_profile_id from API form for HTML::Formhandler
  * [faabf6b] MT#14653 Fix the tests
  * [1af9a99] MT#12707 Add "maliciouscalls" to root tests
  * [f458443] MT#13919 Bootstrap uses the same config template, configure TT plugin base.
  * [dd9365f] MT#14739 Get newly created kamailio user location after flush
  * [a529ec7] MT#12347 Simple tests for cfdestinations
  * [1a3e7dd] MT#14477 Fax API (list, send fax, get meta, get content)
  * [1ff49c1] MT#14477 Documentation enhancement for asynchronous API collections
  * [91a6aeb] MT#12347 Safe decode json content
  * [a8c7990] MT#15441 Don't synchronize cli and primary number if they already differ
  * [026aed8] MT#15489 Work with utf8 in json input
  * [33652db] MT#14477 Add new fax collections into common tests
  * [4a21626] MT#14477 Fix faxes collection name in tests
  * [c1393b8] MT#15367 Fix invoice generation
  * [57edaa4] MT#14461 Adjust subscriber for faxes after subscriber creation
  * [33066cc] MT#12347 Remove unnecessary debug from FakeData

  [ Andreas Granig ]
  * [b2e74c4] MT#13919 Properly strip in-between dashes from mac
  * [c8da9d8] MT#13919 Use checksum of field config.
  * [b0456e4] MT#11027 Use proper bootstrap path.
  * [c689ab9] MT#13919 Strip dashes in mac during bootstrap
  * [4360160] MT#11147 Show subscribers if just one available
  * [9a9d577] MT#13903 Add voucher/cash topup forms for API
  * [0cc70a0] MT#13903 Add package_id to voucher API.
  * [fcd92c6] MT#13919 Use proper var in bootstrap
  * [fbbed24] MT#14715 Return uuid in /api/subscribers/
  * [21764a5] MT#14741 Fix reseller ops for /api/trustedsources/
  * [602f0a6] MT#14747 Pass fw query as url path.
  * [16923c4] MT#14865 Set display_name for pbx groups
  * [372dfa6] MT#15057 Add Last-Modified and strip HTTP headers
  * [227a4c4] MT#15247 Enforce https in autoprov config.

  [ Kirill Solomko ]
  * [a175120] MT#13847 - CallLists: preserve cli if no rewrite rules are found
  * [680b734] MT#13573 - Calllists: use specified alias field for own_cli
  * [cdad39d] MT#13471 - CallLists: do not anonymise intra calls with source_clir
  * [4f11639] MT#14445 - fix billing fees csv upload. set default encoding for csv to "utf8"
  * [1db8dac] MT#12707 - add "malicious calls" feature
  * [91de0e8] MT#12707 - malicious_calls: add source field
  * [aa2d53e] MT#15113 - apply_rewrite: use billing domain for terminated susbcribers

  [ Jenkins Git User ]
  * [79dd3dc] I18N dump: snapshot 2015-07-15 01:14:12 +0200
  * [5dcb154] I18N dump: snapshot 2015-07-21 01:12:23 +0200
  * [a723b21] I18N dump: snapshot 2015-07-22 01:12:26 +0200
  * [0316e08] I18N dump: snapshot 2015-07-23 01:15:57 +0200
  * [427d060] I18N dump: snapshot 2015-07-24 01:12:38 +0200
  * [f17bafe] I18N dump: snapshot 2015-07-28 01:12:20 +0200
  * [5b44417] I18N dump: snapshot 2015-07-31 01:12:50 +0200
  * [7299ed6] I18N dump: snapshot 2015-08-01 01:12:37 +0200
  * [0c41567] I18N dump: snapshot 2015-08-05 01:12:28 +0200
  * [4822328] I18N dump: snapshot 2015-08-06 01:15:08 +0200
  * [aee4e48] I18N dump: snapshot 2015-08-07 01:16:46 +0200
  * [5a38227] I18N dump: snapshot 2015-08-10 01:12:52 +0200
  * [2a00fb5] I18N dump: snapshot 2015-08-11 01:12:34 +0200
  * [6dc62ac] I18N dump: snapshot 2015-08-20 01:12:44 +0200
  * [e3bc636] I18N dump: snapshot 2015-08-21 01:15:44 +0200
  * [7ab3a55] I18N dump: snapshot 2015-08-26 01:13:21 +0200
  * [eb22009] I18N dump: snapshot 2015-08-28 01:12:36 +0200
  * [d7a84f8] I18N dump: snapshot 2015-09-02 01:13:10 +0200
  * [a78dd06] I18N dump: snapshot 2015-09-03 01:12:53 +0200
  * [08bc843] I18N dump: snapshot 2015-09-08 01:15:38 +0200
  * [e33340a] I18N dump: snapshot 2015-09-14 01:19:01 +0200
  * [03343ad] I18N dump: snapshot 2015-09-15 01:16:28 +0200
  * [b41ac27] I18N dump: snapshot 2015-09-21 01:47:19 +0200
  * [1500fc7] I18N dump: snapshot 2015-09-24 01:22:31 +0200
  * [5b0851f] I18N dump: snapshot 2015-09-26 01:20:21 +0200
  * [d0fdbff] I18N dump: snapshot 2015-10-01 17:13:30 +0200
  * [1a6974f] I18N dump: snapshot 2015-10-03 01:12:24 +0200
  * [f1725ca] I18N dump: snapshot 2015-10-09 01:25:47 +0200
  * [59dcde8] I18N dump: snapshot 2015-10-10 01:19:14 +0200

  [ Gerhard Jungwirth ]
  * [84e1942] MT#13611 use common logic for cdr display
  * [95eb263] MT#14107 provide option to force language
  * [4fecd3d] MT#14391 Correctly select alias nums on subscriber edit
  * [3d5a06e] MT#14365 only dispatch to sems-pbx when pbx is enabled
  * [0681a6b] MT#14383 show suppressed number as Anonymous
  * [e837311] MT#14391 Fix editing aliases without primary number
  * [b19079d] MT#12757 regard VAT in calllists
  * [c9380e6] MT#12985 prevent ambiguity in rwr replace pattern
  * [3f21160] MT#14901 remove reseller login page
  * [753adad] MT#14923 sendfax allow trying multiple ips
  * [1d95a93] MT#14513 order destinationsets by name, in select
  * [3b8651a] MT#14585 improve selenium test quality
  * [10faab2] MT#14585 make api tests compatible with recent perls
  * [c044e24] MT#15033 clean Build.PL server startup
  * [36f0930] MT#15033 unify api test authentication
  * [f3cfa0e] MT#14803 option to access cfdestinationsets via reseller
  * [7f2076e] MT#15071 some docker conveniences
  * [e214d31] MT#15361 fix soundcache reload on api post
  * [a356152] MT#14979 filter calllists by direction properly
  * [e8f19f7] MT#15361 fix post soundfiles creating duplicate entry
  * [fdfac50] MT#15425 audio_cache reload on soundfile delete
  * [cfd2f78] MT#15393 improve API documentation
  * [6660d3d] MT#15459 fix html-encoding subscriber details
  * [69e8679] MT#15583 allow subscriberadmin to access customer details
  * [a53ee3c] MT#15709 api-cert-auth workaround for wheezy

  [ Rene Krenn ]
  * [c378681] MT#13903 balance interval catchup and resize WIP
  * [bd9f670] MT#13903 topupvoucher and topupcash
  * [ec95a6f] MT#13903 fixes for nightly tests
  * [0ebe33a] MT#13903 add package_id in api-vouchers.t test
  * [293cf27] MT#13903 fix balanceintervals test #1
  * [f7d5dc5] MT#13903 fix balanceintervals test #2
  * [d54bd5d] MT#13903 "topup_interval" start mode impl
  * [b9271ec] MT#13903 generate melita user story transcript
  * [f3b711a] MT#13903 disable applying profile package
  * [ca90840] MT#13903 enable applying profile package
  * [6489a0d] MT#13903 more detailed debugging info
  * [bef06dc] MT#14301 deleting prof packages instead of terminating
  * [5a182d0] MT#14631 topupcash didn't process package id
  * [ff75e75] MT#14317 add debug info of panel interval catchups
  * [c7b3d74] MT#14317 passing now() to interval catchup and resize
  * [07c9d19] MT#14255 add cash_balance underrun logic
  * [7dfc5fd] MT#14255 panel UI problem setting subscriber 'lock' detail
  * [25f5460] MT#14255 notopup_expiry calculation only when required
  * [33e5f4e] MT#14255 initial balance_intervals catchup when starting at 1st of month
  * [8494b5a] MT#14255 consider balance discard with infinite-end intervals
  * [4272b25] MT#15477 balance intervals UI
  * [7f7e333] MT#15477 topup log
  * [98ac54d] MT#16277 disable parallel catchup locking tests

  [ Alexander Lutay ]
  * [8dd5da8] MT#13903 Disable test api-balanceintervals.t for Jenkins environment
  * [bd9a184] MT#14585 Move ngcp-panel-selenium tests to folder 't/selenium/'
  * [5879cfe] MT#14585 Move selenium tests on Selenium::Remote::Driver(::Extensions)
  * [7fd0ec6] MT#14585 Removing Build-Depends from perl package
  * [9cdaf04] MT#14585 Move REST API tests to t/api-rest/ folder

  [ Andrew Pogrebennyk ]
  * [f336bea] MT#13007 MT#13251 fix MoH reload

  [ Michael Prokop ]
  * [b9ef451] MT#5599 Get rid of unused Catalyst::Plugin::EnableMiddleware
  * [b17bc4d] MT#14585 Docker setup for selenium tests
  * [15d3d48] MT#15033 Build.PL: clean up unused configure_requires, requires, test_requires + recommends
  * [968ed76] MT#15071 Docker setup for api-rest tests

  [ Victor Seva ]
  * [c280f6e] MT#14767 add missing dependence libcrypt-rc4-perl
  * [39cb08b] MT#15701 API: delete/create domain after changes to DB

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 12 Oct 2015 15:39:26 +0200

ngcp-panel (1.10.0.0+0~mr4.1.0.0) unstable; urgency=low

  [ Gerhard Jungwirth ]
  * [63db8ed] MT#11501 dialogic isdn library
  * [326b1be] MT#11773 csc fix subscriber-url in topmenu
  * [63371e4] MT#11637 properly define reseller_id on roles of customercontacts
  * [a35314d] MT#11827 validate sip uri
  * [fefc0d4] MT#11775 adapt fax error message
  * [aabb590] MT#11777 filter cloudpbx prefs if no feature
  * [702b70c] MT#11709 name button Peaktimes Off-Peaktimes
  * [9628a32] MT#12303 configure dialogic for ss7
  * [0232af6] MT#11779 fix subscriber form setting admin flag
  * [33f5773] MT#12303 dialogic configure snmp and nfs
  * [7245c38] MT#12303 dialogic use optical link for ss7 and isdn
  * [d743766] MT#12555 allow port in callforward URIs
  * [1370ef5] MT#12483 upgrade datatables to version 1.10.5
  * [da020c9] MT#12813 calllist api: use correct subscriber
  * [447a08f] MT#12303 dialogic client use LWP::UserAgent
  * [ffa327b] MT#12905 set cf cli to the primary number
  * [53ee3a3] MT#12813 fix calllist subscriber retrieval
  * [9aad021] MT#13007 Reload correct service for sound handles
  * [2c12d25] MT#12303 dialogic wip logging
  * [8cb165b] MT#13243 api filter by webuser, -password
  * [813e471] MT#13659 rename Number Range to Alias Number Range
  * [7755843] MT#13657 allow to change adminflag of pbxpilot
  * [469b064] MT#13717 fix apitests related to multi_bil_prof
  * [8addf64] MT#13777 align upload filesize to 64MB for csv
  * [5590a10] MT#13329 adapt rewrite rules to new upstream syntax
  * [85a37fc] MT#13815 split dialogic MGM and SIP interface

  [ Irina Peshinskaya ]
  * [e8a9f2b] MT#12191 Rename "Add more" button to "Add destination sets"
  * [de7928e] MT#11147 Remove test hardcodes
  * [eb049fa] MT#11147 Fix multi ranged field devices creation
  * [11979e0] MT#11147 Create fake data for the devicemodels and pbxdevices tests
  * [d6439b7] MT#5879 Fix invoice generation script location in the embedded doc
  * [64f701f] MT#11147 Create fake data for the devicemodels and pbxdevices tests
  * [5590b41] MT#11147 Move test libraries to the correct location
  * [25982e1] MT#11147 Return test data clearing directly in the db
  * [957b848] MT#11147 use default DB account to clear test data from DB
  * [76c88a8] MT#11147 Add fields documentation
  * [9c77c88] MT#11147 Don't use brute-forced test data clearing
  * [bda844c] MT#10159 Add API call towards MWI on voicemail dir change
  * [d5964c4] MT12347 In attempt to find correct config location
  * [d51c331] MT#11147 Left linking extensions and phones only for phones type
  * [78cf4f1] MT#11009 Form->params => form->values
  * [0773488] MT#11147 Consider bootstrap_method form field when vendor is unknown
  * [4970dd6] MT#12499 Apply default email templates to the created reseller
  * [ae43bec] MT#5879 Document resend and regenerate options in the inv. gen. script
  * [03aaaa2] MT#11549 Fix API search by aliases, broken after optimization
  * [1538654] MT#11667 Some features to calllist
  * [34c05da] MT#12813 Do not set direction to in for empty destination_user_id
  * [2e2c008] MT#7227 Upload billing_fees into 2 stages, for speed and unique records
  * [003e717] MT#12937 Replace groups managements different code parts with common methods
  * [7c9f65a] MT#13369 Add annotate possibility for narrowly positioned buttons
  * [265d0b6] MT#11667 Add external filter by direction for calls
  * [558bb1c] MT#12939 Manage pbx groups and members order through the web-Panel
  * [7ba2dbd] MT#12939 Preserve groups order while edit subscriber
  * [d0b947c] MT#13269 Make timeout for the remote server access
  * [dbfff85] MT#13617 Extend position type for linekeys to pass form validation
  * [d054035] MT#13701 Prevent resurrection of the terminated subscribers
  * [039fd49] MT#12347 Make necessary changes to keep data in the test scripts
  * [2581c10] MT#13717 Consider necessity of recreation items with cycled dependency
  * [90d235c] MT#13717 Avoid duplicate names for billing profiles
  * [30755dd] MT#6483 Remove billingfees and billingzones direct links
  * [ba2ad48] MT#13717 Use correct directory for data load from the test scripts
  * [5d5460f] MT#11147 Add extension lines to field device config template vars
  * [7616a4c] MT#13717 Add topupcash name as exception to collectionS names format
  * [83de70c] MT#13717 Further tests adaptation to new collections

  [ Jenkins Git User ]
  * [c94b4c4] I18N dump: snapshot Thu Mar 19 17:17:14 +0100 2015
  * [c55460a] I18N dump: snapshot Wed Mar 25 01:15:56 +0100 2015
  * [bcd2de6] I18N dump: snapshot Tue Mar 31 01:12:43 +0200 2015
  * [763bb8e] I18N dump: snapshot Wed Apr 01 01:11:19 +0200 2015
  * [838ad0c] I18N dump: snapshot Thu Apr 02 01:11:22 +0200 2015
  * [983cee8] I18N dump: snapshot Thu Apr 09 01:11:01 +0200 2015
  * [c0e8b51] I18N dump: snapshot Thu Apr 16 13:26:44 +0200 2015
  * [265335a] I18N dump: snapshot Tue Apr 21 01:10:50 +0200 2015
  * [a78a58d] I18N dump: snapshot Wed Apr 22 01:12:19 +0200 2015
  * [3aef87e] I18N dump: snapshot Sat Apr 25 01:17:07 +0200 2015
  * [970fdb2] I18N dump: snapshot Wed Apr 29 01:10:59 +0200 2015
  * [ccc4ec9] I18N dump: snapshot Sat May 09 01:13:00 +0200 2015
  * [718113a] I18N dump: snapshot Fri May 29 01:10:15 +0200 2015
  * [37d4651] I18N dump: snapshot Tue Jun 02 01:11:20 +0200 2015
  * [91951c2] I18N dump: snapshot Thu Jun 04 01:10:58 +0200 2015
  * [6c03edd] I18N dump: snapshot Tue Jun 16 01:10:29 +0200 2015
  * [887e4c1] I18N dump: snapshot Sat Jun 20 01:10:23 +0200 2015
  * [f85d010] I18N dump: snapshot Sat Jun 27 01:12:09 +0200 2015
  * [fa07c17] I18N dump: snapshot Wed Jul 01 01:15:57 +0200 2015
  * [45cd24c] I18N dump: snapshot Thu Jul 02 01:12:49 +0200 2015
  * [87f57c4] I18N dump: snapshot Fri Jul 03 01:12:59 +0200 2015
  * [fc0275f] I18N dump: snapshot Sun Jul 05 01:15:33 +0200 2015
  * [c7db27f] I18N dump: snapshot Wed Jul 08 01:15:10 +0200 2015
  * [c4bd2bb] I18N dump: snapshot Thu Jul 09 01:12:42 +0200 2015

  [ Andreas Granig ]
  * [3fd27c9] MT#10869 Add park option to Jitsi config
  * [1425bf7] MT#10869 Hide account/connection info in jitsi
  * [db0cb86] MT#12385 Add reseller_id to EDR head.
  * [92d4bad] MT#12453 Add reseller name to device model table
  * [5cddb19] MT12347 Terminate module with true value.
  * [de42a68] MT#12615 Don't filter call_id in calllists API
  * [1a2a467] MT#12673 Show ncos and rwr prefs desc in API
  * [38b6ea1] MT#12701 Show cf ncos in API
  * [6ef25b3] MT#12847 Fix creating pbx pilot subscriber
  * [2e95fed] MT#12847 Use first range number as primary number
  * [caac2ce] MT#12847 Use form->params instead of form->values
  * [98f7a46] MT#12901 Read creds from ~/.ngcp-api
  * [3701b44] MT#12901 Fix testing for tools
  * [e8f318d] MT#10537 Fix calllist issues
  * [8f061a0] MT#10537 API: fix calllist dir for srv calls
  * [26c561c] MT#10537 Strip sems suffix from cid
  * [161895c] MT#13203 Add top-menu link to api and handbook
  * [2c54106] MT#13201 Implement voucher API
  * [4227fd2] MT#13201 Enhance voucher API.
  * [b02c92c] MT#13201 Cleanup debug output
  * [494f8bf] MT#13201 Strip trailing timezone from timestamp
  * [9004510] MT#12643 Prepare forms for multi-bilprof. WIP.
  * [abc703a] MT#12643 Fix datatables within repeatable
  * [d748aa0] MT#12643 Fix adding repeatable element
  * [915aa91] MT#12643 Fix syntax error in control file
  * [892c5d7] MT#13919 Add ldap config
  * [4b1c1ba] MT#13919 Add RC4 encryption and enable raw perl
  * [521fc6a] MT#13929 Add voucher topup skeleton
  * [b003cea] MT#13919 Move raw perl from dev config to plugin

  [ Rene Krenn ]
  * [96c731a] MT#11917 Journaling for first set of resources
  * [edf5da9] MT#12347 ngcp_panel.conf location for jenkins
  * [b5dca5e] MT#11917 next batch of API resources w. journal
  * [83fdc85] MT#11917 include journal in generated API doc page
  * [3bc8f28] MT#11917 fix typo to re-run tests
  * [7f69b48] MT#12565 align any form handler 'description' attr
  * [0d36171] MT#11917 CFTimeSets typos
  * [bcb6f1e] MT#11917 CFTimeSets
  * [c411ece] MT#11917 'must-have' api resources complete
  * [de347c6] MT#11917 non-empty 'description' fields
  * [bce0058] MT#11917 test environment json boolean conversion
  * [4c8d82a] MT#11917 testcase json conversion
  * [6803ce7] MT#11917 remove billingzones
  * [5cab4a0] MT#11917 force JSON::PP for tests
  * [a750b79] MT#11917 align snapshots in DELETE methods
  * [2537819] MT#12643 billing networks and multi bill prof WIP
  * [70936e0] MT#13717 prevent editing profiles and networks
  * [44dcb0f] MT#13717 missing create (system) contact button
  * [68d8e45] MT#13717 fix journal tests -  reseller constraint

  [ Alexander Lutay ]
  * [fc73430] MT#12591 Use root:www-data for default certificate file /etc/ngcp-config/ssl/myserver.crt
  * [0dcf761] MT#12897 Improve selenium test stability, check "thisshouldnotexist" with table reference
  * [8d79bfd] MT#10697 clean certfile not being used (c) Andreas
  * [f46b194] MT#13203 Fixed 404 on handbook URL (cause by missed last slash)

  [ Kirill Solomko ]
  * [277311b] MT#11225 - add Billing Profile "Fraud use reseller rates" preference

  [ Victor Seva ]
  * [e68f3cd] MT#12923 tools: move tools_bin/ngcp-api-tools to tools/ngcp-api.inc
  * [e7be026] MT#13949 generate_ssl_keys.sh: use ssl-cert group

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 13 Jul 2015 15:24:06 +0200

ngcp-panel (1.9.0.0+0~mr4.0.0.0) unstable; urgency=low

  [ Kirill Solomko ]
  * [06c058c] MT#10169 - add "enabled" feature for rewrite rules, peering hosts/rules
  * [8717f99] MT#10965 - Callforwards api DELETE fix to use callforwards instead of rewriterules, check for non-existing mapping auto removed by mysql
  * [391d10a] MT#9719 - Reworked the ip/auth banlist parsing for the GUI representation
  * [b622c5e] MT#12165 - utf8 support for JSON data

  [ Andrew Pogrebennyk ]
  * [21833bf] MT#9453 introduce handling for adm_cf_ncos[_id] preference

  [ Jenkins Git User ]
  * [24d9f31] I18N dump: snapshot Thu Jan 08 17:59:55 +0100 2015
  * [68e1b86] I18N dump: snapshot Thu Jan 15 01:14:10 +0100 2015
  * [9bbe433] I18N dump: snapshot Sat Jan 17 01:13:48 +0100 2015
  * [70d9c4c] I18N dump: snapshot Tue Jan 20 01:14:14 +0100 2015
  * [1974d2f] I18N dump: snapshot Sat Jan 24 01:14:07 +0100 2015
  * [af08218] I18N dump: snapshot Thu Jan 29 10:06:24 +0100 2015
  * [d1dc988] I18N dump: snapshot Fri Jan 30 01:15:20 +0100 2015
  * [1eb89f7] I18N dump: snapshot Tue Feb 10 01:14:36 +0100 2015
  * [402d65f] I18N dump: snapshot Thu Feb 12 15:58:39 +0100 2015
  * [4ecfee2] I18N dump: snapshot Sat Feb 14 01:11:52 +0100 2015
  * [21acf4f] I18N dump: snapshot Wed Feb 18 01:34:11 +0100 2015
  * [648b4a1] I18N dump: snapshot Fri Feb 27 01:14:49 +0100 2015
  * [8c89606] I18N dump: snapshot Wed Mar 04 01:16:29 +0100 2015
  * [5097ffc] I18N dump: snapshot Wed Mar 11 01:12:49 +0100 2015
  * [c52e8da] I18N dump: snapshot Thu Mar 12 01:10:21 +0100 2015
  * [db75b82] I18N dump: snapshot Tue Mar 17 01:10:26 +0100 2015

  [ Irina Peshinskaya ]
  * [9977fa3] MT#10797 Add documentation note and sample with required "type" parameter.
  * [d3b4f50] MT#9177 Fix invisible syntax error
  * [ce29d22] MT#10715 Add Polycom Zero Touch Provisioning (ZTP) client.
  * [861f000] MT#10715 Remove exrescent debug and code
  * [3081b7a] MT#10315 Add lock processing into POST method of Subscribers API.
  * [e388e6f] MT#10315 Cast lock to the numeric value as stated by API doc.
  * [ee018bb] MT#10159 Mark messages as read and send MWI notification about messages amount
  * [9c2681c] MT#11343 Add sign that range_id is used by subscriber
  * [7eb50fe] Revert "MT#11343 Add sign that range_id is used by subscriber"
  * [0de1fb9] MT#11343 Prevent PbxDevicemodels API from subscribers lineranges
  * [ca6594e] MT#5585 Add calls cost to subscriber calls list.
  * [01126bf] Revert "MT#11343 Prevent PbxDevicemodels API from subscribers lineranges"
  * [8fe9c0b] MT#5585 Add details about cdr record
  * [ac9b5ff] MT#11549 Search by alias too, but aliases aren't shown
  * [18b105a] MT#11549 Search by alias too, but aliases aren't shown
  * [80ee2a1] MT#11549 Add alias filter for subscribers in API too.
  * [ec9c71d] MT#11147 Phone extensions
  * [5758c71] MT#12037 Set HOME for the www-data, owner of the ngcp-panel process
  * [81bd024] MT#12083 Use exists optimization for subscriber search by alias

  [ Andreas Granig ]
  * [8ebb4cf] MT#10869 Implement jitsi config lock-down
  * [dad59b3] MT#10869 Add option to jitsi-auth via web creds
  * [cb9c14a] MT#10869 Allow webusername to be an email address
  * [bc76944] MT#5173 Add polycom bootstrap and directory.
  * [8e844ec] MT#10705 Show pbx_groupmember_ids in API doc.
  * [81c23a3] MT#5173 Fix polycom bootstrapping.
  * [e37dc3d] MT#10879 Handle deletion of primary number.
  * [b2cfc9c] MT#10879 Set uuid as mailbox user if no number.
  * [8381be7] MT#11219 Load default files for sound set.
  * [330048f] MT#11219 Check permissions for sound set loading.
  * [c38cb24] MT#11219 Fix syntax error in template.
  * [d2e6d40] MT#11219 Skip cache cleaning on skipped files.
  * [b2c4fca] MT#10879 Fix setting cli preference.
  * [057f346] MT#11279 Allow disabling vendor RPC calls.
  * [65ceb1a] MT#10879 Fix fix of CLI handling on sub creation
  * [9507735] MT#10869 Unify jitsi status option in lockdown
  * [a0bf5e4] MT#11523 Make bigger phone pics show correctly.
  * [db99c34] MT#10587 Fix empty enc master key for yealink
  * [6e53505] MT#10587 Disable yealink encryption.
  * [82529da] MT#11517 Don't expose internal prefs via API.
  * [d40f997] MT#11741 API: Add pbxdevicemodelimages resource.
  * [bc32830] MT#11741 API: fix pbxdevicemodelimages props doc
  * [07016f6] MT#11741 Add pbxdevicemodelimages to tests
  * [9f25a4d] MT#12219 Add q param to firmware/latest
  * [32344a3] MT#12219 Add q param also to firmware/next

  [ Gerhard Jungwirth ]
  * [a0ccaec] MT#5913 limit peering rule prefix length
  * [cbcd42a] MT#11321 filter terminated resellers from dashboard
  * [6939629] MT#5435 improve datatables top styling
  * [1c7fb3a] MT#5435 option to show table summaries
  * [db2408c] MT#11891 trigger xmlrpc when moving rewrite rules
  * [37a9021] MT#11501 dialogic API login, locks
  * [188d519] MT#11501 dialogic API network configuration
  * [711501b] MT#11501 dialogic API formatting, more config
  * [0182781] MT#11501 dialogic API profiles and start routing config
  * [b926d46] MT#11501 dialogic api finalize sipsip
  * [cd3111d] MT#11501 dialogic api cleanup
  * [9bc45cf] MT#11501 dialogic api read and hash config
  * [3bb5df8] MT#11501 configure dialogic from webinterface

  [ Alexander Lutay ]
  * [6b58077] MT#5435 Fixed missed button 'Create Special Off-Peak Date'

  [ Michael Prokop ]
  * [21941e3] MT#11387 Switch from Pre-Depends on nginx-common to Depends
  * [7934ade] MT#9127 Bump Standards-Version to 3.9.6

  [ Rene Krenn ]
  * [2914f7c] MT#11919 Use local logger.conf
  * [eed4163] MT#11917 Write journal for customer create/update.
  * [6838fea] MT#11997 Add dev start script for komodo debugger

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 18 Mar 2015 14:08:30 +0100

ngcp-panel (1.8.0.0+0~mr3.8.0.0) unstable; urgency=low

  [ Irina Peshinskaya ]
  * [abf4cb9] MT#9177 Changes for centrlised sync parameters table. Draft.
  * [5902c07] MT#9177 Add panasonic bootstrap.
  * [bddadea] MT#9177 Untested Device forms.
  * [c518e74] MT#9177 Device model web form tested can be created and changed
  * [a6527bb] MT#9177 API for autoprov. Not tested yet.
  * [492258f] MT#9177 Remove hardcoded values
  * [8efe98f] MT#9177 Adapt to using of standard debian package and fix control
  * [4b832d2] MT#9177 Add bootstrap dependencies to Build.PL
  * [8d134d1] MT#9177 Fix model form look.
  * [ea3d731] MT#9177 Add fields for edit Panasonic credentials
  * [bcd8c30] MT#9177 Add credentials as device fields logic
  * [715a39f] MT#9177 inflate sync credentials values in Controller from DB.
  * [64dd9c0] MT#9177 Bootstrap_uri logic and fixes.
  * [b62da59] MT#9177 Small fixes after web testing
  * [9a06328] MT#10041 Fix join for reseller account.
  * [4ffac12] MT#10061 Fix rounding for invoices.
  * [8b09bd0] MT#9941 Consider PBX hunt parameters on subscriber creation via API
  * [59bfbeb] MT#9941 Add cloud_pbx_hunt_* fields to api.
  * [0c26c90] MT#10041 Query_params raised multidomain request in not multidomain env.
  * [331f1b3] MT#10045 Use form->values instead of form->params for contract forms
  * [0386b22] MT#10355 Fix forcing boolean context for JSON::bool
  * [8792913] MT#10337 Panel changes get model by get the same way as the dup_item
  * [0dc5e7b] MT#10337 More filters to get uniq records for cloudpbx
  * [e45b214] MT#9177 Add yealink, change architecture and fix credentials store issue
  * [618208a] MT#10501 Add blob data columns only to particular records
  * [4db73f7] MT#9177 Make {MAC} adding optional for different vendors
  * [649ccfb] MT#10797 Check manadatory customer "type" presence.
  * [13b2465] MT#10797 Fix package to view API doc.
  * [6fbbc11] MT#10797 Fix message in the tests.

  [ Jenkins Git User ]
  * [c07083a] I18N dump: snapshot Sat Nov 01 01:18:51 +0100 2014
  * [c4bf8e0] I18N dump: snapshot Sat Nov 01 01:18:59 +0100 2014
  * [6c63e88] I18N dump: snapshot Sat Nov 01 01:19:06 +0100 2014
  * [1e498ee] I18N dump: snapshot Sat Nov 01 01:19:14 +0100 2014
  * [e41bc71] I18N dump: snapshot Sat Nov 01 01:19:22 +0100 2014
  * [453c6fe] I18N dump: snapshot Wed Nov 05 01:15:31 +0100 2014
  * [dc0ab43] I18N dump: snapshot Wed Nov 05 01:15:38 +0100 2014
  * [7ebd7e7] I18N dump: snapshot Wed Nov 05 01:15:46 +0100 2014
  * [fc0cf32] I18N dump: snapshot Wed Nov 05 01:15:53 +0100 2014
  * [0de3a2a] I18N dump: snapshot Wed Nov 05 01:16:01 +0100 2014
  * [1f56bca] I18N dump: snapshot Thu Nov 06 16:18:00 +0100 2014
  * [4e00714] I18N dump: snapshot Thu Nov 06 16:18:08 +0100 2014
  * [28dd561] I18N dump: snapshot Thu Nov 06 16:18:15 +0100 2014
  * [c49640e] I18N dump: snapshot Thu Nov 06 16:18:22 +0100 2014
  * [22e8f13] I18N dump: snapshot Thu Nov 06 16:18:29 +0100 2014
  * [bc18441] I18N dump: snapshot Fri Nov 07 01:53:15 +0100 2014
  * [1bbeb73] I18N dump: snapshot Fri Nov 07 01:53:23 +0100 2014
  * [66c7455] I18N dump: snapshot Fri Nov 07 01:53:31 +0100 2014
  * [234f6d4] I18N dump: snapshot Fri Nov 07 01:53:38 +0100 2014
  * [9b7eee6] I18N dump: snapshot Fri Nov 07 01:53:45 +0100 2014
  * [061e3a5] I18N dump: snapshot Wed Nov 12 01:15:24 +0100 2014
  * [53069bd] I18N dump: snapshot Wed Nov 12 01:15:31 +0100 2014
  * [0459424] I18N dump: snapshot Wed Nov 12 01:15:38 +0100 2014
  * [117d853] I18N dump: snapshot Wed Nov 12 01:15:46 +0100 2014
  * [0fbcf75] I18N dump: snapshot Wed Nov 12 01:15:53 +0100 2014
  * [86ccaea] I18N dump: snapshot Tue Nov 18 10:31:49 +0100 2014
  * [9db3963] I18N dump: snapshot Wed Nov 19 01:13:54 +0100 2014
  * [1c82f86] I18N dump: snapshot Sat Nov 22 01:14:04 +0100 2014
  * [5ae1aed] I18N dump: snapshot Sat Dec 06 01:14:14 +0100 2014
  * [8edc144] I18N dump: snapshot Wed Dec 10 01:15:10 +0100 2014
  * [5207ffa] I18N dump: snapshot Thu Dec 11 01:15:18 +0100 2014
  * [3bd2b62] I18N dump: snapshot Fri Dec 12 01:16:35 +0100 2014
  * [0bc63ce] I18N dump: snapshot Sun Dec 14 01:15:45 +0100 2014
  * [5c4ec09] I18N dump: snapshot Thu Dec 18 01:14:28 +0100 2014
  * [48384c4] I18N dump: snapshot Sat Dec 20 01:14:53 +0100 2014
  * [34f9dcc] I18N dump: snapshot Sat Jan 03 01:13:23 +0100 2015

  [ Andreas Granig ]
  * [6b24459] MT#9177 Fix panasonic bootstrapping.
  * [e1d58e9] MT#9177 Cleanup bootstrap code.
  * [efa2acb] MT#9177 Adapt API to new device bootstrap.
  * [1966ae7] MT#9881 Slight panasonic fixes.
  * [5bb95ac] MT#9881 Add panasonic address book url to config
  * [097c8ec] MT#9177 Re-add sync param logic.
  * [f311ea6] MT#8299 Only show supported options in dev config
  * [a16c98a] MT#10199 Add subscriber profile preferences.
  * [f9d954a] MT#10199 Add prof prefs to test.
  * [7ae4eb5] MT#10199 Exclude profile prefs def.
  * [a431f6b] MT#10309 Allow passwords with less than chars.
  * [1505d81] MT#10301 Keep admin flag as is on pilot edit.
  * [e28726c] MT#10537 API: Add calllists call.
  * [266e8e7] MT#10537 API: own/other logic for calllist item
  * [8b5a820] MT#10537 Add calllists to test list
